#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif
#include <unordered_map>
#include <string>
#include "Config.hpp"

std::unordered_map<std::string, param_value_type> default_params_complementary(
  {
    // imported from "contrafold.params.complementary" in CONTRafold v2.02
    { "base_pair_AU", 0.59791199 },
    { "base_pair_CG", 1.544290641 },
    { "base_pair_GU", -0.01304754992 },
    { "terminal_mismatch_AUAA", -0.184546064 },
    { "terminal_mismatch_AUAC", -0.1181844187 },
    { "terminal_mismatch_AUAG", -0.4461469607 },
    { "terminal_mismatch_AUAU", -0.6175254495 },
    { "terminal_mismatch_AUCA", 0.004788458708 },
    { "terminal_mismatch_AUCC", 0.08319395146 },
    { "terminal_mismatch_AUCG", -0.2249479995 },
    { "terminal_mismatch_AUCU", -0.3981327204 },
    { "terminal_mismatch_AUGA", 0.5191110288 },
    { "terminal_mismatch_AUGC", -0.3524119307 },
    { "terminal_mismatch_AUGG", -0.4056429433 },
    { "terminal_mismatch_AUGU", -0.7733932162 },
    { "terminal_mismatch_AUUA", -0.01574403519 },
    { "terminal_mismatch_AUUC", 0.268570042 },
    { "terminal_mismatch_AUUG", -0.0934388741 },
    { "terminal_mismatch_AUUU", 0.3373711531 },
    { "terminal_mismatch_CGAA", 0.08386423535 },
    { "terminal_mismatch_CGAC", -0.2520716816 },
    { "terminal_mismatch_CGAG", -0.6711841881 },
    { "terminal_mismatch_CGAU", -0.3816350028 },
    { "terminal_mismatch_CGCA", 0.1117852189 },
    { "terminal_mismatch_CGCC", -0.1704393624 },
    { "terminal_mismatch_CGCG", -0.2179987732 },
    { "terminal_mismatch_CGCU", -0.459267635 },
    { "terminal_mismatch_CGGA", 0.8520640313 },
    { "terminal_mismatch_CGGC", -0.9332488517 },
    { "terminal_mismatch_CGGG", -0.3289551692 },
    { "terminal_mismatch_CGGU", -0.7778822056 },
    { "terminal_mismatch_CGUA", -0.2422339958 },
    { "terminal_mismatch_CGUC", -0.03780509247 },
    { "terminal_mismatch_CGUG", -0.4322334143 },
    { "terminal_mismatch_CGUU", -0.2419976114 },
    { "terminal_mismatch_GCAA", -0.1703136025 },
    { "terminal_mismatch_GCAC", -0.09154056357 },
    { "terminal_mismatch_GCAG", -0.2522413002 },
    { "terminal_mismatch_GCAU", -0.8520314799 },
    { "terminal_mismatch_GCCA", 0.04763224188 },
    { "terminal_mismatch_GCCC", -0.2428654283 },
    { "terminal_mismatch_GCCG", -0.2079275061 },
    { "terminal_mismatch_GCCU", -0.1874270053 },
    { "terminal_mismatch_GCGA", 0.6540033983 },
    { "terminal_mismatch_GCGC", -0.7823988605 },
    { "terminal_mismatch_GCGG", 0.1995898255 },
    { "terminal_mismatch_GCGU", -0.4432169392 },
    { "terminal_mismatch_GCUA", -0.1736921762 },
    { "terminal_mismatch_GCUC", 0.288494362 },
    { "terminal_mismatch_GCUG", -0.01638238057 },
    { "terminal_mismatch_GCUU", 0.6757988971 },
    { "terminal_mismatch_GUAA", -0.4871607613 },
    { "terminal_mismatch_GUAC", 0.1105031953 },
    { "terminal_mismatch_GUAG", 0.363373916 },
    { "terminal_mismatch_GUAU", -0.6193199348 },
    { "terminal_mismatch_GUCA", 0.3451056056 },
    { "terminal_mismatch_GUCC", 0.0314944976 },
    { "terminal_mismatch_GUCG", -0.3799172956 },
    { "terminal_mismatch_GUCU", -0.03222973182 },
    { "terminal_mismatch_GUGA", 0.4948638637 },
    { "terminal_mismatch_GUGC", -0.2821952552 },
    { "terminal_mismatch_GUGG", -0.2702227211 },
    { "terminal_mismatch_GUGU", -0.06658395291 },
    { "terminal_mismatch_GUUA", -0.4306154451 },
    { "terminal_mismatch_GUUC", -0.09497863465 },
    { "terminal_mismatch_GUUG", -0.3130794485 },
    { "terminal_mismatch_GUUU", -0.2283242981 },
    { "terminal_mismatch_UAAA", 0.0115363879 },
    { "terminal_mismatch_UAAC", -0.3923408221 },
    { "terminal_mismatch_UAAG", 0.05661063599 },
    { "terminal_mismatch_UAAU", -0.1251485388 },
    { "terminal_mismatch_UACA", -0.06545074758 },
    { "terminal_mismatch_UACC", -0.3167200568 },
    { "terminal_mismatch_UACG", 0.002258383981 },
    { "terminal_mismatch_UACU", -0.422217724 },
    { "terminal_mismatch_UAGA", 0.5458416646 },
    { "terminal_mismatch_UAGC", -0.2085887954 },
    { "terminal_mismatch_UAGG", -0.1971766062 },
    { "terminal_mismatch_UAGU", -0.4722410132 },
    { "terminal_mismatch_UAUA", -0.1779642496 },
    { "terminal_mismatch_UAUC", 0.1643454344 },
    { "terminal_mismatch_UAUG", -0.5005617032 },
    { "terminal_mismatch_UAUU", 0.1333867679 },
    { "terminal_mismatch_UGAA", 0.1218741278 },
    { "terminal_mismatch_UGAC", 0.1990260141 },
    { "terminal_mismatch_UGAG", 0.04681893928 },
    { "terminal_mismatch_UGAU", 0.3256264491 },
    { "terminal_mismatch_UGCA", 0.1186812326 },
    { "terminal_mismatch_UGCC", -0.1851065102 },
    { "terminal_mismatch_UGCG", -0.04311512683 },
    { "terminal_mismatch_UGCU", -0.6150608139 },
    { "terminal_mismatch_UGGA", 0.754933218 },
    { "terminal_mismatch_UGGC", -0.3150708483 },
    { "terminal_mismatch_UGGG", 0.1569582926 },
    { "terminal_mismatch_UGGU", -0.514970007 },
    { "terminal_mismatch_UGUA", -0.2926246029 },
    { "terminal_mismatch_UGUC", 0.1373068149 },
    { "terminal_mismatch_UGUG", -0.05422333363 },
    { "terminal_mismatch_UGUU", 0.03086776921 },
    { "hairpin_length_at_least_0", -5.993180158 },
    { "hairpin_length_at_least_1", -3.108105762 },
    { "hairpin_length_at_least_2", 0.4168976347 },
    { "hairpin_length_at_least_3", 2.205419066 },
    { "hairpin_length_at_least_4", 1.926749692 },
    { "hairpin_length_at_least_5", -0.5873245329 },
    { "hairpin_length_at_least_6", -0.0827571778 },
    { "hairpin_length_at_least_7", 0.5783889844 },
    { "hairpin_length_at_least_8", -0.7220883372 },
    { "hairpin_length_at_least_9", -0.1725874624 },
    { "hairpin_length_at_least_10", -0.3025089867 },
    { "hairpin_length_at_least_11", -0.0296315939 },
    { "hairpin_length_at_least_12", -0.9268995948 },
    { "hairpin_length_at_least_13", -0.03157753978 },
    { "hairpin_length_at_least_14", -0.1022472101 },
    { "hairpin_length_at_least_15", 0.1901407346 },
    { "hairpin_length_at_least_16", -0.09280909826 },
    { "hairpin_length_at_least_17", 0.1690448408 },
    { "hairpin_length_at_least_18", -0.08172566471 },
    { "hairpin_length_at_least_19", -0.3445939031 },
    { "hairpin_length_at_least_20", -0.109150294 },
    { "hairpin_length_at_least_21", -0.2903523693 },
    { "hairpin_length_at_least_22", -0.3393713667 },
    { "hairpin_length_at_least_23", -0.1915364117 },
    { "hairpin_length_at_least_24", -0.05019209379 },
    { "hairpin_length_at_least_25", -0.03874620924 },
    { "hairpin_length_at_least_26", 0.04751470752 },
    { "hairpin_length_at_least_27", 0.06744321926 },
    { "hairpin_length_at_least_28", 0.09721875726 },
    { "hairpin_length_at_least_29", 0.1673131733 },
    { "hairpin_length_at_least_30", 0.2329937249 },
    { "internal_explicit_1_1", -0.1754591076 },
    { "internal_explicit_1_2", 0.03083787104 },
    { "internal_explicit_1_3", -0.171565435 },
    { "internal_explicit_1_4", -0.2294680983 },
    { "internal_explicit_2_2", -0.1304072693 },
    { "internal_explicit_2_3", -0.07730329553 },
    { "internal_explicit_2_4", 0.2782767264 },
    { "internal_explicit_3_3", -0.02898949617 },
    { "internal_explicit_3_4", 0.3112350694 },
    { "internal_explicit_4_4", -0.3226348245 },
    { "bulge_length_at_least_1", -2.399548472 },
    { "bulge_length_at_least_2", -0.8945183117 },
    { "bulge_length_at_least_3", -0.9088550909 },
    { "bulge_length_at_least_4", -0.8412474755 },
    { "bulge_length_at_least_5", -0.4365479343 },
    { "bulge_length_at_least_6", -0.5699187801 },
    { "bulge_length_at_least_7", 0.2002834224 },
    { "bulge_length_at_least_8", 0.7538761358 },
    { "bulge_length_at_least_9", -0.6045045455 },
    { "bulge_length_at_least_10", -0.7200948098 },
    { "bulge_length_at_least_11", -0.5136721921 },
    { "bulge_length_at_least_12", -0.3614726679 },
    { "bulge_length_at_least_13", -0.2614454392 },
    { "bulge_length_at_least_14", -0.1593926893 },
    { "bulge_length_at_least_15", -0.08624668281 },
    { "bulge_length_at_least_16", -0.03107090996 },
    { "bulge_length_at_least_17", -0.01097222032 },
    { "bulge_length_at_least_18", 0.03001220283 },
    { "bulge_length_at_least_19", 0.04759123789 },
    { "bulge_length_at_least_20", -0.04296172065 },
    { "bulge_length_at_least_21", -0.01791899662 },
    { "bulge_length_at_least_22", -0.07800551522 },
    { "bulge_length_at_least_23", -0.0709932643 },
    { "bulge_length_at_least_24", -0.05767952896 },
    { "bulge_length_at_least_25", -0.04633794681 },
    { "bulge_length_at_least_26", -0.03559420456 },
    { "bulge_length_at_least_27", -0.02674934394 },
    { "bulge_length_at_least_28", -0.01818957972 },
    { "bulge_length_at_least_29", -0.01052300732 },
    { "bulge_length_at_least_30", -0.005153626846 },
    { "internal_length_at_least_2", -0.429061443 },
    { "internal_length_at_least_3", -0.3532111501 },
    { "internal_length_at_least_4", -0.3963797535 },
    { "internal_length_at_least_5", -0.3111199175 },
    { "internal_length_at_least_6", -0.2551945472 },
    { "internal_length_at_least_7", -0.05149116898 },
    { "internal_length_at_least_8", -0.04319002407 },
    { "internal_length_at_least_9", 0.001985489485 },
    { "internal_length_at_least_10", -0.1761513136 },
    { "internal_length_at_least_11", -0.2639686207 },
    { "internal_length_at_least_12", -0.3460613577 },
    { "internal_length_at_least_13", -0.2926603079 },
    { "internal_length_at_least_14", -0.03624250307 },
    { "internal_length_at_least_15", -0.1199953761 },
    { "internal_length_at_least_16", -0.04354771926 },
    { "internal_length_at_least_17", -0.08209293135 },
    { "internal_length_at_least_18", -0.007113226038 },
    { "internal_length_at_least_19", 0.02354824852 },
    { "internal_length_at_least_20", 0.03066973571 },
    { "internal_length_at_least_21", -0.06618241094 },
    { "internal_length_at_least_22", -0.1316092383 },
    { "internal_length_at_least_23", -0.1407995514 },
    { "internal_length_at_least_24", -0.06600291862 },
    { "internal_length_at_least_25", -0.07779204744 },
    { "internal_length_at_least_26", -0.05084201265 },
    { "internal_length_at_least_27", -0.04139875601 },
    { "internal_length_at_least_28", 0.003276583405 },
    { "internal_length_at_least_29", 0.00592458284 },
    { "internal_length_at_least_30", 0.006875738004 },
    { "internal_symmetric_length_at_least_1", -0.5467082599 },
    { "internal_symmetric_length_at_least_2", -0.3854701647 },
    { "internal_symmetric_length_at_least_3", -0.2588466401 },
    { "internal_symmetric_length_at_least_4", -0.2340836745 },
    { "internal_symmetric_length_at_least_5", 0.1450577765 },
    { "internal_symmetric_length_at_least_6", -0.6562932515 },
    { "internal_symmetric_length_at_least_7", -0.3021088369 },
    { "internal_symmetric_length_at_least_8", -0.03032275267 },
    { "internal_symmetric_length_at_least_9", -0.3517944058 },
    { "internal_symmetric_length_at_least_10", -0.2159132506 },
    { "internal_symmetric_length_at_least_11", -0.1228270454 },
    { "internal_symmetric_length_at_least_12", -0.1552208595 },
    { "internal_symmetric_length_at_least_13", -0.08541120743 },
    { "internal_symmetric_length_at_least_14", -0.04592109799 },
    { "internal_symmetric_length_at_least_15", -0.02232234236 },
    { "internal_asymmetry_at_least_1", -2.105646719 },
    { "internal_asymmetry_at_least_2", -0.5520140431 },
    { "internal_asymmetry_at_least_3", -0.577070767 },
    { "internal_asymmetry_at_least_4", -0.6136667847 },
    { "internal_asymmetry_at_least_5", -0.3057156841 },
    { "internal_asymmetry_at_least_6", -0.1155052001 },
    { "internal_asymmetry_at_least_7", -0.2105612231 },
    { "internal_asymmetry_at_least_8", -0.314574313 },
    { "internal_asymmetry_at_least_9", -0.3148961681 },
    { "internal_asymmetry_at_least_10", -0.09018189492 },
    { "internal_asymmetry_at_least_11", -0.2200026794 },
    { "internal_asymmetry_at_least_12", -0.1406483243 },
    { "internal_asymmetry_at_least_13", -0.2162411259 },
    { "internal_asymmetry_at_least_14", -0.1725531435 },
    { "internal_asymmetry_at_least_15", -0.1558911866 },
    { "internal_asymmetry_at_least_16", -0.1040858663 },
    { "internal_asymmetry_at_least_17", -0.06967684228 },
    { "internal_asymmetry_at_least_18", -0.04105977494 },
    { "internal_asymmetry_at_least_19", -0.01570624316 },
    { "internal_asymmetry_at_least_20", 0.01382000639 },
    { "internal_asymmetry_at_least_21", 0.04131988563 },
    { "internal_asymmetry_at_least_22", 0.0359418595 },
    { "internal_asymmetry_at_least_23", 0.02822186282 },
    { "internal_asymmetry_at_least_24", 0.01636585874 },
    { "internal_asymmetry_at_least_25", 0.02550056175 },
    { "internal_asymmetry_at_least_26", 0.03348032793 },
    { "internal_asymmetry_at_least_27", 0.03971924412 },
    { "internal_asymmetry_at_least_28", -0.002545113932 },
    { "internal_nucleotides__A", -0.1216861662 },
    { "internal_nucleotides__C", -0.07111241127 },
    { "internal_nucleotides__G", 0.008947026647 },
    { "internal_nucleotides__U", -0.002685763742 },
    { "internal_nucleotides_A_A", 0.2944404686 },
    { "internal_nucleotides_A_C", 0.08641360967 },
    { "internal_nucleotides_A_G", -0.3664197228 },
    { "internal_nucleotides_A_U", -0.2053107048 },
    { "internal_nucleotides_C_C", -0.1582543624 },
    { "internal_nucleotides_C_G", 0.4175273724 },
    { "internal_nucleotides_C_U", 0.1368762582 },
    { "internal_nucleotides_G_G", -0.1193514754 },
    { "internal_nucleotides_G_U", -0.4188101413 },
    { "internal_nucleotides_U_U", 0.147140653 },
    { "helix_stacking_AUAU", 0.1482005248 },
    { "helix_stacking_AUCG", 0.4343497127 },
    { "helix_stacking_AUGC", 0.7079642577 },
    { "helix_stacking_AUGU", -0.1010777582 },
    { "helix_stacking_AUUA", 0.243256656 },
    { "helix_stacking_AUUG", 0.1623654243 },
    { "helix_stacking_CGAU", 0.4878707793 },
    { "helix_stacking_CGCG", 0.8481320247 },
    { "helix_stacking_CGGC", 0.4784248478 },
    { "helix_stacking_CGGU", -0.1811268205 },
    { "helix_stacking_CGUG", 0.4849351028 },
    { "helix_stacking_GCAU", 0.5551785831 },
    { "helix_stacking_GCCG", 0.5008324248 },
    { "helix_stacking_GCGU", 0.2165962476 },
    { "helix_stacking_GCUG", 0.4864603589 },
    { "helix_stacking_GUAU", -0.04665365028 },
    { "helix_stacking_GUGU", 0.1833447295 },
    { "helix_stacking_GUUG", -0.2858970755 },
    { "helix_stacking_UAAU", 0.3897593783 },
    { "helix_stacking_UAGU", -0.1157333764 },
    { "helix_stacking_UGGU", 0.120296538 },
    { "helix_closing_AU", -0.9770893163 },
    { "helix_closing_CG", -0.4574650937 },
    { "helix_closing_GC", -0.8265995623 },
    { "helix_closing_GU", -1.051678928 },
    { "helix_closing_UA", -0.9246140521 },
    { "helix_closing_UG", -0.3698708172 },
    { "multi_base", -1.199055076 },
    { "multi_unpaired", -0.1983300391 },
    { "multi_paired", -0.9253883752 },
    { "dangle_left_AUA", -0.1251037681 },
    { "dangle_left_AUC", 0.0441606708 },
    { "dangle_left_AUG", -0.02541879082 },
    { "dangle_left_AUU", 0.00785098466 },
    { "dangle_left_CGA", 0.07224381372 },
    { "dangle_left_CGC", 0.05279281874 },
    { "dangle_left_CGG", 0.1009554299 },
    { "dangle_left_CGU", -0.1515059013 },
    { "dangle_left_GCA", -0.1829535099 },
    { "dangle_left_GCC", 0.03393000394 },
    { "dangle_left_GCG", 0.1335339061 },
    { "dangle_left_GCU", -0.1604274506 },
    { "dangle_left_GUA", -0.06517511341 },
    { "dangle_left_GUC", -0.04250882422 },
    { "dangle_left_GUG", 0.02875971806 },
    { "dangle_left_GUU", -0.04359727428 },
    { "dangle_left_UAA", -0.03373847659 },
    { "dangle_left_UAC", -0.005070324324 },
    { "dangle_left_UAG", -0.1186861149 },
    { "dangle_left_UAU", -0.01162357727 },
    { "dangle_left_UGA", -0.08047139148 },
    { "dangle_left_UGC", 0.001608000669 },
    { "dangle_left_UGG", 0.1016272216 },
    { "dangle_left_UGU", -0.09200842832 },
    { "dangle_right_AUA", 0.03232578201 },
    { "dangle_right_AUC", -0.09096819493 },
    { "dangle_right_AUG", -0.0740750973 },
    { "dangle_right_AUU", -0.01621157379 },
    { "dangle_right_CGA", 0.2133964379 },
    { "dangle_right_CGC", -0.06234810991 },
    { "dangle_right_CGG", -0.07008531041 },
    { "dangle_right_CGU", -0.2141912285 },
    { "dangle_right_GCA", 0.01581957549 },
    { "dangle_right_GCC", 0.005644320058 },
    { "dangle_right_GCG", -0.00943297687 },
    { "dangle_right_GCU", -0.2597793095 },
    { "dangle_right_GUA", -0.04480271781 },
    { "dangle_right_GUC", -0.07321213002 },
    { "dangle_right_GUG", 0.01270494867 },
    { "dangle_right_GUU", -0.05717033985 },
    { "dangle_right_UAA", -0.1631918513 },
    { "dangle_right_UAC", 0.06769304994 },
    { "dangle_right_UAG", -0.08789074414 },
    { "dangle_right_UAU", -0.05525570007 },
    { "dangle_right_UGA", 0.04105458185 },
    { "dangle_right_UGC", -0.008136642572 },
    { "dangle_right_UGG", -0.03808592022 },
    { "dangle_right_UGU", -0.08629373429 },
    { "external_unpaired", -0.00972883093 },
    { "external_paired", -0.0009674111431 }
  });

std::unordered_map<std::string, param_value_type> trained_params_complementary(
  {
    // our best parameter set trained from TrainSetA+B
    { "base_pair_AU", 2.37054 },
    { "base_pair_CG", 4.6384 },
    { "base_pair_GU", 0.216122 },
    { "base_pair_dist_at_least_0", 0.508132 },
    { "base_pair_dist_at_least_1", -0.976312 },
    { "base_pair_dist_at_least_2", -2.80218 },
    { "base_pair_dist_at_least_3", -0.67055 },
    { "base_pair_dist_at_least_4", 0.953774 },
    { "base_pair_dist_at_least_5", -1.87062 },
    { "base_pair_dist_at_least_6", -0.0148972 },
    { "base_pair_dist_at_least_7", -0.389255 },
    { "base_pair_dist_at_least_8", 0.343027 },
    { "base_pair_dist_at_least_9", 0.0489289 },
    { "bulge_length_at_least_0", -2.23699 },
    { "bulge_length_at_least_1", -2.23699 },
    { "bulge_length_at_least_10", -4.26099 },
    { "bulge_length_at_least_11", -1.8186 },
    { "bulge_length_at_least_12", -0.290313 },
    { "bulge_length_at_least_13", -1.01389 },
    { "bulge_length_at_least_14", -0.106339 },
    { "bulge_length_at_least_15", -0.0778849 },
    { "bulge_length_at_least_16", -0.126865 },
    { "bulge_length_at_least_18", -0.110528 },
    { "bulge_length_at_least_2", -2.79476 },
    { "bulge_length_at_least_3", -2.63933 },
    { "bulge_length_at_least_4", -2.20222 },
    { "bulge_length_at_least_5", -0.971702 },
    { "bulge_length_at_least_6", -1.9797 },
    { "bulge_length_at_least_7", -0.296609 },
    { "bulge_length_at_least_8", -0.338201 },
    { "bulge_length_at_least_9", 0.550643 },
    { "dangle_left_AUA", -4.09283 },
    { "dangle_left_AUC", -3.12916 },
    { "dangle_left_AUG", -0.437091 },
    { "dangle_left_AUN", 0.00861844 },
    { "dangle_left_AUU", -2.41985 },
    { "dangle_left_CGA", -0.74959 },
    { "dangle_left_CGC", -1.16875 },
    { "dangle_left_CGG", -0.111909 },
    { "dangle_left_CGU", -0.348537 },
    { "dangle_left_GCA", -3.49416 },
    { "dangle_left_GCC", -4.52811 },
    { "dangle_left_GCG", -0.00227405 },
    { "dangle_left_GCU", -1.24173 },
    { "dangle_left_GUA", -2.34215 },
    { "dangle_left_GUC", -2.86139 },
    { "dangle_left_GUG", -0.415715 },
    { "dangle_left_GUN", -0.0686419 },
    { "dangle_left_GUU", -3.8134 },
    { "dangle_left_UAA", -1.07984 },
    { "dangle_left_UAC", -2.23078 },
    { "dangle_left_UAG", -0.773425 },
    { "dangle_left_UAU", -1.05813 },
    { "dangle_left_UGA", -2.1834 },
    { "dangle_left_UGC", -3.37068 },
    { "dangle_left_UGG", 0.384677 },
    { "dangle_left_UGU", -1.78646 },
    { "dangle_right_AUA", -3.16376 },
    { "dangle_right_AUC", -2.16257 },
    { "dangle_right_AUG", -4.11216 },
    { "dangle_right_AUN", 0.185634 },
    { "dangle_right_AUU", -1.78904 },
    { "dangle_right_CGA", -1.88391 },
    { "dangle_right_CGC", -4.03787 },
    { "dangle_right_CGG", -3.65993 },
    { "dangle_right_CGN", 0.0606626 },
    { "dangle_right_CGU", -3.48712 },
    { "dangle_right_GCA", -1.70429 },
    { "dangle_right_GCC", -2.65701 },
    { "dangle_right_GCG", -2.43009 },
    { "dangle_right_GCU", -3.38012 },
    { "dangle_right_GUA", -1.93332 },
    { "dangle_right_GUC", -1.56917 },
    { "dangle_right_GUG", -1.08805 },
    { "dangle_right_GUU", -0.681465 },
    { "dangle_right_UAA", -3.39383 },
    { "dangle_right_UAC", -4.74215 },
    { "dangle_right_UAG", -5.81577 },
    { "dangle_right_UAN", 3.3164 },
    { "dangle_right_UAU", -2.97298 },
    { "dangle_right_UGA", -2.80511 },
    { "dangle_right_UGC", -2.27078 },
    { "dangle_right_UGG", -3.69829 },
    { "dangle_right_UGN", -0.311555 },
    { "dangle_right_UGU", -1.89453 },
    { "external_paired", -0.720683 },
    { "external_unpaired", -0.464495 },
    { "hairpin_length_at_least_0", 11.2358 },
    { "hairpin_length_at_least_1", -11.7746 },
    { "hairpin_length_at_least_10", -0.529571 },
    { "hairpin_length_at_least_11", 1.13706 },
    { "hairpin_length_at_least_12", 0.0949726 },
    { "hairpin_length_at_least_13", -0.835434 },
    { "hairpin_length_at_least_14", -0.151341 },
    { "hairpin_length_at_least_15", 0.696025 },
    { "hairpin_length_at_least_16", 0.13225 },
    { "hairpin_length_at_least_17", -0.445755 },
    { "hairpin_length_at_least_18", -0.791904 },
    { "hairpin_length_at_least_19", 0.393335 },
    { "hairpin_length_at_least_2", -12.9488 },
    { "hairpin_length_at_least_20", 0.1392 },
    { "hairpin_length_at_least_21", 0.65648 },
    { "hairpin_length_at_least_22", 0.134774 },
    { "hairpin_length_at_least_23", 1.04507 },
    { "hairpin_length_at_least_24", 0.0398845 },
    { "hairpin_length_at_least_25", 0.0397186 },
    { "hairpin_length_at_least_26", -0.0974489 },
    { "hairpin_length_at_least_27", 0.0658584 },
    { "hairpin_length_at_least_28", -0.0783052 },
    { "hairpin_length_at_least_29", 0.795867 },
    { "hairpin_length_at_least_3", -14.3598 },
    { "hairpin_length_at_least_30", -0.422879 },
    { "hairpin_length_at_least_4", 2.39026 },
    { "hairpin_length_at_least_5", 2.01626 },
    { "hairpin_length_at_least_6", 2.39107 },
    { "hairpin_length_at_least_7", 3.60863 },
    { "hairpin_length_at_least_8", -0.992168 },
    { "hairpin_length_at_least_9", 3.11632 },
    { "hairpin_nucleotides_AAA", 0.425633 },
    { "hairpin_nucleotides_AAAA", 1.94 },
    { "hairpin_nucleotides_AAAAAC", -1.05686 },
    { "hairpin_nucleotides_AAAAAGG", 0.159753 },
    { "hairpin_nucleotides_AAAAC", 0.332988 },
    { "hairpin_nucleotides_AAAACAG", -0.303333 },
    { "hairpin_nucleotides_AAAACC", -0.0477032 },
    { "hairpin_nucleotides_AAAACCA", -0.317522 },
    { "hairpin_nucleotides_AAAAG", -0.553051 },
    { "hairpin_nucleotides_AAAAGC", -0.394439 },
    { "hairpin_nucleotides_AAAAGU", -0.392044 },
    { "hairpin_nucleotides_AAAC", -0.654649 },
    { "hairpin_nucleotides_AAACAA", 4.39 },
    { "hairpin_nucleotides_AAACAAA", -0.241158 },
    { "hairpin_nucleotides_AAACAG", 6.92521 },
    { "hairpin_nucleotides_AAACCCC", -0.342306 },
    { "hairpin_nucleotides_AAACCCG", -0.238365 },
    { "hairpin_nucleotides_AAACCG", -0.390693 },
    { "hairpin_nucleotides_AAACCU", -0.0355129 },
    { "hairpin_nucleotides_AAACG", -0.210953 },
    { "hairpin_nucleotides_AAACGAC", -0.41563 },
    { "hairpin_nucleotides_AAACGCG", -7.43828 },
    { "hairpin_nucleotides_AAACGGC", -0.224346 },
    { "hairpin_nucleotides_AAACGU", -4.14989 },
    { "hairpin_nucleotides_AAACU", -1.70219 },
    { "hairpin_nucleotides_AAACUG", -0.289208 },
    { "hairpin_nucleotides_AAAG", -2.14968 },
    { "hairpin_nucleotides_AAAGA", 0.945964 },
    { "hairpin_nucleotides_AAAGAAU", -0.014997 },
    { "hairpin_nucleotides_AAAGAC", -0.243311 },
    { "hairpin_nucleotides_AAAGACC", -0.842067 },
    { "hairpin_nucleotides_AAAGACG", 0.310366 },
    { "hairpin_nucleotides_AAAGAG", 0.308295 },
    { "hairpin_nucleotides_AAAGCU", -0.268129 },
    { "hairpin_nucleotides_AAAGG", 0.930344 },
    { "hairpin_nucleotides_AAAGGAU", -0.213808 },
    { "hairpin_nucleotides_AAAGGGU", -0.151158 },
    { "hairpin_nucleotides_AAAGGU", -0.107056 },
    { "hairpin_nucleotides_AAAGU", -0.656827 },
    { "hairpin_nucleotides_AAAGUG", -0.101382 },
    { "hairpin_nucleotides_AAAGUGU", -0.237944 },
    { "hairpin_nucleotides_AAAU", -2.14274 },
    { "hairpin_nucleotides_AAAUA", 2.16107 },
    { "hairpin_nucleotides_AAAUAAA", 0.123958 },
    { "hairpin_nucleotides_AAAUACC", -0.325124 },
    { "hairpin_nucleotides_AAAUAU", -0.126806 },
    { "hairpin_nucleotides_AAAUCC", -1.49902 },
    { "hairpin_nucleotides_AAAUGAU", -0.10631 },
    { "hairpin_nucleotides_AAAUGC", 0.125942 },
    { "hairpin_nucleotides_AAAUGG", 0.315266 },
    { "hairpin_nucleotides_AAAUGUG", -0.02401 },
    { "hairpin_nucleotides_AAC", -1.55966 },
    { "hairpin_nucleotides_AACA", 0.878638 },
    { "hairpin_nucleotides_AACAAA", 4.13847 },
    { "hairpin_nucleotides_AACAAAG", -0.236663 },
    { "hairpin_nucleotides_AACAAG", 9.93723 },
    { "hairpin_nucleotides_AACACA", 0.0793707 },
    { "hairpin_nucleotides_AACACG", -0.0983224 },
    { "hairpin_nucleotides_AACAGA", 0.490512 },
    { "hairpin_nucleotides_AACAGAA", -0.223003 },
    { "hairpin_nucleotides_AACAGAG", -0.00159106 },
    { "hairpin_nucleotides_AACAGU", 0.015604 },
    { "hairpin_nucleotides_AACAGUG", -0.0215328 },
    { "hairpin_nucleotides_AACAUC", -1.48787 },
    { "hairpin_nucleotides_AACAUGU", -0.35956 },
    { "hairpin_nucleotides_AACC", 0.0818442 },
    { "hairpin_nucleotides_AACCA", -2.12169 },
    { "hairpin_nucleotides_AACCACC", -0.168152 },
    { "hairpin_nucleotides_AACCAU", 0.033588 },
    { "hairpin_nucleotides_AACCCCA", 0.432008 },
    { "hairpin_nucleotides_AACCUC", -0.151823 },
    { "hairpin_nucleotides_AACCUGA", -0.0481043 },
    { "hairpin_nucleotides_AACG", -3.60608 },
    { "hairpin_nucleotides_AACGA", -0.635965 },
    { "hairpin_nucleotides_AACGCA", -0.225215 },
    { "hairpin_nucleotides_AACGG", 1.42743 },
    { "hairpin_nucleotides_AACGGG", 0.201001 },
    { "hairpin_nucleotides_AACGUG", -0.20395 },
    { "hairpin_nucleotides_AACU", -3.11072 },
    { "hairpin_nucleotides_AACUA", -0.0335723 },
    { "hairpin_nucleotides_AACUAUA", 17.9483 },
    { "hairpin_nucleotides_AACUAUG", 0.34883 },
    { "hairpin_nucleotides_AACUC", 0.0948725 },
    { "hairpin_nucleotides_AACUCC", -2.35048 },
    { "hairpin_nucleotides_AACUCG", -0.0500879 },
    { "hairpin_nucleotides_AACUG", 0.20392 },
    { "hairpin_nucleotides_AACUGG", 1.62243 },
    { "hairpin_nucleotides_AACUGU", 0.171402 },
    { "hairpin_nucleotides_AACUUAC", 0.112251 },
    { "hairpin_nucleotides_AACUUGU", -0.254879 },
    { "hairpin_nucleotides_AAG", -2.51567 },
    { "hairpin_nucleotides_AAGA", 0.315885 },
    { "hairpin_nucleotides_AAGAA", 0.286666 },
    { "hairpin_nucleotides_AAGAACG", -5.08375 },
    { "hairpin_nucleotides_AAGAC", -0.182731 },
    { "hairpin_nucleotides_AAGAGC", -0.317377 },
    { "hairpin_nucleotides_AAGAGGA", -0.397304 },
    { "hairpin_nucleotides_AAGAU", -0.65873 },
    { "hairpin_nucleotides_AAGAUCC", -0.0638726 },
    { "hairpin_nucleotides_AAGAUUA", 0.0948715 },
    { "hairpin_nucleotides_AAGC", -1.98105 },
    { "hairpin_nucleotides_AAGCA", -0.0661876 },
    { "hairpin_nucleotides_AAGCAU", -0.105532 },
    { "hairpin_nucleotides_AAGCCG", -0.039507 },
    { "hairpin_nucleotides_AAGCCGA", -0.411036 },
    { "hairpin_nucleotides_AAGCUA", -0.402492 },
    { "hairpin_nucleotides_AAGCUAU", -0.218275 },
    { "hairpin_nucleotides_AAGCUC", -0.0290688 },
    { "hairpin_nucleotides_AAGG", -0.584372 },
    { "hairpin_nucleotides_AAGGA", -2.90511 },
    { "hairpin_nucleotides_AAGGAAC", -0.211085 },
    { "hairpin_nucleotides_AAGGAG", -0.59977 },
    { "hairpin_nucleotides_AAGGCUA", -0.258489 },
    { "hairpin_nucleotides_AAGGG", -0.247397 },
    { "hairpin_nucleotides_AAGGU", -2.74063 },
    { "hairpin_nucleotides_AAGGUAU", -0.285319 },
    { "hairpin_nucleotides_AAGGUG", -0.313241 },
    { "hairpin_nucleotides_AAGU", -0.145854 },
    { "hairpin_nucleotides_AAGUAAA", -0.397126 },
    { "hairpin_nucleotides_AAGUG", 0.682012 },
    { "hairpin_nucleotides_AAU", -4.16804 },
    { "hairpin_nucleotides_AAUA", -0.930932 },
    { "hairpin_nucleotides_AAUAA", 0.202115 },
    { "hairpin_nucleotides_AAUAAA", 0.102465 },
    { "hairpin_nucleotides_AAUAACC", -0.0565047 },
    { "hairpin_nucleotides_AAUAAU", -0.246723 },
    { "hairpin_nucleotides_AAUACGG", 0.493693 },
    { "hairpin_nucleotides_AAUAGA", -0.27069 },
    { "hairpin_nucleotides_AAUAGAG", -0.30813 },
    { "hairpin_nucleotides_AAUAGG", 0.272184 },
    { "hairpin_nucleotides_AAUAGGG", 0.150935 },
    { "hairpin_nucleotides_AAUAUGG", 2.96411 },
    { "hairpin_nucleotides_AAUC", -0.60604 },
    { "hairpin_nucleotides_AAUCAAC", -0.653368 },
    { "hairpin_nucleotides_AAUCC", 0.22594 },
    { "hairpin_nucleotides_AAUCCGG", -0.4235 },
    { "hairpin_nucleotides_AAUCGGC", -0.4855 },
    { "hairpin_nucleotides_AAUCUC", -0.276066 },
    { "hairpin_nucleotides_AAUCUCG", -0.803889 },
    { "hairpin_nucleotides_AAUCUUG", -0.411141 },
    { "hairpin_nucleotides_AAUG", 0.018904 },
    { "hairpin_nucleotides_AAUGA", 0.0223126 },
    { "hairpin_nucleotides_AAUGAGU", -0.525105 },
    { "hairpin_nucleotides_AAUGAU", -0.684793 },
    { "hairpin_nucleotides_AAUGC", 0.17171 },
    { "hairpin_nucleotides_AAUGCA", -0.333945 },
    { "hairpin_nucleotides_AAUGCG", -0.242837 },
    { "hairpin_nucleotides_AAUGG", -0.134705 },
    { "hairpin_nucleotides_AAUGGC", -0.341502 },
    { "hairpin_nucleotides_AAUGGCA", 0.239383 },
    { "hairpin_nucleotides_AAUGGU", -0.304306 },
    { "hairpin_nucleotides_AAUGGUA", 4.39452 },
    { "hairpin_nucleotides_AAUU", -3.42493 },
    { "hairpin_nucleotides_AAUUA", 0.0764956 },
    { "hairpin_nucleotides_AAUUACA", -0.211799 },
    { "hairpin_nucleotides_AAUUAU", -0.0478518 },
    { "hairpin_nucleotides_AAUUAUU", 0.432456 },
    { "hairpin_nucleotides_AAUUCC", -1.95599 },
    { "hairpin_nucleotides_AAUUCG", -0.532413 },
    { "hairpin_nucleotides_AAUUCUG", -0.322441 },
    { "hairpin_nucleotides_AAUUG", 0.0249388 },
    { "hairpin_nucleotides_AAUUGG", 4.94544 },
    { "hairpin_nucleotides_AAUUGGA", -0.466046 },
    { "hairpin_nucleotides_AAUUUAU", 0.0533302 },
    { "hairpin_nucleotides_AAUUUCG", -1.25707 },
    { "hairpin_nucleotides_ACA", 2.68832 },
    { "hairpin_nucleotides_ACAA", -0.0169239 },
    { "hairpin_nucleotides_ACAAA", -0.255447 },
    { "hairpin_nucleotides_ACAAAC", 0.273504 },
    { "hairpin_nucleotides_ACAACA", -0.763507 },
    { "hairpin_nucleotides_ACAAG", -5.25512 },
    { "hairpin_nucleotides_ACAAGGG", -0.391312 },
    { "hairpin_nucleotides_ACAAU", -0.0538216 },
    { "hairpin_nucleotides_ACAAUG", -0.267288 },
    { "hairpin_nucleotides_ACAAUUA", -0.365821 },
    { "hairpin_nucleotides_ACAC", -0.133646 },
    { "hairpin_nucleotides_ACACA", -1.67685 },
    { "hairpin_nucleotides_ACACAAC", -0.331002 },
    { "hairpin_nucleotides_ACACACC", -0.291791 },
    { "hairpin_nucleotides_ACACG", -1.15157 },
    { "hairpin_nucleotides_ACACGG", -0.169218 },
    { "hairpin_nucleotides_ACACUU", -0.115603 },
    { "hairpin_nucleotides_ACAG", -0.256512 },
    { "hairpin_nucleotides_ACAGA", -0.00636351 },
    { "hairpin_nucleotides_ACAGAA", -0.127867 },
    { "hairpin_nucleotides_ACAGCC", -0.348606 },
    { "hairpin_nucleotides_ACAGG", 0.991242 },
    { "hairpin_nucleotides_ACANG", -0.150522 },
    { "hairpin_nucleotides_ACAU", -1.65329 },
    { "hairpin_nucleotides_ACAUA", 0.0545102 },
    { "hairpin_nucleotides_ACAUAAU", -0.0111803 },
    { "hairpin_nucleotides_ACAUCCU", -0.00804979 },
    { "hairpin_nucleotides_ACAUG", 0.454567 },
    { "hairpin_nucleotides_ACAUGA", -0.12835 },
    { "hairpin_nucleotides_ACAUGGA", 4.6654 },
    { "hairpin_nucleotides_ACAUUCC", 0.283023 },
    { "hairpin_nucleotides_ACC", -0.820502 },
    { "hairpin_nucleotides_ACCA", -0.297868 },
    { "hairpin_nucleotides_ACCAC", 0.0888285 },
    { "hairpin_nucleotides_ACCACA", -0.0665047 },
    { "hairpin_nucleotides_ACCAG", -0.24552 },
    { "hairpin_nucleotides_ACCAUC", -0.29518 },
    { "hairpin_nucleotides_ACCAUCA", 0.28622 },
    { "hairpin_nucleotides_ACCAUCU", -0.243413 },
    { "hairpin_nucleotides_ACCC", 0.351773 },
    { "hairpin_nucleotides_ACCCAC", 0.46094 },
    { "hairpin_nucleotides_ACCCACA", -5.18681 },
    { "hairpin_nucleotides_ACCCACG", -0.156345 },
    { "hairpin_nucleotides_ACCCAUA", 0.0208686 },
    { "hairpin_nucleotides_ACCCC", 0.0925937 },
    { "hairpin_nucleotides_ACCCCGA", -0.0505351 },
    { "hairpin_nucleotides_ACCCG", -0.216798 },
    { "hairpin_nucleotides_ACCCGA", -0.390693 },
    { "hairpin_nucleotides_ACCCGCA", -0.0400197 },
    { "hairpin_nucleotides_ACCG", -0.892483 },
    { "hairpin_nucleotides_ACCGAA", -0.216298 },
    { "hairpin_nucleotides_ACCGAGC", -0.116005 },
    { "hairpin_nucleotides_ACCGC", -0.302274 },
    { "hairpin_nucleotides_ACCU", -1.56648 },
    { "hairpin_nucleotides_ACCUA", 0.0577903 },
    { "hairpin_nucleotides_ACCUGA", -0.146499 },
    { "hairpin_nucleotides_ACCUGG", 0.192749 },
    { "hairpin_nucleotides_ACCUUG", 0.0246634 },
    { "hairpin_nucleotides_ACG", -1.9653 },
    { "hairpin_nucleotides_ACGA", -0.203103 },
    { "hairpin_nucleotides_ACGAA", -1.69951 },
    { "hairpin_nucleotides_ACGAAUG", -0.177664 },
    { "hairpin_nucleotides_ACGAGG", -0.480842 },
    { "hairpin_nucleotides_ACGAU", -0.208753 },
    { "hairpin_nucleotides_ACGC", -0.645444 },
    { "hairpin_nucleotides_ACGCA", -0.413646 },
    { "hairpin_nucleotides_ACGCAUA", -0.0312523 },
    { "hairpin_nucleotides_ACGCGC", 0.047631 },
    { "hairpin_nucleotides_ACGG", -1.8091 },
    { "hairpin_nucleotides_ACGGCC", -0.136472 },
    { "hairpin_nucleotides_ACGGGGA", -0.155761 },
    { "hairpin_nucleotides_ACGGGUU", -0.0968743 },
    { "hairpin_nucleotides_ACGGU", -0.139141 },
    { "hairpin_nucleotides_ACGU", -3.41471 },
    { "hairpin_nucleotides_ACGUCA", 0.296055 },
    { "hairpin_nucleotides_ACGUUAA", 0.00632138 },
    { "hairpin_nucleotides_ACGUUUU", 0.00136793 },
    { "hairpin_nucleotides_ACU", -1.04681 },
    { "hairpin_nucleotides_ACUA", -1.79912 },
    { "hairpin_nucleotides_ACUAA", -0.103942 },
    { "hairpin_nucleotides_ACUAAA", 0.111542 },
    { "hairpin_nucleotides_ACUAAC", -0.08184 },
    { "hairpin_nucleotides_ACUAC", -0.375587 },
    { "hairpin_nucleotides_ACUCA", -0.505408 },
    { "hairpin_nucleotides_ACUCG", -0.202141 },
    { "hairpin_nucleotides_ACUCUA", -0.0235046 },
    { "hairpin_nucleotides_ACUCUCC", -0.110604 },
    { "hairpin_nucleotides_ACUG", -0.673364 },
    { "hairpin_nucleotides_ACUGA", 0.370591 },
    { "hairpin_nucleotides_ACUGAC", -0.171299 },
    { "hairpin_nucleotides_ACUGAU", -0.238665 },
    { "hairpin_nucleotides_ACUGC", -0.106566 },
    { "hairpin_nucleotides_ACUGG", 25.9794 },
    { "hairpin_nucleotides_ACUGGA", -0.174972 },
    { "hairpin_nucleotides_ACUGGUC", -0.293775 },
    { "hairpin_nucleotides_ACUGUG", 0.0395024 },
    { "hairpin_nucleotides_ACUU", -0.94281 },
    { "hairpin_nucleotides_ACUUG", -0.146663 },
    { "hairpin_nucleotides_ACUUGG", 3.90546 },
    { "hairpin_nucleotides_ACUUUA", -0.367369 },
    { "hairpin_nucleotides_ACUUUG", -0.322441 },
    { "hairpin_nucleotides_AGA", -1.10208 },
    { "hairpin_nucleotides_AGAA", 3.18265 },
    { "hairpin_nucleotides_AGAAC", 0.24634 },
    { "hairpin_nucleotides_AGAAGA", -0.439207 },
    { "hairpin_nucleotides_AGAAGGA", -0.0800118 },
    { "hairpin_nucleotides_AGAC", -0.126335 },
    { "hairpin_nucleotides_AGACA", -0.153627 },
    { "hairpin_nucleotides_AGACAGC", -0.235234 },
    { "hairpin_nucleotides_AGACC", -0.0764407 },
    { "hairpin_nucleotides_AGAG", -0.799118 },
    { "hairpin_nucleotides_AGAGA", 0.0583747 },
    { "hairpin_nucleotides_AGAGC", -0.249545 },
    { "hairpin_nucleotides_AGAGG", -0.306666 },
    { "hairpin_nucleotides_AGAGGUU", 0.350752 },
    { "hairpin_nucleotides_AGAGUGG", -0.0350989 },
    { "hairpin_nucleotides_AGAGUUC", -1.76163 },
    { "hairpin_nucleotides_AGAU", -4.10756 },
    { "hairpin_nucleotides_AGAUC", -0.195664 },
    { "hairpin_nucleotides_AGAUGGG", -0.131232 },
    { "hairpin_nucleotides_AGAUU", -0.251718 },
    { "hairpin_nucleotides_AGC", 0.133968 },
    { "hairpin_nucleotides_AGCA", -1.88142 },
    { "hairpin_nucleotides_AGCAA", 0.00797539 },
    { "hairpin_nucleotides_AGCAAA", 2.0009 },
    { "hairpin_nucleotides_AGCAAAG", -2.84443 },
    { "hairpin_nucleotides_AGCAAG", 11.0621 },
    { "hairpin_nucleotides_AGCAAGA", -4.03187 },
    { "hairpin_nucleotides_AGCAAGG", -1.29771 },
    { "hairpin_nucleotides_AGCAG", -0.597086 },
    { "hairpin_nucleotides_AGCAGU", 0.189419 },
    { "hairpin_nucleotides_AGCAUG", -3.21461 },
    { "hairpin_nucleotides_AGCAUUA", -0.4995 },
    { "hairpin_nucleotides_AGCC", 13.2806 },
    { "hairpin_nucleotides_AGCCA", 0.0554544 },
    { "hairpin_nucleotides_AGCCAC", 0.114575 },
    { "hairpin_nucleotides_AGCCCGU", -0.0665047 },
    { "hairpin_nucleotides_AGCCU", -0.0425046 },
    { "hairpin_nucleotides_AGCCUCC", 0.423958 },
    { "hairpin_nucleotides_AGCCUG", -0.30667 },
    { "hairpin_nucleotides_AGCG", -0.159973 },
    { "hairpin_nucleotides_AGCGCC", 0.248238 },
    { "hairpin_nucleotides_AGCU", 0.0638861 },
    { "hairpin_nucleotides_AGCUA", -0.258665 },
    { "hairpin_nucleotides_AGCUAAA", -0.235003 },
    { "hairpin_nucleotides_AGCUAAC", -0.251726 },
    { "hairpin_nucleotides_AGCUAUA", -0.313502 },
    { "hairpin_nucleotides_AGCUGC", -0.218687 },
    { "hairpin_nucleotides_AGCUU", -0.168573 },
    { "hairpin_nucleotides_AGCUUGC", -0.145462 },
    { "hairpin_nucleotides_AGG", -3.81222 },
    { "hairpin_nucleotides_AGGA", -0.738656 },
    { "hairpin_nucleotides_AGGAA", -0.500019 },
    { "hairpin_nucleotides_AGGAAC", -0.0500932 },
    { "hairpin_nucleotides_AGGAAG", -0.240463 },
    { "hairpin_nucleotides_AGGAG", -0.390326 },
    { "hairpin_nucleotides_AGGAGC", -0.222856 },
    { "hairpin_nucleotides_AGGAGUG", -0.121195 },
    { "hairpin_nucleotides_AGGAU", -0.301297 },
    { "hairpin_nucleotides_AGGAUGG", 0.312602 },
    { "hairpin_nucleotides_AGGAUUC", -0.310813 },
    { "hairpin_nucleotides_AGGC", -0.965619 },
    { "hairpin_nucleotides_AGGCCGA", -0.521427 },
    { "hairpin_nucleotides_AGGCG", -2.01833 },
    { "hairpin_nucleotides_AGGCU", 0.00135621 },
    { "hairpin_nucleotides_AGGG", -2.91204 },
    { "hairpin_nucleotides_AGGGA", -0.68809 },
    { "hairpin_nucleotides_AGGGAA", 0.44988 },
    { "hairpin_nucleotides_AGGGC", -0.132899 },
    { "hairpin_nucleotides_AGGGCGA", -0.571501 },
    { "hairpin_nucleotides_AGGGGC", -0.435901 },
    { "hairpin_nucleotides_AGGGU", -1.67046 },
    { "hairpin_nucleotides_AGGGUUA", -0.460727 },
    { "hairpin_nucleotides_AGGGUUC", -1.34212 },
    { "hairpin_nucleotides_AGGUC", -0.399809 },
    { "hairpin_nucleotides_AGGUCU", -0.568632 },
    { "hairpin_nucleotides_AGGUG", -0.145568 },
    { "hairpin_nucleotides_AGGUGG", -0.160664 },
    { "hairpin_nucleotides_AGU", -2.5614 },
    { "hairpin_nucleotides_AGUA", -0.0957437 },
    { "hairpin_nucleotides_AGUAAAA", -0.135692 },
    { "hairpin_nucleotides_AGUACA", -0.156022 },
    { "hairpin_nucleotides_AGUACCA", -0.398467 },
    { "hairpin_nucleotides_AGUAUA", -2.15743 },
    { "hairpin_nucleotides_AGUC", -0.190165 },
    { "hairpin_nucleotides_AGUCC", -0.0250046 },
    { "hairpin_nucleotides_AGUCG", -0.361461 },
    { "hairpin_nucleotides_AGUCGAA", -0.00834945 },
    { "hairpin_nucleotides_AGUCU", -0.952063 },
    { "hairpin_nucleotides_AGUCUGG", -1.90407 },
    { "hairpin_nucleotides_AGUG", -0.724294 },
    { "hairpin_nucleotides_AGUGAA", -0.484105 },
    { "hairpin_nucleotides_AGUGAAA", -0.195988 },
    { "hairpin_nucleotides_AGUGAU", 0.329389 },
    { "hairpin_nucleotides_AGUGC", -0.215557 },
    { "hairpin_nucleotides_AGUGGA", -0.10147 },
    { "hairpin_nucleotides_AGUGGUA", 2.18212 },
    { "hairpin_nucleotides_AGUGU", -0.545958 },
    { "hairpin_nucleotides_AGUGUA", -0.060821 },
    { "hairpin_nucleotides_AGUGUUU", -0.098968 },
    { "hairpin_nucleotides_AGUU", -0.302267 },
    { "hairpin_nucleotides_AGUUAUA", -0.356993 },
    { "hairpin_nucleotides_AGUUCA", -0.175308 },
    { "hairpin_nucleotides_AGUUCUA", -0.103754 },
    { "hairpin_nucleotides_AGUUG", 0.0594794 },
    { "hairpin_nucleotides_AGUUUUU", -0.237743 },
    { "hairpin_nucleotides_AUA", 0.918691 },
    { "hairpin_nucleotides_AUAA", -2.46039 },
    { "hairpin_nucleotides_AUAAC", -0.0980818 },
    { "hairpin_nucleotides_AUAACA", -0.0209762 },
    { "hairpin_nucleotides_AUAAG", 0.1409 },
    { "hairpin_nucleotides_AUAAGCC", 0.237202 },
    { "hairpin_nucleotides_AUAAGG", -0.0523461 },
    { "hairpin_nucleotides_AUAAU", 0.0790116 },
    { "hairpin_nucleotides_AUAAUG", 0.448398 },
    { "hairpin_nucleotides_AUACCUG", -0.380502 },
    { "hairpin_nucleotides_AUACG", -0.0824542 },
    { "hairpin_nucleotides_AUACUU", -0.247136 },
    { "hairpin_nucleotides_AUAGAAA", -0.97 },
    { "hairpin_nucleotides_AUAGAGG", 4.81556 },
    { "hairpin_nucleotides_AUAGCU", -0.775883 },
    { "hairpin_nucleotides_AUAGG", 0.582738 },
    { "hairpin_nucleotides_AUAGGG", -0.0146929 },
    { "hairpin_nucleotides_AUAGUGG", 2.1742 },
    { "hairpin_nucleotides_AUAGUU", -0.124897 },
    { "hairpin_nucleotides_AUAU", 0.439196 },
    { "hairpin_nucleotides_AUAUA", 0.191367 },
    { "hairpin_nucleotides_AUAUAA", -1.90799 },
    { "hairpin_nucleotides_AUAUAAA", -0.0936009 },
    { "hairpin_nucleotides_AUAUC", 0.22725 },
    { "hairpin_nucleotides_AUAUCA", 0.0348826 },
    { "hairpin_nucleotides_AUAUGAC", -0.22632 },
    { "hairpin_nucleotides_AUAUGG", -0.181387 },
    { "hairpin_nucleotides_AUAUU", 0.0890906 },
    { "hairpin_nucleotides_AUC", -1.76677 },
    { "hairpin_nucleotides_AUCA", -0.173704 },
    { "hairpin_nucleotides_AUCAA", -2.47215 },
    { "hairpin_nucleotides_AUCAAGA", -0.220448 },
    { "hairpin_nucleotides_AUCAGG", -0.323213 },
    { "hairpin_nucleotides_AUCAU", 0.169163 },
    { "hairpin_nucleotides_AUCAUA", 0.136847 },
    { "hairpin_nucleotides_AUCAUU", -3.9556 },
    { "hairpin_nucleotides_AUCC", 4.83146 },
    { "hairpin_nucleotides_AUCCA", -0.270596 },
    { "hairpin_nucleotides_AUCCAUU", -0.0590437 },
    { "hairpin_nucleotides_AUCCC", 2.38841 },
    { "hairpin_nucleotides_AUCCG", -0.148165 },
    { "hairpin_nucleotides_AUCCUG", 0.00465014 },
    { "hairpin_nucleotides_AUCCUUG", -0.443189 },
    { "hairpin_nucleotides_AUCG", 0.138571 },
    { "hairpin_nucleotides_AUCGA", 0.324641 },
    { "hairpin_nucleotides_AUCGAGG", 0.279508 },
    { "hairpin_nucleotides_AUCGG", 0.276392 },
    { "hairpin_nucleotides_AUCU", 0.406289 },
    { "hairpin_nucleotides_AUCUACG", -0.0608115 },
    { "hairpin_nucleotides_AUCUAUC", -0.39664 },
    { "hairpin_nucleotides_AUCUC", 0.329667 },
    { "hairpin_nucleotides_AUCUG", 0.102465 },
    { "hairpin_nucleotides_AUCUGGC", -5.95509 },
    { "hairpin_nucleotides_AUCUGGN", -0.0484049 },
    { "hairpin_nucleotides_AUCUGU", -0.254676 },
    { "hairpin_nucleotides_AUG", -0.690926 },
    { "hairpin_nucleotides_AUGA", -0.203253 },
    { "hairpin_nucleotides_AUGAAA", 1.14072 },
    { "hairpin_nucleotides_AUGAAAA", 0.290689 },
    { "hairpin_nucleotides_AUGAACG", -0.125505 },
    { "hairpin_nucleotides_AUGACA", -0.111356 },
    { "hairpin_nucleotides_AUGCC", -0.0306341 },
    { "hairpin_nucleotides_AUGCUG", -0.349502 },
    { "hairpin_nucleotides_AUGG", -1.61225 },
    { "hairpin_nucleotides_AUGGA", -0.287894 },
    { "hairpin_nucleotides_AUGGC", 0.247605 },
    { "hairpin_nucleotides_AUGU", -1.52415 },
    { "hairpin_nucleotides_AUGUAA", 0.00439954 },
    { "hairpin_nucleotides_AUGUAGA", -0.0574284 },
    { "hairpin_nucleotides_AUGUG", 6.56567 },
    { "hairpin_nucleotides_AUGUGG", -0.168864 },
    { "hairpin_nucleotides_AUGUU", -0.284255 },
    { "hairpin_nucleotides_AUU", -2.80234 },
    { "hairpin_nucleotides_AUUAA", 0.786861 },
    { "hairpin_nucleotides_AUUAAAC", 0.307683 },
    { "hairpin_nucleotides_AUUACA", 0.00262344 },
    { "hairpin_nucleotides_AUUAGG", 1.24017 },
    { "hairpin_nucleotides_AUUAGUA", -0.200819 },
    { "hairpin_nucleotides_AUUAU", 0.315912 },
    { "hairpin_nucleotides_AUUAUA", 0.052079 },
    { "hairpin_nucleotides_AUUAUGA", 0.209974 },
    { "hairpin_nucleotides_AUUAUU", 0.234324 },
    { "hairpin_nucleotides_AUUC", -0.0137141 },
    { "hairpin_nucleotides_AUUCCCG", -0.0875047 },
    { "hairpin_nucleotides_AUUCCG", 0.035777 },
    { "hairpin_nucleotides_AUUCUC", -0.327596 },
    { "hairpin_nucleotides_AUUCUG", 0.0391871 },
    { "hairpin_nucleotides_AUUG", -0.0552226 },
    { "hairpin_nucleotides_AUUGAA", -0.31984 },
    { "hairpin_nucleotides_AUUGG", 0.156107 },
    { "hairpin_nucleotides_AUUGGA", -0.0628827 },
    { "hairpin_nucleotides_AUUGUA", 0.247922 },
    { "hairpin_nucleotides_AUUU", 0.0400207 },
    { "hairpin_nucleotides_AUUUA", 0.389527 },
    { "hairpin_nucleotides_AUUUAAA", -0.0593973 },
    { "hairpin_nucleotides_AUUUACA", -0.0795047 },
    { "hairpin_nucleotides_AUUUAGA", -0.325871 },
    { "hairpin_nucleotides_AUUUAU", 0.959929 },
    { "hairpin_nucleotides_AUUUGA", -0.197324 },
    { "hairpin_nucleotides_AUUUGG", 1.23685 },
    { "hairpin_nucleotides_AUUUGGC", -0.188954 },
    { "hairpin_nucleotides_AUUUU", 0.428824 },
    { "hairpin_nucleotides_AUUUUA", 0.0413144 },
    { "hairpin_nucleotides_AUUUUUG", -0.120088 },
    { "hairpin_nucleotides_CAA", -2.9359 },
    { "hairpin_nucleotides_CAAA", -7.0806 },
    { "hairpin_nucleotides_CAAAC", -0.141035 },
    { "hairpin_nucleotides_CAAACA", 7.05826 },
    { "hairpin_nucleotides_CAAACAA", -0.322915 },
    { "hairpin_nucleotides_CAAACGA", -2.52664 },
    { "hairpin_nucleotides_CAAACGU", 6.10563 },
    { "hairpin_nucleotides_CAAAG", 0.0808059 },
    { "hairpin_nucleotides_CAAAGC", -0.393548 },
    { "hairpin_nucleotides_CAAAGG", 0.294408 },
    { "hairpin_nucleotides_CAAAU", 11.8317 },
    { "hairpin_nucleotides_CAAAUA", 14.723 },
    { "hairpin_nucleotides_CAAAUCC", -0.139198 },
    { "hairpin_nucleotides_CAAAUGA", -0.0736787 },
    { "hairpin_nucleotides_CAAAUGC", 11.2 },
    { "hairpin_nucleotides_CAAAUGG", 0.0616621 },
    { "hairpin_nucleotides_CAAAUGU", 4.36411 },
    { "hairpin_nucleotides_CAAAUUA", -0.351002 },
    { "hairpin_nucleotides_CAAAUUG", 0.269109 },
    { "hairpin_nucleotides_CAAC", -0.406101 },
    { "hairpin_nucleotides_CAACA", 0.122399 },
    { "hairpin_nucleotides_CAACG", -0.245 },
    { "hairpin_nucleotides_CAAG", 6.29415 },
    { "hairpin_nucleotides_CAAGA", 0.452593 },
    { "hairpin_nucleotides_CAAGAU", -0.117634 },
    { "hairpin_nucleotides_CAAGCUA", -0.121429 },
    { "hairpin_nucleotides_CAAGU", 11.9932 },
    { "hairpin_nucleotides_CAAU", -0.0570819 },
    { "hairpin_nucleotides_CAAUG", 2.36366 },
    { "hairpin_nucleotides_CAAUGGA", -0.0482858 },
    { "hairpin_nucleotides_CAAUUG", 0.115471 },
    { "hairpin_nucleotides_CAC", -3.89392 },
    { "hairpin_nucleotides_CACA", -5.15782 },
    { "hairpin_nucleotides_CACAA", -0.334192 },
    { "hairpin_nucleotides_CACAAG", 16.0057 },
    { "hairpin_nucleotides_CACAAGG", -0.0488126 },
    { "hairpin_nucleotides_CACAAN", 0.224204 },
    { "hairpin_nucleotides_CACAAUA", 2.579 },
    { "hairpin_nucleotides_CACACA", 0.197265 },
    { "hairpin_nucleotides_CACAGG", 0.0672363 },
    { "hairpin_nucleotides_CACANG", 0.150522 },
    { "hairpin_nucleotides_CACC", 0.830517 },
    { "hairpin_nucleotides_CACCG", 2.57511 },
    { "hairpin_nucleotides_CACCGC", 0.189422 },
    { "hairpin_nucleotides_CACCUA", -0.210638 },
    { "hairpin_nucleotides_CACG", 4.54366 },
    { "hairpin_nucleotides_CACGAAA", -0.192302 },
    { "hairpin_nucleotides_CACGAG", 0.182894 },
    { "hairpin_nucleotides_CACGC", 2.74788 },
    { "hairpin_nucleotides_CACGCC", -0.205863 },
    { "hairpin_nucleotides_CACGG", 1.04 },
    { "hairpin_nucleotides_CACGGGA", -0.0715904 },
    { "hairpin_nucleotides_CACGU", 32.1392 },
    { "hairpin_nucleotides_CACGUCC", -0.0638757 },
    { "hairpin_nucleotides_CACU", -3.17777 },
    { "hairpin_nucleotides_CACUACU", -0.330044 },
    { "hairpin_nucleotides_CACUAUU", 1.09226 },
    { "hairpin_nucleotides_CACUC", -0.0884605 },
    { "hairpin_nucleotides_CACUG", 24.3093 },
    { "hairpin_nucleotides_CAG", -9.74292 },
    { "hairpin_nucleotides_CAGA", -0.511991 },
    { "hairpin_nucleotides_CAGAA", 0.506912 },
    { "hairpin_nucleotides_CAGAAG", 1.21003 },
    { "hairpin_nucleotides_CAGAAGG", -0.403307 },
    { "hairpin_nucleotides_CAGACGA", 0.0913873 },
    { "hairpin_nucleotides_CAGAUAA", -0.444001 },
    { "hairpin_nucleotides_CAGC", -0.319457 },
    { "hairpin_nucleotides_CAGCA", 0.0226402 },
    { "hairpin_nucleotides_CAGCAAC", -0.0986633 },
    { "hairpin_nucleotides_CAGCAU", -0.469 },
    { "hairpin_nucleotides_CAGCC", 0.963301 },
    { "hairpin_nucleotides_CAGCCUG", 0.203017 },
    { "hairpin_nucleotides_CAGCUA", -0.0822873 },
    { "hairpin_nucleotides_CAGCUCA", -0.350168 },
    { "hairpin_nucleotides_CAGG", -1.3246 },
    { "hairpin_nucleotides_CAGGA", -6.40788 },
    { "hairpin_nucleotides_CAGGC", -0.55025 },
    { "hairpin_nucleotides_CAGGG", -0.187741 },
    { "hairpin_nucleotides_CAGGGG", -0.230938 },
    { "hairpin_nucleotides_CAGGU", -0.510307 },
    { "hairpin_nucleotides_CAGU", 0.00425881 },
    { "hairpin_nucleotides_CAGUA", -0.107515 },
    { "hairpin_nucleotides_CAGUAA", -0.00150463 },
    { "hairpin_nucleotides_CAGUAC", -0.199184 },
    { "hairpin_nucleotides_CAGUAU", 0.00259758 },
    { "hairpin_nucleotides_CAGUCC", -0.185594 },
    { "hairpin_nucleotides_CAGUGA", 3.82204 },
    { "hairpin_nucleotides_CAGUGC", 13.3253 },
    { "hairpin_nucleotides_CAGUGU", 16.6502 },
    { "hairpin_nucleotides_CAU", 1.2094 },
    { "hairpin_nucleotides_CAUAAA", 0.0822168 },
    { "hairpin_nucleotides_CAUAACA", -2.29786 },
    { "hairpin_nucleotides_CAUAAUA", 0.238834 },
    { "hairpin_nucleotides_CAUACA", -0.0400046 },
    { "hairpin_nucleotides_CAUAG", 0.165069 },
    { "hairpin_nucleotides_CAUAGC", 0.127047 },
    { "hairpin_nucleotides_CAUAUUA", -0.268503 },
    { "hairpin_nucleotides_CAUC", 0.0303084 },
    { "hairpin_nucleotides_CAUCAG", 0.244443 },
    { "hairpin_nucleotides_CAUCC", 0.261649 },
    { "hairpin_nucleotides_CAUCCC", 0.13471 },
    { "hairpin_nucleotides_CAUCCG", 0.0635595 },
    { "hairpin_nucleotides_CAUCG", -0.308043 },
    { "hairpin_nucleotides_CAUG", -3.88563 },
    { "hairpin_nucleotides_CAUGG", 0.036505 },
    { "hairpin_nucleotides_CAUU", 0.208333 },
    { "hairpin_nucleotides_CAUUCA", -0.247168 },
    { "hairpin_nucleotides_CAUUCG", 0.309587 },
    { "hairpin_nucleotides_CAUUG", 12.484 },
    { "hairpin_nucleotides_CAUUU", -0.619428 },
    { "hairpin_nucleotides_CAUUUGU", 0.110993 },
    { "hairpin_nucleotides_CAUUUU", -0.0517833 },
    { "hairpin_nucleotides_CCA", -2.50393 },
    { "hairpin_nucleotides_CCAA", -1.33108 },
    { "hairpin_nucleotides_CCAAAA", -0.0796634 },
    { "hairpin_nucleotides_CCAAAUC", -0.278912 },
    { "hairpin_nucleotides_CCAACAA", -0.296269 },
    { "hairpin_nucleotides_CCAACU", -0.117135 },
    { "hairpin_nucleotides_CCAAGA", -0.0219241 },
    { "hairpin_nucleotides_CCAAGAA", -0.153841 },
    { "hairpin_nucleotides_CCAAGCA", 0.753061 },
    { "hairpin_nucleotides_CCAAU", -0.201119 },
    { "hairpin_nucleotides_CCAC", -4.90441 },
    { "hairpin_nucleotides_CCACA", -0.102783 },
    { "hairpin_nucleotides_CCACAA", 0.534549 },
    { "hairpin_nucleotides_CCACCCC", 0.308421 },
    { "hairpin_nucleotides_CCACGG", 1.67096 },
    { "hairpin_nucleotides_CCACUC", -0.26816 },
    { "hairpin_nucleotides_CCACUGA", -1.82688 },
    { "hairpin_nucleotides_CCAG", -5.36833 },
    { "hairpin_nucleotides_CCAGCAA", -0.0624028 },
    { "hairpin_nucleotides_CCAGCGA", -0.0419969 },
    { "hairpin_nucleotides_CCAGGAG", -1.25291 },
    { "hairpin_nucleotides_CCAGGCA", 0.309919 },
    { "hairpin_nucleotides_CCAGGGA", -0.0213935 },
    { "hairpin_nucleotides_CCAGGU", -0.0743111 },
    { "hairpin_nucleotides_CCAUAAC", -0.724003 },
    { "hairpin_nucleotides_CCAUAU", -0.0566025 },
    { "hairpin_nucleotides_CCAUCA", 1.56995 },
    { "hairpin_nucleotides_CCAUCCC", 11.246 },
    { "hairpin_nucleotides_CCAUCUC", 0.174413 },
    { "hairpin_nucleotides_CCAUGCC", 0.0596466 },
    { "hairpin_nucleotides_CCAUUCA", -0.0898322 },
    { "hairpin_nucleotides_CCAUUCC", 4.97146 },
    { "hairpin_nucleotides_CCC", -1.21864 },
    { "hairpin_nucleotides_CCCA", -0.278215 },
    { "hairpin_nucleotides_CCCAAA", -0.107778 },
    { "hairpin_nucleotides_CCCACAC", 0.296055 },
    { "hairpin_nucleotides_CCCACG", -0.101997 },
    { "hairpin_nucleotides_CCCC", 0.21532 },
    { "hairpin_nucleotides_CCCCAG", 0.234814 },
    { "hairpin_nucleotides_CCCCCAU", -0.00357765 },
    { "hairpin_nucleotides_CCCCGA", -0.196284 },
    { "hairpin_nucleotides_CCCCGG", 0.0404748 },
    { "hairpin_nucleotides_CCCG", -0.522496 },
    { "hairpin_nucleotides_CCCGU", -0.0981489 },
    { "hairpin_nucleotides_CCCU", -0.249998 },
    { "hairpin_nucleotides_CCCUA", 0.322333 },
    { "hairpin_nucleotides_CCCUAA", -0.267434 },
    { "hairpin_nucleotides_CCCUAAA", 0.367369 },
    { "hairpin_nucleotides_CCCUUAU", -0.398915 },
    { "hairpin_nucleotides_CCCUUU", -0.706004 },
    { "hairpin_nucleotides_CCG", 0.0747966 },
    { "hairpin_nucleotides_CCGA", -4.78701 },
    { "hairpin_nucleotides_CCGAAU", -0.177289 },
    { "hairpin_nucleotides_CCGACC", -0.167138 },
    { "hairpin_nucleotides_CCGC", -1.71122 },
    { "hairpin_nucleotides_CCGCAC", 0.0364086 },
    { "hairpin_nucleotides_CCGCCA", -0.264716 },
    { "hairpin_nucleotides_CCGCCU", -0.278861 },
    { "hairpin_nucleotides_CCGCUA", -0.30936 },
    { "hairpin_nucleotides_CCGG", -4.13713 },
    { "hairpin_nucleotides_CCGGC", 0.0507476 },
    { "hairpin_nucleotides_CCGGGA", 0.203929 },
    { "hairpin_nucleotides_CCGU", -0.0384158 },
    { "hairpin_nucleotides_CCGUA", -0.32412 },
    { "hairpin_nucleotides_CCGUAAA", 14.6518 },
    { "hairpin_nucleotides_CCGUCC", 13.3582 },
    { "hairpin_nucleotides_CCGUCU", 0.248608 },
    { "hairpin_nucleotides_CCGUGG", 0.190367 },
    { "hairpin_nucleotides_CCGUUC", 0.170177 },
    { "hairpin_nucleotides_CCUA", -0.0790359 },
    { "hairpin_nucleotides_CCUAACA", -0.148475 },
    { "hairpin_nucleotides_CCUAAUA", -0.264309 },
    { "hairpin_nucleotides_CCUAG", 0.291136 },
    { "hairpin_nucleotides_CCUAGU", -0.0281419 },
    { "hairpin_nucleotides_CCUC", -0.133788 },
    { "hairpin_nucleotides_CCUCA", -0.291791 },
    { "hairpin_nucleotides_CCUCAAA", -0.295572 },
    { "hairpin_nucleotides_CCUCGG", 0.174861 },
    { "hairpin_nucleotides_CCUCGU", 0.289375 },
    { "hairpin_nucleotides_CCUG", -5.18715 },
    { "hairpin_nucleotides_CCUGA", -0.315165 },
    { "hairpin_nucleotides_CCUGU", -0.200356 },
    { "hairpin_nucleotides_CCUU", -3.50218 },
    { "hairpin_nucleotides_CCUUAAA", 3.07353 },
    { "hairpin_nucleotides_CCUUUG", -0.0294476 },
    { "hairpin_nucleotides_CGA", -2.35573 },
    { "hairpin_nucleotides_CGAA", -3.16736 },
    { "hairpin_nucleotides_CGAAA", 4.13896 },
    { "hairpin_nucleotides_CGAAAC", 0.239067 },
    { "hairpin_nucleotides_CGAAAU", -1.0772 },
    { "hairpin_nucleotides_CGAAAUA", 0.312602 },
    { "hairpin_nucleotides_CGAAAUU", 14.8922 },
    { "hairpin_nucleotides_CGAAGCU", -0.14034 },
    { "hairpin_nucleotides_CGAAUA", 4.84862 },
    { "hairpin_nucleotides_CGAC", -0.275569 },
    { "hairpin_nucleotides_CGACAA", -0.168108 },
    { "hairpin_nucleotides_CGACAAA", -0.211239 },
    { "hairpin_nucleotides_CGACCU", 0.218687 },
    { "hairpin_nucleotides_CGACG", -0.00590839 },
    { "hairpin_nucleotides_CGAG", -2.72098 },
    { "hairpin_nucleotides_CGAGAAG", 0.199854 },
    { "hairpin_nucleotides_CGAGACC", -0.322002 },
    { "hairpin_nucleotides_CGAGG", -0.437539 },
    { "hairpin_nucleotides_CGAGGCU", -0.213768 },
    { "hairpin_nucleotides_CGAGU", 0.0310023 },
    { "hairpin_nucleotides_CGAUA", 0.0326552 },
    { "hairpin_nucleotides_CGAUCCU", 0.0550072 },
    { "hairpin_nucleotides_CGAUUG", 0.0113818 },
    { "hairpin_nucleotides_CGC", -0.301139 },
    { "hairpin_nucleotides_CGCA", -0.095804 },
    { "hairpin_nucleotides_CGCAAA", -0.4615 },
    { "hairpin_nucleotides_CGCAAAA", -0.0490477 },
    { "hairpin_nucleotides_CGCAAC", 0.468654 },
    { "hairpin_nucleotides_CGCAACC", -0.354531 },
    { "hairpin_nucleotides_CGCAGA", -0.102213 },
    { "hairpin_nucleotides_CGCAGAC", 0.107199 },
    { "hairpin_nucleotides_CGCAGC", 0.109508 },
    { "hairpin_nucleotides_CGCC", 2.54238 },
    { "hairpin_nucleotides_CGCCAC", -0.33072 },
    { "hairpin_nucleotides_CGCCAG", 0.11542 },
    { "hairpin_nucleotides_CGCCAGA", -0.4715 },
    { "hairpin_nucleotides_CGCCCGU", 0.0370968 },
    { "hairpin_nucleotides_CGCCCUU", 0.121429 },
    { "hairpin_nucleotides_CGCCGAU", 0.342926 },
    { "hairpin_nucleotides_CGCCU", -0.39151 },
    { "hairpin_nucleotides_CGCCUAU", 0.176769 },
    { "hairpin_nucleotides_CGCG", -2.99151 },
    { "hairpin_nucleotides_CGCGA", 0.380852 },
    { "hairpin_nucleotides_CGCUAG", 1.2867 },
    { "hairpin_nucleotides_CGCUUAA", 0.14044 },
    { "hairpin_nucleotides_CGG", -12.679 },
    { "hairpin_nucleotides_CGGAAG", 3.71814 },
    { "hairpin_nucleotides_CGGACC", -0.30813 },
    { "hairpin_nucleotides_CGGAGAA", -0.232332 },
    { "hairpin_nucleotides_CGGAU", -0.15837 },
    { "hairpin_nucleotides_CGGAUC", -0.224948 },
    { "hairpin_nucleotides_CGGAUG", 0.25899 },
    { "hairpin_nucleotides_CGGCA", 0.0733273 },
    { "hairpin_nucleotides_CGGCAA", -0.198696 },
    { "hairpin_nucleotides_CGGCUA", -0.25845 },
    { "hairpin_nucleotides_CGGG", -3.4443 },
    { "hairpin_nucleotides_CGGGAU", -0.223004 },
    { "hairpin_nucleotides_CGGGAUU", 0.243284 },
    { "hairpin_nucleotides_CGGGG", -3.40612 },
    { "hairpin_nucleotides_CGGGU", -0.0517833 },
    { "hairpin_nucleotides_CGGUAA", -0.270248 },
    { "hairpin_nucleotides_CGGUUC", -0.241692 },
    { "hairpin_nucleotides_CGU", -2.20644 },
    { "hairpin_nucleotides_CGUA", -0.0956858 },
    { "hairpin_nucleotides_CGUAC", -0.233853 },
    { "hairpin_nucleotides_CGUAG", -2.76264 },
    { "hairpin_nucleotides_CGUAU", 0.270248 },
    { "hairpin_nucleotides_CGUC", 0.0215869 },
    { "hairpin_nucleotides_CGUCAU", 0.189957 },
    { "hairpin_nucleotides_CGUG", -0.899855 },
    { "hairpin_nucleotides_CGUGAC", -0.269003 },
    { "hairpin_nucleotides_CGUGC", 0.311708 },
    { "hairpin_nucleotides_CGUGGAA", -0.187504 },
    { "hairpin_nucleotides_CGUU", -1.942 },
    { "hairpin_nucleotides_CGUUAC", 0.216829 },
    { "hairpin_nucleotides_CGUUAG", 0.0261633 },
    { "hairpin_nucleotides_CGUUGUA", -1.67083 },
    { "hairpin_nucleotides_CGUUU", -0.308928 },
    { "hairpin_nucleotides_CGUUUGU", 0.232474 },
    { "hairpin_nucleotides_CGUUUUU", -0.0165046 },
    { "hairpin_nucleotides_CUA", 0.110992 },
    { "hairpin_nucleotides_CUAA", -0.350102 },
    { "hairpin_nucleotides_CUAAA", -0.0753797 },
    { "hairpin_nucleotides_CUAAAA", 0.0363638 },
    { "hairpin_nucleotides_CUAAACC", -0.329149 },
    { "hairpin_nucleotides_CUAACA", -0.353299 },
    { "hairpin_nucleotides_CUAAGCC", -0.49 },
    { "hairpin_nucleotides_CUAAUA", -0.461655 },
    { "hairpin_nucleotides_CUAAUAU", 0.0836289 },
    { "hairpin_nucleotides_CUAAUC", 0.0344665 },
    { "hairpin_nucleotides_CUAAUU", 0.0934707 },
    { "hairpin_nucleotides_CUACAA", 1.13087 },
    { "hairpin_nucleotides_CUACAAA", 0.391312 },
    { "hairpin_nucleotides_CUACC", -0.472845 },
    { "hairpin_nucleotides_CUACGG", 6.01558 },
    { "hairpin_nucleotides_CUACGUU", -0.149817 },
    { "hairpin_nucleotides_CUACUAC", -0.109205 },
    { "hairpin_nucleotides_CUAG", -2.07376 },
    { "hairpin_nucleotides_CUAGAGA", -0.25393 },
    { "hairpin_nucleotides_CUAGU", 3.26325 },
    { "hairpin_nucleotides_CUAGUAA", 0.27828 },
    { "hairpin_nucleotides_CUAU", -0.211763 },
    { "hairpin_nucleotides_CUAUAUG", 0.234324 },
    { "hairpin_nucleotides_CUAUCA", -0.291193 },
    { "hairpin_nucleotides_CUAUCU", -0.143886 },
    { "hairpin_nucleotides_CUAUG", 0.216615 },
    { "hairpin_nucleotides_CUAUGC", -0.53387 },
    { "hairpin_nucleotides_CUAUGCC", -0.775397 },
    { "hairpin_nucleotides_CUC", -0.102187 },
    { "hairpin_nucleotides_CUCAA", 15.6956 },
    { "hairpin_nucleotides_CUCAAA", -0.291245 },
    { "hairpin_nucleotides_CUCAAG", 0.14445 },
    { "hairpin_nucleotides_CUCAC", -0.186033 },
    { "hairpin_nucleotides_CUCACC", 0.0806265 },
    { "hairpin_nucleotides_CUCAG", 0.247605 },
    { "hairpin_nucleotides_CUCAUA", 0.192876 },
    { "hairpin_nucleotides_CUCAUAA", 10.3306 },
    { "hairpin_nucleotides_CUCAUU", 0.235911 },
    { "hairpin_nucleotides_CUCC", 0.0150623 },
    { "hairpin_nucleotides_CUCCAA", -0.423511 },
    { "hairpin_nucleotides_CUCCAAA", 0.205501 },
    { "hairpin_nucleotides_CUCCACU", -0.383262 },
    { "hairpin_nucleotides_CUCCCU", 0.219845 },
    { "hairpin_nucleotides_CUCCUAC", 0.143558 },
    { "hairpin_nucleotides_CUCCUC", -4.69045 },
    { "hairpin_nucleotides_CUCG", -0.0839869 },
    { "hairpin_nucleotides_CUCGA", 0.433538 },
    { "hairpin_nucleotides_CUCGC", 1.81746 },
    { "hairpin_nucleotides_CUCGCCA", 0.614811 },
    { "hairpin_nucleotides_CUCGGC", -0.205126 },
    { "hairpin_nucleotides_CUCGU", 14.3439 },
    { "hairpin_nucleotides_CUCGUG", -0.0790092 },
    { "hairpin_nucleotides_CUCU", -1.54353 },
    { "hairpin_nucleotides_CUCUAAA", 0.0534758 },
    { "hairpin_nucleotides_CUCUAGA", -0.162937 },
    { "hairpin_nucleotides_CUCUGA", -0.474473 },
    { "hairpin_nucleotides_CUG", -5.97901 },
    { "hairpin_nucleotides_CUGA", 0.0665516 },
    { "hairpin_nucleotides_CUGAAA", -0.097201 },
    { "hairpin_nucleotides_CUGAAGA", 0.595545 },
    { "hairpin_nucleotides_CUGAAGG", 0.23083 },
    { "hairpin_nucleotides_CUGAAU", 0.484113 },
    { "hairpin_nucleotides_CUGACC", 0.350168 },
    { "hairpin_nucleotides_CUGAGG", 2.57186 },
    { "hairpin_nucleotides_CUGC", -0.213856 },
    { "hairpin_nucleotides_CUGCA", -0.0795974 },
    { "hairpin_nucleotides_CUGCAA", 0.269056 },
    { "hairpin_nucleotides_CUGCG", -1.00175 },
    { "hairpin_nucleotides_CUGCGG", 4.94259 },
    { "hairpin_nucleotides_CUGCU", -0.664285 },
    { "hairpin_nucleotides_CUGCUAA", 0.654524 },
    { "hairpin_nucleotides_CUGCUUC", -0.319758 },
    { "hairpin_nucleotides_CUGG", -4.47419 },
    { "hairpin_nucleotides_CUGGC", 0.114155 },
    { "hairpin_nucleotides_CUGGU", 0.186935 },
    { "hairpin_nucleotides_CUGU", -0.889085 },
    { "hairpin_nucleotides_CUGUA", -1.87717 },
    { "hairpin_nucleotides_CUGUC", -0.218816 },
    { "hairpin_nucleotides_CUGUCAC", 0.36954 },
    { "hairpin_nucleotides_CUGUCCU", -0.188724 },
    { "hairpin_nucleotides_CUGUCG", -0.165698 },
    { "hairpin_nucleotides_CUGUGC", 0.116804 },
    { "hairpin_nucleotides_CUGUUAA", 0.258042 },
    { "hairpin_nucleotides_CUGUUGU", -0.172444 },
    { "hairpin_nucleotides_CUU", 0.00989139 },
    { "hairpin_nucleotides_CUUA", -0.419505 },
    { "hairpin_nucleotides_CUUAA", 9.39851 },
    { "hairpin_nucleotides_CUUAACA", -0.17426 },
    { "hairpin_nucleotides_CUUAAUC", 0.126247 },
    { "hairpin_nucleotides_CUUACAA", 0.229421 },
    { "hairpin_nucleotides_CUUAG", 0.092336 },
    { "hairpin_nucleotides_CUUAGU", 0.529883 },
    { "hairpin_nucleotides_CUUAGUU", 0.108988 },
    { "hairpin_nucleotides_CUUAUAU", 0.243284 },
    { "hairpin_nucleotides_CUUAUGG", 0.313944 },
    { "hairpin_nucleotides_CUUC", -0.299032 },
    { "hairpin_nucleotides_CUUCAA", -0.127644 },
    { "hairpin_nucleotides_CUUCAAA", 0.195036 },
    { "hairpin_nucleotides_CUUCCAA", 0.366027 },
    { "hairpin_nucleotides_CUUCGA", 0.147786 },
    { "hairpin_nucleotides_CUUCGG", 0.425747 },
    { "hairpin_nucleotides_CUUCGU", 0.0898559 },
    { "hairpin_nucleotides_CUUCUAA", 2.04645 },
    { "hairpin_nucleotides_CUUCUG", 1.64717 },
    { "hairpin_nucleotides_CUUG", -0.088452 },
    { "hairpin_nucleotides_CUUGA", 0.252255 },
    { "hairpin_nucleotides_CUUGAAA", 0.610461 },
    { "hairpin_nucleotides_CUUGC", 3.41913 },
    { "hairpin_nucleotides_CUUGCU", 0.0746222 },
    { "hairpin_nucleotides_CUUGG", 0.224123 },
    { "hairpin_nucleotides_CUUGU", 10.8455 },
    { "hairpin_nucleotides_CUUGUA", 0.153394 },
    { "hairpin_nucleotides_CUUGUAA", 0.227797 },
    { "hairpin_nucleotides_CUUGUG", 0.129668 },
    { "hairpin_nucleotides_CUUU", -5.17716 },
    { "hairpin_nucleotides_CUUUCAA", 0.267844 },
    { "hairpin_nucleotides_CUUUCGA", 0.372529 },
    { "hairpin_nucleotides_CUUUG", 0.367293 },
    { "hairpin_nucleotides_CUUUGAA", 0.0686836 },
    { "hairpin_nucleotides_CUUUGU", 0.31161 },
    { "hairpin_nucleotides_CUUUUUC", 0.297397 },
    { "hairpin_nucleotides_GAA", -2.65258 },
    { "hairpin_nucleotides_GAAA", 20.5077 },
    { "hairpin_nucleotides_GAAAA", 1.34504 },
    { "hairpin_nucleotides_GAAAAGA", -0.488071 },
    { "hairpin_nucleotides_GAAAAUA", 0.0553302 },
    { "hairpin_nucleotides_GAAAC", 0.00884956 },
    { "hairpin_nucleotides_GAAACAA", -0.00224197 },
    { "hairpin_nucleotides_GAAACAG", -0.323502 },
    { "hairpin_nucleotides_GAAACCA", -0.051871 },
    { "hairpin_nucleotides_GAAACU", -0.0588894 },
    { "hairpin_nucleotides_GAAAG", 7.72184 },
    { "hairpin_nucleotides_GAAAGA", -0.659743 },
    { "hairpin_nucleotides_GAAAGGU", -0.230404 },
    { "hairpin_nucleotides_GAAAU", 1.36783 },
    { "hairpin_nucleotides_GAAAUA", -0.0585853 },
    { "hairpin_nucleotides_GAAAUAA", 0.211532 },
    { "hairpin_nucleotides_GAAAUGG", -0.293999 },
    { "hairpin_nucleotides_GAAAUUC", 0.473155 },
    { "hairpin_nucleotides_GAAC", -3.91355 },
    { "hairpin_nucleotides_GAACA", -0.0325935 },
    { "hairpin_nucleotides_GAACAA", -0.176089 },
    { "hairpin_nucleotides_GAACAG", 0.0751318 },
    { "hairpin_nucleotides_GAACC", -0.225985 },
    { "hairpin_nucleotides_GAACCUU", -0.033263 },
    { "hairpin_nucleotides_GAACGA", -0.533326 },
    { "hairpin_nucleotides_GAACUCA", -0.780003 },
    { "hairpin_nucleotides_GAAG", 9.28624 },
    { "hairpin_nucleotides_GAAGA", 0.241779 },
    { "hairpin_nucleotides_GAAGACA", -1.86347 },
    { "hairpin_nucleotides_GAAGACG", -0.603507 },
    { "hairpin_nucleotides_GAAGCUA", -0.0348185 },
    { "hairpin_nucleotides_GAAGG", -0.12492 },
    { "hairpin_nucleotides_GAAGGCG", -2.23132 },
    { "hairpin_nucleotides_GAAGGGA", -0.243237 },
    { "hairpin_nucleotides_GAAGGUG", -0.191501 },
    { "hairpin_nucleotides_GAAGU", -0.00804982 },
    { "hairpin_nucleotides_GAAGUG", -0.0169941 },
    { "hairpin_nucleotides_GAAU", -0.426612 },
    { "hairpin_nucleotides_GAAUA", 4.71493 },
    { "hairpin_nucleotides_GAAUAAG", -0.124591 },
    { "hairpin_nucleotides_GAAUCA", -0.29116 },
    { "hairpin_nucleotides_GAAUCAA", 0.132117 },
    { "hairpin_nucleotides_GAAUG", -0.156741 },
    { "hairpin_nucleotides_GAAUGA", -0.155299 },
    { "hairpin_nucleotides_GAAUGG", -0.197668 },
    { "hairpin_nucleotides_GAAUU", -2.10718 },
    { "hairpin_nucleotides_GAAUUAA", 8.18126 },
    { "hairpin_nucleotides_GAAUUU", -0.375194 },
    { "hairpin_nucleotides_GAC", -9.3942 },
    { "hairpin_nucleotides_GACA", -0.0321316 },
    { "hairpin_nucleotides_GACAA", -0.0881219 },
    { "hairpin_nucleotides_GACAAA", -0.0389362 },
    { "hairpin_nucleotides_GACACA", 7.61728 },
    { "hairpin_nucleotides_GACACG", -2.89345 },
    { "hairpin_nucleotides_GACAGA", -0.0191047 },
    { "hairpin_nucleotides_GACAGC", -0.291485 },
    { "hairpin_nucleotides_GACAGCU", -1.37987 },
    { "hairpin_nucleotides_GACAGG", -0.274375 },
    { "hairpin_nucleotides_GACAUAA", 6.81069 },
    { "hairpin_nucleotides_GACAUG", -0.156002 },
    { "hairpin_nucleotides_GACC", -4.81847 },
    { "hairpin_nucleotides_GACCA", -1.14823 },
    { "hairpin_nucleotides_GACCAC", 6.73839 },
    { "hairpin_nucleotides_GACCAU", 0.392686 },
    { "hairpin_nucleotides_GACCAUU", -0.0111803 },
    { "hairpin_nucleotides_GACCCG", -0.397105 },
    { "hairpin_nucleotides_GACCCGA", -0.231003 },
    { "hairpin_nucleotides_GACCCGU", 0.228631 },
    { "hairpin_nucleotides_GACCG", -0.0255151 },
    { "hairpin_nucleotides_GACCGAA", 0.257725 },
    { "hairpin_nucleotides_GACG", 1.69711 },
    { "hairpin_nucleotides_GACGA", 0.372916 },
    { "hairpin_nucleotides_GACGGAU", -0.338435 },
    { "hairpin_nucleotides_GACGUGA", -0.153841 },
    { "hairpin_nucleotides_GACU", -1.1586 },
    { "hairpin_nucleotides_GACUA", -1.1958 },
    { "hairpin_nucleotides_GACUAAA", -0.276999 },
    { "hairpin_nucleotides_GACUAU", -0.197221 },
    { "hairpin_nucleotides_GACUAUG", -0.266994 },
    { "hairpin_nucleotides_GACUUU", -0.257941 },
    { "hairpin_nucleotides_GAG", -4.19246 },
    { "hairpin_nucleotides_GAGA", 16.1333 },
    { "hairpin_nucleotides_GAGAA", 7.13127 },
    { "hairpin_nucleotides_GAGAAA", -0.153715 },
    { "hairpin_nucleotides_GAGAAG", -0.0946846 },
    { "hairpin_nucleotides_GAGAAGA", -0.226326 },
    { "hairpin_nucleotides_GAGACA", -0.245178 },
    { "hairpin_nucleotides_GAGACCA", 0.116943 },
    { "hairpin_nucleotides_GAGACGU", -0.410832 },
    { "hairpin_nucleotides_GAGAGCA", -0.087179 },
    { "hairpin_nucleotides_GAGAGG", -2.93637 },
    { "hairpin_nucleotides_GAGAGGA", -0.399809 },
    { "hairpin_nucleotides_GAGAGGG", -0.397573 },
    { "hairpin_nucleotides_GAGC", -2.0503 },
    { "hairpin_nucleotides_GAGCAU", -0.012997 },
    { "hairpin_nucleotides_GAGCCGA", -8.18853 },
    { "hairpin_nucleotides_GAGCCUG", -0.172624 },
    { "hairpin_nucleotides_GAGCUG", -0.326019 },
    { "hairpin_nucleotides_GAGG", -0.530392 },
    { "hairpin_nucleotides_GAGGA", -0.404232 },
    { "hairpin_nucleotides_GAGGAUG", -0.387019 },
    { "hairpin_nucleotides_GAGGCA", -0.337901 },
    { "hairpin_nucleotides_GAGGCGA", -0.412331 },
    { "hairpin_nucleotides_GAGGCUU", -1.4399 },
    { "hairpin_nucleotides_GAGGGAA", -0.196504 },
    { "hairpin_nucleotides_GAGGUAU", -0.115347 },
    { "hairpin_nucleotides_GAGGUUG", -0.318022 },
    { "hairpin_nucleotides_GAGU", -0.0736058 },
    { "hairpin_nucleotides_GAGUA", 6.76589 },
    { "hairpin_nucleotides_GAGUAGG", -0.00189198 },
    { "hairpin_nucleotides_GAGUCG", -0.17945 },
    { "hairpin_nucleotides_GAGUGCG", 0.0603738 },
    { "hairpin_nucleotides_GAGUGG", -0.15451 },
    { "hairpin_nucleotides_GAGUUAG", -0.0467332 },
    { "hairpin_nucleotides_GAGUUU", -0.184872 },
    { "hairpin_nucleotides_GAU", -2.99885 },
    { "hairpin_nucleotides_GAUAA", 3.92728 },
    { "hairpin_nucleotides_GAUAACG", -0.423958 },
    { "hairpin_nucleotides_GAUAAG", 9.91042 },
    { "hairpin_nucleotides_GAUAAGG", 0.25544 },
    { "hairpin_nucleotides_GAUACA", -0.157691 },
    { "hairpin_nucleotides_GAUACCA", -0.288453 },
    { "hairpin_nucleotides_GAUACU", -0.322441 },
    { "hairpin_nucleotides_GAUAG", 0.223859 },
    { "hairpin_nucleotides_GAUAGGA", -0.215504 },
    { "hairpin_nucleotides_GAUAUAA", 0.958038 },
    { "hairpin_nucleotides_GAUAUGG", 7.91655 },
    { "hairpin_nucleotides_GAUC", -5.72448 },
    { "hairpin_nucleotides_GAUCA", -1.15385 },
    { "hairpin_nucleotides_GAUCAGG", -0.548719 },
    { "hairpin_nucleotides_GAUCU", -0.631404 },
    { "hairpin_nucleotides_GAUCUGU", -0.299186 },
    { "hairpin_nucleotides_GAUG", -0.335955 },
    { "hairpin_nucleotides_GAUGA", 0.814531 },
    { "hairpin_nucleotides_GAUGAA", -2.74695 },
    { "hairpin_nucleotides_GAUGAAA", -0.220973 },
    { "hairpin_nucleotides_GAUGAAG", -1.69374 },
    { "hairpin_nucleotides_GAUGAGG", -0.0836289 },
    { "hairpin_nucleotides_GAUGCA", -0.287767 },
    { "hairpin_nucleotides_GAUGCAA", -0.146095 },
    { "hairpin_nucleotides_GAUGGA", -1.60394 },
    { "hairpin_nucleotides_GAUGGAG", -0.305792 },
    { "hairpin_nucleotides_GAUGGUA", -0.219105 },
    { "hairpin_nucleotides_GAUGUAG", -0.193196 },
    { "hairpin_nucleotides_GAUU", -0.66159 },
    { "hairpin_nucleotides_GAUUA", -0.409439 },
    { "hairpin_nucleotides_GAUUAG", -0.625084 },
    { "hairpin_nucleotides_GAUUCG", -0.0493933 },
    { "hairpin_nucleotides_GAUUCGA", -11.9267 },
    { "hairpin_nucleotides_GAUUGG", 0.121112 },
    { "hairpin_nucleotides_GAUUUAG", -0.225843 },
    { "hairpin_nucleotides_GCA", 0.632774 },
    { "hairpin_nucleotides_GCAA", 18.914 },
    { "hairpin_nucleotides_GCAAA", 0.00807706 },
    { "hairpin_nucleotides_GCAAAC", -4.42638 },
    { "hairpin_nucleotides_GCAAAG", 0.217738 },
    { "hairpin_nucleotides_GCAAC", 0.138134 },
    { "hairpin_nucleotides_GCAACG", 1.51833 },
    { "hairpin_nucleotides_GCAAGA", -0.115121 },
    { "hairpin_nucleotides_GCAAGC", 0.0169941 },
    { "hairpin_nucleotides_GCAAGCA", 0.363748 },
    { "hairpin_nucleotides_GCAAGCG", 0.0169941 },
    { "hairpin_nucleotides_GCAAU", 0.147743 },
    { "hairpin_nucleotides_GCAAUA", 0.167138 },
    { "hairpin_nucleotides_GCAAUAG", 0.110014 },
    { "hairpin_nucleotides_GCAC", 0.249119 },
    { "hairpin_nucleotides_GCACA", -0.000645182 },
    { "hairpin_nucleotides_GCACAC", -0.182778 },
    { "hairpin_nucleotides_GCACGGA", 0.533326 },
    { "hairpin_nucleotides_GCACUUU", -0.0339882 },
    { "hairpin_nucleotides_GCAG", 13.8279 },
    { "hairpin_nucleotides_GCAGAA", 1.06534 },
    { "hairpin_nucleotides_GCAGAG", -0.0820246 },
    { "hairpin_nucleotides_GCAGCA", 0.15473 },
    { "hairpin_nucleotides_GCAU", -2.20183 },
    { "hairpin_nucleotides_GCAUCGA", 0.533326 },
    { "hairpin_nucleotides_GCAUG", -0.685626 },
    { "hairpin_nucleotides_GCAUGCU", -0.535856 },
    { "hairpin_nucleotides_GCAUGGA", -0.0346636 },
    { "hairpin_nucleotides_GCAUGU", -0.162997 },
    { "hairpin_nucleotides_GCAUUGC", 0.00410854 },
    { "hairpin_nucleotides_GCC", -5.52928 },
    { "hairpin_nucleotides_GCCA", 0.203781 },
    { "hairpin_nucleotides_GCCAA", -8.52491 },
    { "hairpin_nucleotides_GCCAAG", 0.128514 },
    { "hairpin_nucleotides_GCCAGA", -0.108188 },
    { "hairpin_nucleotides_GCCAGCA", -0.391734 },
    { "hairpin_nucleotides_GCCAUAG", -0.0979397 },
    { "hairpin_nucleotides_GCCC", -2.0108 },
    { "hairpin_nucleotides_GCCCA", 0.0335178 },
    { "hairpin_nucleotides_GCCCAC", 0.0289208 },
    { "hairpin_nucleotides_GCCCCAA", -0.267489 },
    { "hairpin_nucleotides_GCCCG", -0.170643 },
    { "hairpin_nucleotides_GCCCGCA", 0.0129691 },
    { "hairpin_nucleotides_GCCCGUC", 4.38779 },
    { "hairpin_nucleotides_GCCCGUG", 0.338093 },
    { "hairpin_nucleotides_GCCCUA", -0.115471 },
    { "hairpin_nucleotides_GCCG", -0.842579 },
    { "hairpin_nucleotides_GCCGA", -1.53073 },
    { "hairpin_nucleotides_GCCGAU", -0.0365046 },
    { "hairpin_nucleotides_GCCGCUG", -0.12633 },
    { "hairpin_nucleotides_GCCGUGA", -0.406456 },
    { "hairpin_nucleotides_GCCUA", -0.782823 },
    { "hairpin_nucleotides_GCCUC", 0.222307 },
    { "hairpin_nucleotides_GCCUGCA", 0.0737902 },
    { "hairpin_nucleotides_GCCUGU", 0.673755 },
    { "hairpin_nucleotides_GCCUUA", -0.0788427 },
    { "hairpin_nucleotides_GCCUUG", -0.0751129 },
    { "hairpin_nucleotides_GCG", -1.20423 },
    { "hairpin_nucleotides_GCGA", 11.5729 },
    { "hairpin_nucleotides_GCGAAA", 8.22257 },
    { "hairpin_nucleotides_GCGAAC", 0.203259 },
    { "hairpin_nucleotides_GCGAAU", 0.182944 },
    { "hairpin_nucleotides_GCGAC", -0.219971 },
    { "hairpin_nucleotides_GCGAGG", -0.210949 },
    { "hairpin_nucleotides_GCGAU", -0.151382 },
    { "hairpin_nucleotides_GCGAUAG", -0.277807 },
    { "hairpin_nucleotides_GCGAUG", -0.0432696 },
    { "hairpin_nucleotides_GCGC", 0.767382 },
    { "hairpin_nucleotides_GCGCAA", -0.281442 },
    { "hairpin_nucleotides_GCGCACA", -0.358144 },
    { "hairpin_nucleotides_GCGCACG", -3.26712 },
    { "hairpin_nucleotides_GCGCGCA", -1.39155 },
    { "hairpin_nucleotides_GCGG", -0.363742 },
    { "hairpin_nucleotides_GCGGA", -2.57612 },
    { "hairpin_nucleotides_GCGGAG", -0.0734897 },
    { "hairpin_nucleotides_GCGGCG", -0.365562 },
    { "hairpin_nucleotides_GCGGCU", -0.187381 },
    { "hairpin_nucleotides_GCGGGGU", -0.768658 },
    { "hairpin_nucleotides_GCGGUA", -0.0123305 },
    { "hairpin_nucleotides_GCGGUAG", -6.35369 },
    { "hairpin_nucleotides_GCGU", -0.286307 },
    { "hairpin_nucleotides_GCGUAAU", -0.258803 },
    { "hairpin_nucleotides_GCGUCA", -0.457506 },
    { "hairpin_nucleotides_GCGUGGA", -0.213553 },
    { "hairpin_nucleotides_GCU", -4.15965 },
    { "hairpin_nucleotides_GCUA", -0.890821 },
    { "hairpin_nucleotides_GCUAA", 0.0355951 },
    { "hairpin_nucleotides_GCUAAA", -4.49614 },
    { "hairpin_nucleotides_GCUAAC", 4.29264 },
    { "hairpin_nucleotides_GCUAAG", 2.78785 },
    { "hairpin_nucleotides_GCUAG", -0.226408 },
    { "hairpin_nucleotides_GCUAGC", 1.08098 },
    { "hairpin_nucleotides_GCUAU", 0.273102 },
    { "hairpin_nucleotides_GCUAUGA", -0.0822873 },
    { "hairpin_nucleotides_GCUC", -0.195421 },
    { "hairpin_nucleotides_GCUCAA", -0.098595 },
    { "hairpin_nucleotides_GCUCUCG", 0.17978 },
    { "hairpin_nucleotides_GCUCUU", -0.39348 },
    { "hairpin_nucleotides_GCUCUUC", -0.175188 },
    { "hairpin_nucleotides_GCUG", 0.121936 },
    { "hairpin_nucleotides_GCUGAAA", -3.67424 },
    { "hairpin_nucleotides_GCUU", -0.597709 },
    { "hairpin_nucleotides_GCUUA", 0.854023 },
    { "hairpin_nucleotides_GCUUAA", 4.89186 },
    { "hairpin_nucleotides_GCUUCA", 4.82022 },
    { "hairpin_nucleotides_GCUUCGA", -0.0025274 },
    { "hairpin_nucleotides_GCUUU", -0.353268 },
    { "hairpin_nucleotides_GCUUUU", -4.34161 },
    { "hairpin_nucleotides_GGA", -4.89523 },
    { "hairpin_nucleotides_GGAA", 15.6481 },
    { "hairpin_nucleotides_GGAAG", -0.0442741 },
    { "hairpin_nucleotides_GGAC", -3.08003 },
    { "hairpin_nucleotides_GGACAU", -0.123694 },
    { "hairpin_nucleotides_GGACCCA", -0.273158 },
    { "hairpin_nucleotides_GGACGAU", -0.204753 },
    { "hairpin_nucleotides_GGACGCG", -0.423958 },
    { "hairpin_nucleotides_GGAG", 3.63835 },
    { "hairpin_nucleotides_GGAGA", -1.6904 },
    { "hairpin_nucleotides_GGAGAA", -0.081749 },
    { "hairpin_nucleotides_GGAGGAA", -1.75969 },
    { "hairpin_nucleotides_GGAGGAG", -0.404728 },
    { "hairpin_nucleotides_GGAGGG", -0.367004 },
    { "hairpin_nucleotides_GGAGU", -0.272516 },
    { "hairpin_nucleotides_GGAGUAG", 0.165549 },
    { "hairpin_nucleotides_GGAGUGU", -0.0275936 },
    { "hairpin_nucleotides_GGAU", -0.671698 },
    { "hairpin_nucleotides_GGAUA", -0.430958 },
    { "hairpin_nucleotides_GGAUAA", -0.228637 },
    { "hairpin_nucleotides_GGAUAGA", -2.33907 },
    { "hairpin_nucleotides_GGAUAU", -0.346482 },
    { "hairpin_nucleotides_GGAUGA", -0.273853 },
    { "hairpin_nucleotides_GGAUGAA", -0.153138 },
    { "hairpin_nucleotides_GGAUUAA", 17.2364 },
    { "hairpin_nucleotides_GGAUUC", 0.245392 },
    { "hairpin_nucleotides_GGC", -7.0583 },
    { "hairpin_nucleotides_GGCA", -0.0610303 },
    { "hairpin_nucleotides_GGCAA", -0.0733518 },
    { "hairpin_nucleotides_GGCAAAA", -0.177664 },
    { "hairpin_nucleotides_GGCAAGA", -0.0719959 },
    { "hairpin_nucleotides_GGCACUG", -0.432456 },
    { "hairpin_nucleotides_GGCAGUG", -0.41725 },
    { "hairpin_nucleotides_GGCC", 0.188317 },
    { "hairpin_nucleotides_GGCCC", 5.60541 },
    { "hairpin_nucleotides_GGCCUA", -0.477482 },
    { "hairpin_nucleotides_GGCG", -1.86775 },
    { "hairpin_nucleotides_GGCGA", 7.65126 },
    { "hairpin_nucleotides_GGCGUAU", -0.330502 },
    { "hairpin_nucleotides_GGCU", -0.155826 },
    { "hairpin_nucleotides_GGCUA", -0.247576 },
    { "hairpin_nucleotides_GGCUAA", -0.0920047 },
    { "hairpin_nucleotides_GGCUAG", -0.125505 },
    { "hairpin_nucleotides_GGCUC", 0.233191 },
    { "hairpin_nucleotides_GGCUG", -2.78128 },
    { "hairpin_nucleotides_GGCUUAA", 8.92214 },
    { "hairpin_nucleotides_GGCUUGA", -0.12835 },
    { "hairpin_nucleotides_GGG", -7.19207 },
    { "hairpin_nucleotides_GGGA", 2.307 },
    { "hairpin_nucleotides_GGGAA", -0.144399 },
    { "hairpin_nucleotides_GGGAAA", -0.196588 },
    { "hairpin_nucleotides_GGGAAC", 0.0832193 },
    { "hairpin_nucleotides_GGGAAG", -0.221415 },
    { "hairpin_nucleotides_GGGAGA", -0.275905 },
    { "hairpin_nucleotides_GGGAGUU", -0.236998 },
    { "hairpin_nucleotides_GGGAU", -0.0836289 },
    { "hairpin_nucleotides_GGGC", -4.44377 },
    { "hairpin_nucleotides_GGGCA", -0.216342 },
    { "hairpin_nucleotides_GGGCAA", 0.206239 },
    { "hairpin_nucleotides_GGGCCGA", -5.67683 },
    { "hairpin_nucleotides_GGGCGA", -0.0684236 },
    { "hairpin_nucleotides_GGGCUAA", -0.147992 },
    { "hairpin_nucleotides_GGGG", -0.515518 },
    { "hairpin_nucleotides_GGGGA", -0.180904 },
    { "hairpin_nucleotides_GGGGAA", -0.31976 },
    { "hairpin_nucleotides_GGGGC", 11.19 },
    { "hairpin_nucleotides_GGGGCGA", -0.205863 },
    { "hairpin_nucleotides_GGGGG", -0.162168 },
    { "hairpin_nucleotides_GGGGU", 0.00850973 },
    { "hairpin_nucleotides_GGGGUGA", -0.0619348 },
    { "hairpin_nucleotides_GGGUAUG", -0.322441 },
    { "hairpin_nucleotides_GGGUCU", -0.08933 },
    { "hairpin_nucleotides_GGGUGA", -0.0831043 },
    { "hairpin_nucleotides_GGGUGU", -0.109611 },
    { "hairpin_nucleotides_GGGUU", -0.730713 },
    { "hairpin_nucleotides_GGU", -5.1968 },
    { "hairpin_nucleotides_GGUA", -0.377354 },
    { "hairpin_nucleotides_GGUAAA", -1.90917 },
    { "hairpin_nucleotides_GGUAAGA", 0.180445 },
    { "hairpin_nucleotides_GGUAG", -0.516153 },
    { "hairpin_nucleotides_GGUAGAA", -0.051861 },
    { "hairpin_nucleotides_GGUAGAU", -0.319655 },
    { "hairpin_nucleotides_GGUAGCG", 0.427983 },
    { "hairpin_nucleotides_GGUAGU", -0.258489 },
    { "hairpin_nucleotides_GGUAUA", -1.60784 },
    { "hairpin_nucleotides_GGUAUUG", 0.360007 },
    { "hairpin_nucleotides_GGUC", -7.37548 },
    { "hairpin_nucleotides_GGUCA", -0.331004 },
    { "hairpin_nucleotides_GGUCAA", -1.9638 },
    { "hairpin_nucleotides_GGUCACA", -0.456368 },
    { "hairpin_nucleotides_GGUCAG", -0.367502 },
    { "hairpin_nucleotides_GGUCCG", -0.110014 },
    { "hairpin_nucleotides_GGUCGCA", -0.129334 },
    { "hairpin_nucleotides_GGUG", -0.999985 },
    { "hairpin_nucleotides_GGUGA", 0.179834 },
    { "hairpin_nucleotides_GGUGCC", 0.204468 },
    { "hairpin_nucleotides_GGUGCUA", -0.222193 },
    { "hairpin_nucleotides_GGUGGA", -0.383996 },
    { "hairpin_nucleotides_GGUGUA", -0.342002 },
    { "hairpin_nucleotides_GGUU", -0.476396 },
    { "hairpin_nucleotides_GGUUAA", -0.150524 },
    { "hairpin_nucleotides_GGUUAAA", -2.04467 },
    { "hairpin_nucleotides_GGUUACA", -0.184525 },
    { "hairpin_nucleotides_GGUUAUA", -0.396466 },
    { "hairpin_nucleotides_GGUUC", 0.0616407 },
    { "hairpin_nucleotides_GGUUCA", -0.275186 },
    { "hairpin_nucleotides_GGUUG", -0.0568558 },
    { "hairpin_nucleotides_GGUUGA", -0.394353 },
    { "hairpin_nucleotides_GGUUGG", -0.231477 },
    { "hairpin_nucleotides_GGUUGU", -0.506006 },
    { "hairpin_nucleotides_GGUUGUA", -0.837792 },
    { "hairpin_nucleotides_GGUUUAA", -0.399362 },
    { "hairpin_nucleotides_GGUUUC", 0.243691 },
    { "hairpin_nucleotides_GUA", -9.2746 },
    { "hairpin_nucleotides_GUAA", 15.9375 },
    { "hairpin_nucleotides_GUAAA", 0.278133 },
    { "hairpin_nucleotides_GUAAAA", 10.6254 },
    { "hairpin_nucleotides_GUAAAAG", 0.257185 },
    { "hairpin_nucleotides_GUAAAG", 2.54611 },
    { "hairpin_nucleotides_GUAAAGG", 4.8864 },
    { "hairpin_nucleotides_GUAACA", 13.8739 },
    { "hairpin_nucleotides_GUAACGG", 18.5544 },
    { "hairpin_nucleotides_GUAAGA", 0.20282 },
    { "hairpin_nucleotides_GUAAGAG", 25.0924 },
    { "hairpin_nucleotides_GUAAGG", 0.138397 },
    { "hairpin_nucleotides_GUAAGGG", 10.975 },
    { "hairpin_nucleotides_GUAAGUA", 0.24552 },
    { "hairpin_nucleotides_GUAAU", 1.22417 },
    { "hairpin_nucleotides_GUAAUA", 7.70062 },
    { "hairpin_nucleotides_GUAAUAU", 0.126114 },
    { "hairpin_nucleotides_GUAAUG", 1.66122 },
    { "hairpin_nucleotides_GUAAUGA", -0.338093 },
    { "hairpin_nucleotides_GUAAUGG", 1.05468 },
    { "hairpin_nucleotides_GUAAUU", 0.0819005 },
    { "hairpin_nucleotides_GUAC", -0.220414 },
    { "hairpin_nucleotides_GUACCGA", -0.140677 },
    { "hairpin_nucleotides_GUACCUU", -0.160765 },
    { "hairpin_nucleotides_GUAG", -0.038775 },
    { "hairpin_nucleotides_GUAGA", -0.45371 },
    { "hairpin_nucleotides_GUAGAA", 0.200915 },
    { "hairpin_nucleotides_GUAGAAA", -0.0412003 },
    { "hairpin_nucleotides_GUAGCG", 0.81148 },
    { "hairpin_nucleotides_GUAGCU", -0.404501 },
    { "hairpin_nucleotides_GUAGG", -0.0290916 },
    { "hairpin_nucleotides_GUAGGAA", 0.423958 },
    { "hairpin_nucleotides_GUAGUGG", 1.14929 },
    { "hairpin_nucleotides_GUAUA", 0.267101 },
    { "hairpin_nucleotides_GUAUAAA", -0.692004 },
    { "hairpin_nucleotides_GUAUAAC", 0.186488 },
    { "hairpin_nucleotides_GUAUAU", 0.102465 },
    { "hairpin_nucleotides_GUAUCA", -7.17148 },
    { "hairpin_nucleotides_GUAUGG", 0.112548 },
    { "hairpin_nucleotides_GUAUUA", -8.92989 },
    { "hairpin_nucleotides_GUAUUG", -6.25813 },
    { "hairpin_nucleotides_GUAUUGG", 13.0838 },
    { "hairpin_nucleotides_GUAUUGU", 0.280403 },
    { "hairpin_nucleotides_GUAUUUA", -0.387896 },
    { "hairpin_nucleotides_GUC", -8.53789 },
    { "hairpin_nucleotides_GUCA", 0.0762995 },
    { "hairpin_nucleotides_GUCAA", -0.0952221 },
    { "hairpin_nucleotides_GUCAAA", 0.0628108 },
    { "hairpin_nucleotides_GUCACA", 0.25193 },
    { "hairpin_nucleotides_GUCAG", -0.168089 },
    { "hairpin_nucleotides_GUCAU", -0.134524 },
    { "hairpin_nucleotides_GUCAUA", 1.03052 },
    { "hairpin_nucleotides_GUCAUG", 0.0480643 },
    { "hairpin_nucleotides_GUCC", -0.095797 },
    { "hairpin_nucleotides_GUCCAUA", 0.188948 },
    { "hairpin_nucleotides_GUCCCA", -0.372082 },
    { "hairpin_nucleotides_GUCCCCA", 0.161611 },
    { "hairpin_nucleotides_GUCCG", 0.770752 },
    { "hairpin_nucleotides_GUCCGGA", -0.114892 },
    { "hairpin_nucleotides_GUCCGUA", -0.450628 },
    { "hairpin_nucleotides_GUCCUA", -0.0314667 },
    { "hairpin_nucleotides_GUCG", 0.0320717 },
    { "hairpin_nucleotides_GUCGAU", 0.433797 },
    { "hairpin_nucleotides_GUCGCA", 0.413225 },
    { "hairpin_nucleotides_GUCGCU", -0.0500879 },
    { "hairpin_nucleotides_GUCU", 0.0628782 },
    { "hairpin_nucleotides_GUCUA", 9.42209 },
    { "hairpin_nucleotides_GUCUACA", -0.47561 },
    { "hairpin_nucleotides_GUCUGU", 0.14081 },
    { "hairpin_nucleotides_GUCUUCA", -0.00167791 },
    { "hairpin_nucleotides_GUCUUCG", -0.318416 },
    { "hairpin_nucleotides_GUCUUUG", -0.152004 },
    { "hairpin_nucleotides_GUG", -5.38426 },
    { "hairpin_nucleotides_GUGA", 17.8932 },
    { "hairpin_nucleotides_GUGAA", -0.00780659 },
    { "hairpin_nucleotides_GUGAAA", 19.2503 },
    { "hairpin_nucleotides_GUGAAAU", 0.281442 },
    { "hairpin_nucleotides_GUGAAGA", -0.144003 },
    { "hairpin_nucleotides_GUGAAUA", -0.106548 },
    { "hairpin_nucleotides_GUGAC", -0.363502 },
    { "hairpin_nucleotides_GUGAGA", 0.152498 },
    { "hairpin_nucleotides_GUGAGG", -0.983825 },
    { "hairpin_nucleotides_GUGAGGA", -0.25357 },
    { "hairpin_nucleotides_GUGAGU", -0.482 },
    { "hairpin_nucleotides_GUGAUA", -0.220104 },
    { "hairpin_nucleotides_GUGC", -4.44313 },
    { "hairpin_nucleotides_GUGCUA", -0.248417 },
    { "hairpin_nucleotides_GUGCUG", -0.657712 },
    { "hairpin_nucleotides_GUGG", -0.359083 },
    { "hairpin_nucleotides_GUGGA", -3.6909 },
    { "hairpin_nucleotides_GUGGAA", 1.86163 },
    { "hairpin_nucleotides_GUGGACU", -0.317542 },
    { "hairpin_nucleotides_GUGGAGA", -0.336583 },
    { "hairpin_nucleotides_GUGGCG", 3.4495 },
    { "hairpin_nucleotides_GUGGGAA", -0.0424335 },
    { "hairpin_nucleotides_GUGU", -1.22083 },
    { "hairpin_nucleotides_GUGUA", 0.271007 },
    { "hairpin_nucleotides_GUGUCA", -0.117162 },
    { "hairpin_nucleotides_GUGUCU", -0.0108463 },
    { "hairpin_nucleotides_GUGUGUA", -0.428501 },
    { "hairpin_nucleotides_GUU", -1.16311 },
    { "hairpin_nucleotides_GUUA", -0.281879 },
    { "hairpin_nucleotides_GUUAAA", 0.280802 },
    { "hairpin_nucleotides_GUUAAGA", -0.100747 },
    { "hairpin_nucleotides_GUUAGGU", -0.520199 },
    { "hairpin_nucleotides_GUUAUA", -0.0166174 },
    { "hairpin_nucleotides_GUUAUGA", -0.283972 },
    { "hairpin_nucleotides_GUUC", -1.63213 },
    { "hairpin_nucleotides_GUUCA", 0.0895021 },
    { "hairpin_nucleotides_GUUCAA", 0.0241495 },
    { "hairpin_nucleotides_GUUCACA", 0.561529 },
    { "hairpin_nucleotides_GUUCCUA", 0.224054 },
    { "hairpin_nucleotides_GUUG", 0.0917552 },
    { "hairpin_nucleotides_GUUGA", 0.1485 },
    { "hairpin_nucleotides_GUUGCAU", -0.111139 },
    { "hairpin_nucleotides_GUUGGU", -0.428878 },
    { "hairpin_nucleotides_GUUGUAC", 0.0417397 },
    { "hairpin_nucleotides_GUUU", 3.21501 },
    { "hairpin_nucleotides_GUUUA", 4.06616 },
    { "hairpin_nucleotides_GUUUC", 1.39523 },
    { "hairpin_nucleotides_GUUUCA", 9.38093 },
    { "hairpin_nucleotides_GUUUCU", -2.00706 },
    { "hairpin_nucleotides_GUUUG", -0.151643 },
    { "hairpin_nucleotides_GUUUGGG", -0.327502 },
    { "hairpin_nucleotides_GUUUUA", 0.36076 },
    { "hairpin_nucleotides_NUACGG", 0.130916 },
    { "hairpin_nucleotides_UAA", 0.917993 },
    { "hairpin_nucleotides_UAAA", -3.43089 },
    { "hairpin_nucleotides_UAAAA", 0.096032 },
    { "hairpin_nucleotides_UAAAAAC", -0.0183388 },
    { "hairpin_nucleotides_UAAAAGU", 0.285215 },
    { "hairpin_nucleotides_UAAACC", -0.133681 },
    { "hairpin_nucleotides_UAAACGA", -0.0299339 },
    { "hairpin_nucleotides_UAAAG", 0.134193 },
    { "hairpin_nucleotides_UAAAGC", 10.3003 },
    { "hairpin_nucleotides_UAAAGU", 14.2862 },
    { "hairpin_nucleotides_UAAAU", -0.029218 },
    { "hairpin_nucleotides_UAAAUG", 0.249996 },
    { "hairpin_nucleotides_UAAC", 9.46586 },
    { "hairpin_nucleotides_UAACA", 4.44674 },
    { "hairpin_nucleotides_UAACC", 0.149501 },
    { "hairpin_nucleotides_UAACG", 6.91733 },
    { "hairpin_nucleotides_UAACGA", -2.57681 },
    { "hairpin_nucleotides_UAACGG", -0.251082 },
    { "hairpin_nucleotides_UAACU", 2.61661 },
    { "hairpin_nucleotides_UAACUU", -4.68137 },
    { "hairpin_nucleotides_UAAG", 5.03394 },
    { "hairpin_nucleotides_UAAGA", 0.171658 },
    { "hairpin_nucleotides_UAAGAU", -0.259563 },
    { "hairpin_nucleotides_UAAGCU", -0.0845025 },
    { "hairpin_nucleotides_UAAGG", -0.141646 },
    { "hairpin_nucleotides_UAAGGAG", -0.329667 },
    { "hairpin_nucleotides_UAAGGU", -0.189741 },
    { "hairpin_nucleotides_UAAGGUA", -0.558876 },
    { "hairpin_nucleotides_UAAGU", 12.3899 },
    { "hairpin_nucleotides_UAAGUGA", -0.574464 },
    { "hairpin_nucleotides_UAAGUU", -0.0996105 },
    { "hairpin_nucleotides_UAAU", 1.64183 },
    { "hairpin_nucleotides_UAAUA", 0.190333 },
    { "hairpin_nucleotides_UAAUACA", -0.329002 },
    { "hairpin_nucleotides_UAAUACC", -0.469523 },
    { "hairpin_nucleotides_UAAUAGU", 3.962 },
    { "hairpin_nucleotides_UAAUAU", -0.126114 },
    { "hairpin_nucleotides_UAAUCCC", -0.391759 },
    { "hairpin_nucleotides_UAAUG", -0.902079 },
    { "hairpin_nucleotides_UAAUGC", 0.0125586 },
    { "hairpin_nucleotides_UAAUGCA", -0.285552 },
    { "hairpin_nucleotides_UAAUGG", -0.469523 },
    { "hairpin_nucleotides_UAAUU", 0.598341 },
    { "hairpin_nucleotides_UAAUUCC", -0.156173 },
    { "hairpin_nucleotides_UAAUUGA", -0.024997 },
    { "hairpin_nucleotides_UAC", -3.13564 },
    { "hairpin_nucleotides_UACA", -6.52244 },
    { "hairpin_nucleotides_UACAAAA", -0.236843 },
    { "hairpin_nucleotides_UACAAG", 3.83044 },
    { "hairpin_nucleotides_UACAAGG", -0.14809 },
    { "hairpin_nucleotides_UACACAC", -0.199988 },
    { "hairpin_nucleotides_UACAGC", 4.13218 },
    { "hairpin_nucleotides_UACAGCU", -0.167631 },
    { "hairpin_nucleotides_UACAGU", 9.55281 },
    { "hairpin_nucleotides_UACAU", -0.1986 },
    { "hairpin_nucleotides_UACAUC", 0.412331 },
    { "hairpin_nucleotides_UACC", -1.53504 },
    { "hairpin_nucleotides_UACCA", -0.0023757 },
    { "hairpin_nucleotides_UACCU", -0.0170739 },
    { "hairpin_nucleotides_UACCUAG", -0.196331 },
    { "hairpin_nucleotides_UACG", 13.9026 },
    { "hairpin_nucleotides_UACGACG", -0.388204 },
    { "hairpin_nucleotides_UACGAU", -0.00248192 },
    { "hairpin_nucleotides_UACGG", -0.0892012 },
    { "hairpin_nucleotides_UACU", -9.20567 },
    { "hairpin_nucleotides_UACUAU", -0.307816 },
    { "hairpin_nucleotides_UACUCGG", -0.298047 },
    { "hairpin_nucleotides_UACUG", 0.274531 },
    { "hairpin_nucleotides_UACUU", -0.177642 },
    { "hairpin_nucleotides_UAG", -2.80137 },
    { "hairpin_nucleotides_UAGA", -1.69674 },
    { "hairpin_nucleotides_UAGAA", -0.145251 },
    { "hairpin_nucleotides_UAGAAAA", 0.0597648 },
    { "hairpin_nucleotides_UAGAAGA", -0.0254853 },
    { "hairpin_nucleotides_UAGAAU", 0.0193675 },
    { "hairpin_nucleotides_UAGACGA", -0.44908 },
    { "hairpin_nucleotides_UAGAG", -0.439169 },
    { "hairpin_nucleotides_UAGAGCA", -0.344763 },
    { "hairpin_nucleotides_UAGAGU", -0.161799 },
    { "hairpin_nucleotides_UAGC", -1.15371 },
    { "hairpin_nucleotides_UAGCAG", 0.13819 },
    { "hairpin_nucleotides_UAGCAGC", 0.0845813 },
    { "hairpin_nucleotides_UAGCCU", -0.173909 },
    { "hairpin_nucleotides_UAGCU", -0.177892 },
    { "hairpin_nucleotides_UAGCUCG", -0.276825 },
    { "hairpin_nucleotides_UAGCUG", -0.374701 },
    { "hairpin_nucleotides_UAGG", 3.41551 },
    { "hairpin_nucleotides_UAGGA", -0.361869 },
    { "hairpin_nucleotides_UAGGAC", -0.403387 },
    { "hairpin_nucleotides_UAGGG", -0.211022 },
    { "hairpin_nucleotides_UAGGUA", 0.396256 },
    { "hairpin_nucleotides_UAGU", -3.4706 },
    { "hairpin_nucleotides_UAGUA", 0.202743 },
    { "hairpin_nucleotides_UAGUAGA", -0.290689 },
    { "hairpin_nucleotides_UAGUCCU", 0.574843 },
    { "hairpin_nucleotides_UAGUGA", -0.253517 },
    { "hairpin_nucleotides_UAGUU", -0.0598881 },
    { "hairpin_nucleotides_UAU", -0.431335 },
    { "hairpin_nucleotides_UAUA", -1.54951 },
    { "hairpin_nucleotides_UAUAAAA", 0.0441594 },
    { "hairpin_nucleotides_UAUAACG", -0.291666 },
    { "hairpin_nucleotides_UAUAAG", -0.165411 },
    { "hairpin_nucleotides_UAUACA", -0.103 },
    { "hairpin_nucleotides_UAUAGC", 13.4687 },
    { "hairpin_nucleotides_UAUAGU", 23.0082 },
    { "hairpin_nucleotides_UAUC", 0.0791146 },
    { "hairpin_nucleotides_UAUCA", -1.93787 },
    { "hairpin_nucleotides_UAUCAAG", -2.92919 },
    { "hairpin_nucleotides_UAUCCAG", -0.565802 },
    { "hairpin_nucleotides_UAUCCUG", -0.12247 },
    { "hairpin_nucleotides_UAUCG", -0.00929772 },
    { "hairpin_nucleotides_UAUCGA", -0.210152 },
    { "hairpin_nucleotides_UAUCUU", -0.213531 },
    { "hairpin_nucleotides_UAUG", 0.0395442 },
    { "hairpin_nucleotides_UAUGAA", -0.291245 },
    { "hairpin_nucleotides_UAUGCCC", -0.117162 },
    { "hairpin_nucleotides_UAUGG", -0.190039 },
    { "hairpin_nucleotides_UAUGGU", -0.16333 },
    { "hairpin_nucleotides_UAUGU", -0.28523 },
    { "hairpin_nucleotides_UAUGUCC", -0.258099 },
    { "hairpin_nucleotides_UAUU", 3.68905 },
    { "hairpin_nucleotides_UAUUA", 0.101252 },
    { "hairpin_nucleotides_UAUUAAU", 0.433797 },
    { "hairpin_nucleotides_UAUUAG", 0.368504 },
    { "hairpin_nucleotides_UAUUC", 0.0619875 },
    { "hairpin_nucleotides_UAUUCCC", 0.0720976 },
    { "hairpin_nucleotides_UAUUG", -0.0867564 },
    { "hairpin_nucleotides_UAUUGAG", -0.330044 },
    { "hairpin_nucleotides_UAUUU", -1.99853 },
    { "hairpin_nucleotides_UAUUUGA", -0.130005 },
    { "hairpin_nucleotides_UCA", -5.14298 },
    { "hairpin_nucleotides_UCAA", -1.39962 },
    { "hairpin_nucleotides_UCAAA", -2.66257 },
    { "hairpin_nucleotides_UCAAAC", -0.0543293 },
    { "hairpin_nucleotides_UCAAAG", -0.365502 },
    { "hairpin_nucleotides_UCAAAU", 0.0688981 },
    { "hairpin_nucleotides_UCAAC", -1.78529 },
    { "hairpin_nucleotides_UCAACAA", 0.036925 },
    { "hairpin_nucleotides_UCAACAG", 0.261252 },
    { "hairpin_nucleotides_UCAACU", -0.297609 },
    { "hairpin_nucleotides_UCAACUA", -0.0413277 },
    { "hairpin_nucleotides_UCAAGC", 0.128127 },
    { "hairpin_nucleotides_UCAAUU", 0.242862 },
    { "hairpin_nucleotides_UCAC", 0.217275 },
    { "hairpin_nucleotides_UCACA", 0.135805 },
    { "hairpin_nucleotides_UCACAG", -0.293551 },
    { "hairpin_nucleotides_UCACC", -0.0287981 },
    { "hairpin_nucleotides_UCACCCC", 0.413225 },
    { "hairpin_nucleotides_UCACGC", -0.300975 },
    { "hairpin_nucleotides_UCACGG", 21.4206 },
    { "hairpin_nucleotides_UCACGUG", 0.258673 },
    { "hairpin_nucleotides_UCACU", -0.00266363 },
    { "hairpin_nucleotides_UCACUCG", -0.0905047 },
    { "hairpin_nucleotides_UCAGA", -1.7768 },
    { "hairpin_nucleotides_UCAGAA", -0.169174 },
    { "hairpin_nucleotides_UCAGAAG", 0.0994426 },
    { "hairpin_nucleotides_UCAGAU", -0.00950497 },
    { "hairpin_nucleotides_UCAGUUC", -0.258077 },
    { "hairpin_nucleotides_UCAU", -9.89098 },
    { "hairpin_nucleotides_UCAUAG", -0.498 },
    { "hairpin_nucleotides_UCAUAGU", 7.81903 },
    { "hairpin_nucleotides_UCAUC", -0.21508 },
    { "hairpin_nucleotides_UCAUCAA", 0.134146 },
    { "hairpin_nucleotides_UCAUCAG", 21.4497 },
    { "hairpin_nucleotides_UCAUCAU", 2.59327 },
    { "hairpin_nucleotides_UCAUCC", 0.104201 },
    { "hairpin_nucleotides_UCAUCCA", -0.432456 },
    { "hairpin_nucleotides_UCAUCCG", 0.294408 },
    { "hairpin_nucleotides_UCAUCG", -0.348827 },
    { "hairpin_nucleotides_UCAUGG", 0.0208686 },
    { "hairpin_nucleotides_UCAUUAA", 0.180271 },
    { "hairpin_nucleotides_UCAUUAC", 1.37391 },
    { "hairpin_nucleotides_UCAUUAG", 0.0162133 },
    { "hairpin_nucleotides_UCC", -3.80373 },
    { "hairpin_nucleotides_UCCA", -0.806408 },
    { "hairpin_nucleotides_UCCAA", -0.176799 },
    { "hairpin_nucleotides_UCCAAG", 3.80444 },
    { "hairpin_nucleotides_UCCAAUA", -0.560493 },
    { "hairpin_nucleotides_UCCACUA", -0.0485768 },
    { "hairpin_nucleotides_UCCAG", -0.072457 },
    { "hairpin_nucleotides_UCCAGG", 0.157266 },
    { "hairpin_nucleotides_UCCC", 0.144135 },
    { "hairpin_nucleotides_UCCCC", -0.154405 },
    { "hairpin_nucleotides_UCCCG", -0.131752 },
    { "hairpin_nucleotides_UCCCGAA", -0.14744 },
    { "hairpin_nucleotides_UCCCGG", 5.89514 },
    { "hairpin_nucleotides_UCCCU", -4.21154 },
    { "hairpin_nucleotides_UCCG", 0.719495 },
    { "hairpin_nucleotides_UCCGGAU", -4.44912 },
    { "hairpin_nucleotides_UCCGGC", -0.161891 },
    { "hairpin_nucleotides_UCCGUCA", -0.249545 },
    { "hairpin_nucleotides_UCCGUG", -0.0981487 },
    { "hairpin_nucleotides_UCCUAU", -0.248151 },
    { "hairpin_nucleotides_UCCUCA", -0.150687 },
    { "hairpin_nucleotides_UCCUGUA", 0.412778 },
    { "hairpin_nucleotides_UCCUU", 0.236084 },
    { "hairpin_nucleotides_UCG", -6.41242 },
    { "hairpin_nucleotides_UCGA", -2.52243 },
    { "hairpin_nucleotides_UCGAAA", -0.101139 },
    { "hairpin_nucleotides_UCGAAG", -0.329045 },
    { "hairpin_nucleotides_UCGACAG", -0.241003 },
    { "hairpin_nucleotides_UCGACU", 0.21555 },
    { "hairpin_nucleotides_UCGCC", -0.275843 },
    { "hairpin_nucleotides_UCGCGG", 8.8141 },
    { "hairpin_nucleotides_UCGCU", 0.044034 },
    { "hairpin_nucleotides_UCGG", -3.40571 },
    { "hairpin_nucleotides_UCGGAU", -0.276805 },
    { "hairpin_nucleotides_UCGGG", -0.298624 },
    { "hairpin_nucleotides_UCGGGC", -0.0169941 },
    { "hairpin_nucleotides_UCGGU", -0.123263 },
    { "hairpin_nucleotides_UCGU", -7.95927 },
    { "hairpin_nucleotides_UCGUA", -0.46487 },
    { "hairpin_nucleotides_UCGUACC", -0.297999 },
    { "hairpin_nucleotides_UCGUCC", 0.296752 },
    { "hairpin_nucleotides_UCGUGCC", -1.17605 },
    { "hairpin_nucleotides_UCGUGG", 1.78964 },
    { "hairpin_nucleotides_UCGUGGA", 0.427983 },
    { "hairpin_nucleotides_UCGUGUU", -0.0505351 },
    { "hairpin_nucleotides_UCGUU", -0.371092 },
    { "hairpin_nucleotides_UCGUUA", -0.0768526 },
    { "hairpin_nucleotides_UCGUUU", -0.092336 },
    { "hairpin_nucleotides_UCU", 1.23711 },
    { "hairpin_nucleotides_UCUA", -1.47129 },
    { "hairpin_nucleotides_UCUAC", -0.323 },
    { "hairpin_nucleotides_UCUACG", -0.161575 },
    { "hairpin_nucleotides_UCUC", -0.0349456 },
    { "hairpin_nucleotides_UCUCAC", 0.168864 },
    { "hairpin_nucleotides_UCUCG", -0.043841 },
    { "hairpin_nucleotides_UCUCGCU", -0.479805 },
    { "hairpin_nucleotides_UCUCGG", 0.161214 },
    { "hairpin_nucleotides_UCUCU", 0.200247 },
    { "hairpin_nucleotides_UCUCUG", -0.151997 },
    { "hairpin_nucleotides_UCUG", -6.38403 },
    { "hairpin_nucleotides_UCUGAAA", -0.304051 },
    { "hairpin_nucleotides_UCUGAAC", -0.159997 },
    { "hairpin_nucleotides_UCUGC", -0.0382612 },
    { "hairpin_nucleotides_UCUGCGU", -2.57181 },
    { "hairpin_nucleotides_UCUGG", -0.351432 },
    { "hairpin_nucleotides_UCUU", 0.183913 },
    { "hairpin_nucleotides_UCUUGAG", -0.442501 },
    { "hairpin_nucleotides_UCUUU", 0.195699 },
    { "hairpin_nucleotides_UGA", -4.76722 },
    { "hairpin_nucleotides_UGAA", 2.50562 },
    { "hairpin_nucleotides_UGAAA", -0.144035 },
    { "hairpin_nucleotides_UGAAAA", 0.196998 },
    { "hairpin_nucleotides_UGAAAAA", 0.119182 },
    { "hairpin_nucleotides_UGAAAAC", 0.13943 },
    { "hairpin_nucleotides_UGAAAAG", 5.27867 },
    { "hairpin_nucleotides_UGAAAAU", 11.1441 },
    { "hairpin_nucleotides_UGAAAC", 2.23508 },
    { "hairpin_nucleotides_UGAAACC", 0.214859 },
    { "hairpin_nucleotides_UGAAACU", 10.0851 },
    { "hairpin_nucleotides_UGAAAGC", 7.09952 },
    { "hairpin_nucleotides_UGAAAGU", 11.4728 },
    { "hairpin_nucleotides_UGAAAUU", 17.665 },
    { "hairpin_nucleotides_UGAACCU", -0.254912 },
    { "hairpin_nucleotides_UGAAG", -0.118002 },
    { "hairpin_nucleotides_UGAAGC", -0.297219 },
    { "hairpin_nucleotides_UGAAGGU", -0.0767383 },
    { "hairpin_nucleotides_UGAAGU", -2.14307 },
    { "hairpin_nucleotides_UGAAU", -0.107766 },
    { "hairpin_nucleotides_UGAAUA", -0.334122 },
    { "hairpin_nucleotides_UGAAUUA", -3.9611 },
    { "hairpin_nucleotides_UGAC", -0.237656 },
    { "hairpin_nucleotides_UGACAAC", 0.533326 },
    { "hairpin_nucleotides_UGACAGC", 0.281758 },
    { "hairpin_nucleotides_UGACAGU", 0.0760263 },
    { "hairpin_nucleotides_UGACGCC", -0.116312 },
    { "hairpin_nucleotides_UGAG", -0.979901 },
    { "hairpin_nucleotides_UGAGAA", 0.0369963 },
    { "hairpin_nucleotides_UGAGAAG", 0.136847 },
    { "hairpin_nucleotides_UGAGAAU", 12.7721 },
    { "hairpin_nucleotides_UGAGACU", -0.15427 },
    { "hairpin_nucleotides_UGAGAGG", 2.40142 },
    { "hairpin_nucleotides_UGAGAU", 0.0963807 },
    { "hairpin_nucleotides_UGAGAUG", 4.42375 },
    { "hairpin_nucleotides_UGAGAUU", 16.6867 },
    { "hairpin_nucleotides_UGAGG", -2.82301 },
    { "hairpin_nucleotides_UGAGGCU", -9.24184 },
    { "hairpin_nucleotides_UGAGGU", -0.289055 },
    { "hairpin_nucleotides_UGAGUAC", 0.0581377 },
    { "hairpin_nucleotides_UGAU", -0.0969981 },
    { "hairpin_nucleotides_UGAUA", -0.394396 },
    { "hairpin_nucleotides_UGAUAAU", 0.102695 },
    { "hairpin_nucleotides_UGAUAGC", 0.208232 },
    { "hairpin_nucleotides_UGAUAGU", 5.22244 },
    { "hairpin_nucleotides_UGAUAU", -0.00790328 },
    { "hairpin_nucleotides_UGAUCCC", 11.322 },
    { "hairpin_nucleotides_UGAUCCU", 31.2414 },
    { "hairpin_nucleotides_UGAUCU", -0.175961 },
    { "hairpin_nucleotides_UGAUCUU", 2.77073 },
    { "hairpin_nucleotides_UGAUGGU", -0.0601049 },
    { "hairpin_nucleotides_UGAUGU", -0.447602 },
    { "hairpin_nucleotides_UGAUU", 0.0856166 },
    { "hairpin_nucleotides_UGAUUCG", -0.162997 },
    { "hairpin_nucleotides_UGAUUCU", 14.5862 },
    { "hairpin_nucleotides_UGAUUU", -0.236537 },
    { "hairpin_nucleotides_UGAUUUA", -0.264303 },
    { "hairpin_nucleotides_UGAUUUU", 0.0594794 },
    { "hairpin_nucleotides_UGC", -5.93229 },
    { "hairpin_nucleotides_UGCA", -2.80232 },
    { "hairpin_nucleotides_UGCAACU", 0.170929 },
    { "hairpin_nucleotides_UGCAAG", 0.532477 },
    { "hairpin_nucleotides_UGCAAGU", 0.113816 },
    { "hairpin_nucleotides_UGCAAU", -1.28495 },
    { "hairpin_nucleotides_UGCAAUU", 13.4104 },
    { "hairpin_nucleotides_UGCACCC", 17.6869 },
    { "hairpin_nucleotides_UGCACU", -0.722559 },
    { "hairpin_nucleotides_UGCAG", 1.5486 },
    { "hairpin_nucleotides_UGCAGU", -0.258665 },
    { "hairpin_nucleotides_UGCAUG", -0.177571 },
    { "hairpin_nucleotides_UGCAUGG", -0.654988 },
    { "hairpin_nucleotides_UGCC", -1.4524 },
    { "hairpin_nucleotides_UGCCAAA", -0.508796 },
    { "hairpin_nucleotides_UGCCAAG", -3.03444 },
    { "hairpin_nucleotides_UGCCAC", -0.424975 },
    { "hairpin_nucleotides_UGCCC", 0.116967 },
    { "hairpin_nucleotides_UGCCCG", 0.0632418 },
    { "hairpin_nucleotides_UGCCGAC", -0.0494083 },
    { "hairpin_nucleotides_UGCCU", -0.0470285 },
    { "hairpin_nucleotides_UGCCUA", -0.413225 },
    { "hairpin_nucleotides_UGCCUG", 17.0286 },
    { "hairpin_nucleotides_UGCCUGU", 0.268775 },
    { "hairpin_nucleotides_UGCG", 0.742672 },
    { "hairpin_nucleotides_UGCGAAG", 0.249186 },
    { "hairpin_nucleotides_UGCGAU", -0.0941759 },
    { "hairpin_nucleotides_UGCGAUU", 9.04266 },
    { "hairpin_nucleotides_UGCGC", 0.218687 },
    { "hairpin_nucleotides_UGCGGA", -0.0361824 },
    { "hairpin_nucleotides_UGCGGAA", -0.0371187 },
    { "hairpin_nucleotides_UGCGGU", -0.26789 },
    { "hairpin_nucleotides_UGCGU", -0.375659 },
    { "hairpin_nucleotides_UGCU", -0.173524 },
    { "hairpin_nucleotides_UGCUA", -0.020335 },
    { "hairpin_nucleotides_UGCUAU", -0.0483473 },
    { "hairpin_nucleotides_UGCUC", 8.59216 },
    { "hairpin_nucleotides_UGCUCCC", 7.91146 },
    { "hairpin_nucleotides_UGCUCG", 5.85452 },
    { "hairpin_nucleotides_UGCUCGU", 0.138914 },
    { "hairpin_nucleotides_UGCUG", -0.0177322 },
    { "hairpin_nucleotides_UGCUUAU", 0.225531 },
    { "hairpin_nucleotides_UGCUUC", 0.134799 },
    { "hairpin_nucleotides_UGCUUGG", 0.175188 },
    { "hairpin_nucleotides_UGCUUGU", 1.37188 },
    { "hairpin_nucleotides_UGCUUU", -0.346591 },
    { "hairpin_nucleotides_UGCUUUU", 0.0988342 },
    { "hairpin_nucleotides_UGG", -3.43804 },
    { "hairpin_nucleotides_UGGA", -1.82746 },
    { "hairpin_nucleotides_UGGAA", -2.3255 },
    { "hairpin_nucleotides_UGGAAA", 3.59919 },
    { "hairpin_nucleotides_UGGAAAU", 0.212203 },
    { "hairpin_nucleotides_UGGAAC", 2.63822 },
    { "hairpin_nucleotides_UGGAACG", 0.423958 },
    { "hairpin_nucleotides_UGGAACU", 0.201957 },
    { "hairpin_nucleotides_UGGAAG", 6.05787 },
    { "hairpin_nucleotides_UGGAAU", 1.19178 },
    { "hairpin_nucleotides_UGGAAUU", 9.37039 },
    { "hairpin_nucleotides_UGGAG", -0.280049 },
    { "hairpin_nucleotides_UGGAGUG", 0.0742374 },
    { "hairpin_nucleotides_UGGAU", -0.416355 },
    { "hairpin_nucleotides_UGGAUAA", 0.130341 },
    { "hairpin_nucleotides_UGGAUUG", -0.56434 },
    { "hairpin_nucleotides_UGGC", 0.0540706 },
    { "hairpin_nucleotides_UGGCG", -0.634952 },
    { "hairpin_nucleotides_UGGG", -0.566341 },
    { "hairpin_nucleotides_UGGGA", -0.112163 },
    { "hairpin_nucleotides_UGGGAA", 0.496718 },
    { "hairpin_nucleotides_UGGGAC", -0.151158 },
    { "hairpin_nucleotides_UGGGG", -0.34708 },
    { "hairpin_nucleotides_UGGGU", -0.338641 },
    { "hairpin_nucleotides_UGGU", -1.14491 },
    { "hairpin_nucleotides_UGGUACU", -0.101859 },
    { "hairpin_nucleotides_UGGUAUC", -0.139616 },
    { "hairpin_nucleotides_UGGUCCU", 12.4966 },
    { "hairpin_nucleotides_UGGUCG", -0.0917163 },
    { "hairpin_nucleotides_UGGUGU", -0.224508 },
    { "hairpin_nucleotides_UGGUUC", -0.0763376 },
    { "hairpin_nucleotides_UGU", -5.51999 },
    { "hairpin_nucleotides_UGUA", -3.27292 },
    { "hairpin_nucleotides_UGUAA", -0.438488 },
    { "hairpin_nucleotides_UGUAACG", 0.255875 },
    { "hairpin_nucleotides_UGUAACU", 6.33698 },
    { "hairpin_nucleotides_UGUAAG", 0.0967242 },
    { "hairpin_nucleotides_UGUAAGU", 0.198906 },
    { "hairpin_nucleotides_UGUAAU", 0.176687 },
    { "hairpin_nucleotides_UGUAAUG", 8.38033 },
    { "hairpin_nucleotides_UGUAAUU", 18.1135 },
    { "hairpin_nucleotides_UGUACCC", 27.1886 },
    { "hairpin_nucleotides_UGUAG", -0.50914 },
    { "hairpin_nucleotides_UGUAUU", -0.184664 },
    { "hairpin_nucleotides_UGUAUUA", -0.106367 },
    { "hairpin_nucleotides_UGUC", -4.44154 },
    { "hairpin_nucleotides_UGUCA", -0.214227 },
    { "hairpin_nucleotides_UGUCC", 2.28942 },
    { "hairpin_nucleotides_UGUCG", -0.392272 },
    { "hairpin_nucleotides_UGUCGAC", -0.26609 },
    { "hairpin_nucleotides_UGUCGU", -0.143505 },
    { "hairpin_nucleotides_UGUCUGC", 0.434692 },
    { "hairpin_nucleotides_UGUG", -3.87245 },
    { "hairpin_nucleotides_UGUGA", 0.211805 },
    { "hairpin_nucleotides_UGUGAUA", -0.363731 },
    { "hairpin_nucleotides_UGUGAUG", 3.07927 },
    { "hairpin_nucleotides_UGUGAUU", 11.4116 },
    { "hairpin_nucleotides_UGUGC", 0.210354 },
    { "hairpin_nucleotides_UGUGG", -0.0635002 },
    { "hairpin_nucleotides_UGUU", -1.14126 },
    { "hairpin_nucleotides_UGUUC", 13.3803 },
    { "hairpin_nucleotides_UGUUCCC", 30.7932 },
    { "hairpin_nucleotides_UGUUGUA", 0.211727 },
    { "hairpin_nucleotides_UGUUUGG", -0.0456088 },
    { "hairpin_nucleotides_UUA", -0.341099 },
    { "hairpin_nucleotides_UUAA", 0.0550415 },
    { "hairpin_nucleotides_UUAAAA", 0.441226 },
    { "hairpin_nucleotides_UUAAAGU", 17.3248 },
    { "hairpin_nucleotides_UUAAAU", 4.66884 },
    { "hairpin_nucleotides_UUAAAUU", 1.08704 },
    { "hairpin_nucleotides_UUAAC", -0.370656 },
    { "hairpin_nucleotides_UUAACAC", 0.118266 },
    { "hairpin_nucleotides_UUAACU", 3.42006 },
    { "hairpin_nucleotides_UUAAGA", 0.261771 },
    { "hairpin_nucleotides_UUAAGC", -0.0411993 },
    { "hairpin_nucleotides_UUAAGG", 0.240984 },
    { "hairpin_nucleotides_UUAAGU", 19.5086 },
    { "hairpin_nucleotides_UUAAU", 2.80935 },
    { "hairpin_nucleotides_UUAAUA", 1.56856 },
    { "hairpin_nucleotides_UUAAUAC", 0.105319 },
    { "hairpin_nucleotides_UUAAUAG", -0.00137476 },
    { "hairpin_nucleotides_UUAAUAU", 0.138716 },
    { "hairpin_nucleotides_UUAAUC", 0.271007 },
    { "hairpin_nucleotides_UUAAUU", 18.1448 },
    { "hairpin_nucleotides_UUAC", -0.227912 },
    { "hairpin_nucleotides_UUACAGC", 0.098028 },
    { "hairpin_nucleotides_UUACAGU", 2.24959 },
    { "hairpin_nucleotides_UUACC", 0.150136 },
    { "hairpin_nucleotides_UUACCAG", -0.0791953 },
    { "hairpin_nucleotides_UUACG", -0.254777 },
    { "hairpin_nucleotides_UUACGA", 0.269425 },
    { "hairpin_nucleotides_UUACGG", 21.1676 },
    { "hairpin_nucleotides_UUAG", 2.62962 },
    { "hairpin_nucleotides_UUAGAAG", 0.177685 },
    { "hairpin_nucleotides_UUAGAGU", 3.95048 },
    { "hairpin_nucleotides_UUAGC", -0.250571 },
    { "hairpin_nucleotides_UUAGCG", 0.89938 },
    { "hairpin_nucleotides_UUAGCU", 0.162251 },
    { "hairpin_nucleotides_UUAGG", 0.0717523 },
    { "hairpin_nucleotides_UUAGGAC", -0.706004 },
    { "hairpin_nucleotides_UUAGGGA", -0.318199 },
    { "hairpin_nucleotides_UUAGUA", 0.0177063 },
    { "hairpin_nucleotides_UUAGUAU", -0.125856 },
    { "hairpin_nucleotides_UUAU", 2.2917 },
    { "hairpin_nucleotides_UUAUAG", -0.1947 },
    { "hairpin_nucleotides_UUAUAGC", 0.113816 },
    { "hairpin_nucleotides_UUAUAGU", 9.74261 },
    { "hairpin_nucleotides_UUAUAU", -0.0719835 },
    { "hairpin_nucleotides_UUAUC", 0.185995 },
    { "hairpin_nucleotides_UUAUCCC", -0.45594 },
    { "hairpin_nucleotides_UUAUCCU", -0.875683 },
    { "hairpin_nucleotides_UUAUU", 0.389632 },
    { "hairpin_nucleotides_UUC", -0.0532281 },
    { "hairpin_nucleotides_UUCA", -3.11211 },
    { "hairpin_nucleotides_UUCAA", 0.00572837 },
    { "hairpin_nucleotides_UUCAAAU", 19.0859 },
    { "hairpin_nucleotides_UUCAAC", -0.00582328 },
    { "hairpin_nucleotides_UUCAACA", -1.39632 },
    { "hairpin_nucleotides_UUCAACU", 17.9533 },
    { "hairpin_nucleotides_UUCAAGU", 9.55753 },
    { "hairpin_nucleotides_UUCAAU", -0.383066 },
    { "hairpin_nucleotides_UUCAAUU", 15.7938 },
    { "hairpin_nucleotides_UUCAC", 0.0941516 },
    { "hairpin_nucleotides_UUCACAC", 0.249179 },
    { "hairpin_nucleotides_UUCAG", -0.520564 },
    { "hairpin_nucleotides_UUCAGU", 4.18845 },
    { "hairpin_nucleotides_UUCAU", 0.249526 },
    { "hairpin_nucleotides_UUCAUU", 6.86883 },
    { "hairpin_nucleotides_UUCC", -0.0528441 },
    { "hairpin_nucleotides_UUCCG", -0.480005 },
    { "hairpin_nucleotides_UUCCGG", 0.106333 },
    { "hairpin_nucleotides_UUCCU", -0.116393 },
    { "hairpin_nucleotides_UUCCUAU", 0.0487462 },
    { "hairpin_nucleotides_UUCCUGU", -0.219685 },
    { "hairpin_nucleotides_UUCG", 18.1471 },
    { "hairpin_nucleotides_UUCGA", 0.186517 },
    { "hairpin_nucleotides_UUCGAAC", 2.72725 },
    { "hairpin_nucleotides_UUCGAAU", 20.1627 },
    { "hairpin_nucleotides_UUCGACU", 18.7717 },
    { "hairpin_nucleotides_UUCGAGC", 0.966579 },
    { "hairpin_nucleotides_UUCGAGU", 10.0511 },
    { "hairpin_nucleotides_UUCGAU", -2.44192 },
    { "hairpin_nucleotides_UUCGAUC", 10.7982 },
    { "hairpin_nucleotides_UUCGAUU", 15.2042 },
    { "hairpin_nucleotides_UUCGC", 0.403444 },
    { "hairpin_nucleotides_UUCGG", 0.200116 },
    { "hairpin_nucleotides_UUCGGAG", 0.107127 },
    { "hairpin_nucleotides_UUCGGCC", 0.222623 },
    { "hairpin_nucleotides_UUCGU", 7.46875 },
    { "hairpin_nucleotides_UUCGUGU", -0.0223129 },
    { "hairpin_nucleotides_UUCGUU", 0.207507 },
    { "hairpin_nucleotides_UUCU", 0.0340736 },
    { "hairpin_nucleotides_UUCUAU", -0.0793417 },
    { "hairpin_nucleotides_UUCUCGU", 0.105095 },
    { "hairpin_nucleotides_UUCUGCU", -0.484977 },
    { "hairpin_nucleotides_UUCUGG", 0.0863371 },
    { "hairpin_nucleotides_UUCUU", -0.606785 },
    { "hairpin_nucleotides_UUG", -5.6567 },
    { "hairpin_nucleotides_UUGA", -0.491591 },
    { "hairpin_nucleotides_UUGAA", -0.183328 },
    { "hairpin_nucleotides_UUGAAC", -0.513931 },
    { "hairpin_nucleotides_UUGAACG", -0.231696 },
    { "hairpin_nucleotides_UUGAACU", 0.259231 },
    { "hairpin_nucleotides_UUGACAU", -0.157098 },
    { "hairpin_nucleotides_UUGACCA", 0.00790328 },
    { "hairpin_nucleotides_UUGACG", -0.284965 },
    { "hairpin_nucleotides_UUGACGC", -0.330044 },
    { "hairpin_nucleotides_UUGAG", -1.07695 },
    { "hairpin_nucleotides_UUGAU", -8.00647 },
    { "hairpin_nucleotides_UUGAUGA", 0.573651 },
    { "hairpin_nucleotides_UUGC", -1.70601 },
    { "hairpin_nucleotides_UUGCA", -2.30936 },
    { "hairpin_nucleotides_UUGCAG", -0.152419 },
    { "hairpin_nucleotides_UUGCC", -0.306659 },
    { "hairpin_nucleotides_UUGCGCU", -0.287666 },
    { "hairpin_nucleotides_UUGCGG", 19.3338 },
    { "hairpin_nucleotides_UUGCUC", -0.288768 },
    { "hairpin_nucleotides_UUGG", -1.93069 },
    { "hairpin_nucleotides_UUGGA", -0.40784 },
    { "hairpin_nucleotides_UUGGAAA", 0.438578 },
    { "hairpin_nucleotides_UUGGC", -0.194651 },
    { "hairpin_nucleotides_UUGGGCU", -0.250135 },
    { "hairpin_nucleotides_UUGGGU", -0.244514 },
    { "hairpin_nucleotides_UUGGUGU", -0.849736 },
    { "hairpin_nucleotides_UUGGUUU", -0.0995047 },
    { "hairpin_nucleotides_UUGU", -0.158999 },
    { "hairpin_nucleotides_UUGUA", -1.00212 },
    { "hairpin_nucleotides_UUGUAAA", 0.430219 },
    { "hairpin_nucleotides_UUGUCA", -0.247289 },
    { "hairpin_nucleotides_UUGUCU", -0.198273 },
    { "hairpin_nucleotides_UUGUCUG", -0.566683 },
    { "hairpin_nucleotides_UUGUG", 0.0105095 },
    { "hairpin_nucleotides_UUGUU", -6.21049 },
    { "hairpin_nucleotides_UUGUUA", -0.0395987 },
    { "hairpin_nucleotides_UUGUUC", -0.613064 },
    { "hairpin_nucleotides_UUU", 0.158167 },
    { "hairpin_nucleotides_UUUA", 1.02139 },
    { "hairpin_nucleotides_UUUAA", 1.68186 },
    { "hairpin_nucleotides_UUUAACU", -0.0505941 },
    { "hairpin_nucleotides_UUUAAG", 0.0883437 },
    { "hairpin_nucleotides_UUUAAGC", 0.384604 },
    { "hairpin_nucleotides_UUUAAUU", 0.257105 },
    { "hairpin_nucleotides_UUUAC", 1.27383 },
    { "hairpin_nucleotides_UUUACAC", 0.232637 },
    { "hairpin_nucleotides_UUUAGCA", -0.303013 },
    { "hairpin_nucleotides_UUUAGCC", -0.361168 },
    { "hairpin_nucleotides_UUUAGCU", -0.137443 },
    { "hairpin_nucleotides_UUUAU", 2.54588 },
    { "hairpin_nucleotides_UUUAUGG", -0.490737 },
    { "hairpin_nucleotides_UUUC", -0.0585402 },
    { "hairpin_nucleotides_UUUCA", 0.0482659 },
    { "hairpin_nucleotides_UUUCAC", -0.249186 },
    { "hairpin_nucleotides_UUUCAUU", 0.20718 },
    { "hairpin_nucleotides_UUUCU", 0.0190066 },
    { "hairpin_nucleotides_UUUCUCU", -0.425747 },
    { "hairpin_nucleotides_UUUCUUU", -0.181926 },
    { "hairpin_nucleotides_UUUG", 0.567145 },
    { "hairpin_nucleotides_UUUGA", -0.177888 },
    { "hairpin_nucleotides_UUUGAC", -0.186151 },
    { "hairpin_nucleotides_UUUGAUU", 0.187521 },
    { "hairpin_nucleotides_UUUGCC", 0.168864 },
    { "hairpin_nucleotides_UUUGG", -1.40538 },
    { "hairpin_nucleotides_UUUGGGA", 0.00600591 },
    { "hairpin_nucleotides_UUUGGGU", 0.120748 },
    { "hairpin_nucleotides_UUUGGU", -0.101997 },
    { "hairpin_nucleotides_UUUGU", 1.03371 },
    { "hairpin_nucleotides_UUUGUA", -0.0203092 },
    { "hairpin_nucleotides_UUUGUU", 0.267398 },
    { "hairpin_nucleotides_UUUU", 8.82484e-05 },
    { "hairpin_nucleotides_UUUUA", 0.204049 },
    { "hairpin_nucleotides_UUUUAAU", -0.237023 },
    { "hairpin_nucleotides_UUUUAUG", 0.25646 },
    { "hairpin_nucleotides_UUUUC", -0.101855 },
    { "hairpin_nucleotides_UUUUCGA", 0.418145 },
    { "hairpin_nucleotides_UUUUCU", -0.200505 },
    { "hairpin_nucleotides_UUUUGUU", 0.29203 },
    { "hairpin_nucleotides_UUUUU", 5.26452 },
    { "hairpin_nucleotides_UUUUUA", 0.0240309 },
    { "hairpin_nucleotides_UUUUUUU", 0.199633 },
    { "helix_closing_AU", -0.122641 },
    { "helix_closing_CG", 0.229884 },
    { "helix_closing_GC", 0.281956 },
    { "helix_closing_GU", -0.453801 },
    { "helix_closing_UA", -0.42666 },
    { "helix_closing_UG", 1.03891 },
    { "helix_length_at_least_0", -0.243244 },
    { "helix_length_at_least_1", -0.243244 },
    { "helix_length_at_least_10", 8.49309 },
    { "helix_length_at_least_11", 4.29724 },
    { "helix_length_at_least_12", 7.50049 },
    { "helix_length_at_least_13", 8.37925 },
    { "helix_length_at_least_14", 4.70152 },
    { "helix_length_at_least_15", 5.3088 },
    { "helix_length_at_least_16", 5.66965 },
    { "helix_length_at_least_17", 1.80473 },
    { "helix_length_at_least_18", 0.413196 },
    { "helix_length_at_least_19", 0.462312 },
    { "helix_length_at_least_2", -0.243244 },
    { "helix_length_at_least_20", 0.426177 },
    { "helix_length_at_least_21", 0.44078 },
    { "helix_length_at_least_22", 0.477673 },
    { "helix_length_at_least_23", 0.477673 },
    { "helix_length_at_least_24", 0.383262 },
    { "helix_length_at_least_25", 0.383262 },
    { "helix_length_at_least_26", 0.383262 },
    { "helix_length_at_least_27", 0.383262 },
    { "helix_length_at_least_28", 0.383262 },
    { "helix_length_at_least_29", 0.383262 },
    { "helix_length_at_least_3", 1.52876 },
    { "helix_length_at_least_30", 0.383262 },
    { "helix_length_at_least_4", 1.73482 },
    { "helix_length_at_least_5", 2.93721 },
    { "helix_length_at_least_6", 4.27297 },
    { "helix_length_at_least_7", 7.1378 },
    { "helix_length_at_least_8", 6.22669 },
    { "helix_length_at_least_9", 5.78157 },
    { "helix_stacking_AUAU", 1.30591 },
    { "helix_stacking_AUCG", 3.8003 },
    { "helix_stacking_AUGC", 4.78005 },
    { "helix_stacking_AUGU", -1.80514 },
    { "helix_stacking_AUUA", 2.8289 },
    { "helix_stacking_AUUG", 0.207954 },
    { "helix_stacking_CGAU", 4.13446 },
    { "helix_stacking_CGCG", 6.9519 },
    { "helix_stacking_CGGC", 3.42093 },
    { "helix_stacking_CGGU", -2.0973 },
    { "helix_stacking_CGUG", 1.84965 },
    { "helix_stacking_GCAU", 1.99448 },
    { "helix_stacking_GCCG", 4.53169 },
    { "helix_stacking_GCGU", 1.80029 },
    { "helix_stacking_GCUG", 2.54705 },
    { "helix_stacking_GUAU", -2.35351 },
    { "helix_stacking_GUGU", -0.54503 },
    { "helix_stacking_GUUG", -3.4025 },
    { "helix_stacking_UAAU", 3.35255 },
    { "helix_stacking_UAGU", -2.03984 },
    { "helix_stacking_UGGU", 2.39175 },
    { "internal_asymmetry_at_least_0", -0.719925 },
    { "internal_asymmetry_at_least_1", -1.0252 },
    { "internal_asymmetry_at_least_10", 0.508157 },
    { "internal_asymmetry_at_least_11", -1.6193 },
    { "internal_asymmetry_at_least_12", -0.720015 },
    { "internal_asymmetry_at_least_13", -0.00182256 },
    { "internal_asymmetry_at_least_14", 0.101139 },
    { "internal_asymmetry_at_least_17", 0.0248463 },
    { "internal_asymmetry_at_least_18", 0.490487 },
    { "internal_asymmetry_at_least_19", 1.1445 },
    { "internal_asymmetry_at_least_2", -0.433917 },
    { "internal_asymmetry_at_least_20", 0.517298 },
    { "internal_asymmetry_at_least_21", 0.18302 },
    { "internal_asymmetry_at_least_22", 0.412823 },
    { "internal_asymmetry_at_least_23", 0.177343 },
    { "internal_asymmetry_at_least_24", 0.0998199 },
    { "internal_asymmetry_at_least_25", 0.595794 },
    { "internal_asymmetry_at_least_26", 0.96199 },
    { "internal_asymmetry_at_least_27", 0.163905 },
    { "internal_asymmetry_at_least_28", -0.101381 },
    { "internal_asymmetry_at_least_3", -0.565688 },
    { "internal_asymmetry_at_least_4", -2.80547 },
    { "internal_asymmetry_at_least_5", -1.62266 },
    { "internal_asymmetry_at_least_6", 0.471207 },
    { "internal_asymmetry_at_least_7", -2.64035 },
    { "internal_asymmetry_at_least_8", -0.73099 },
    { "internal_asymmetry_at_least_9", -0.0431698 },
    { "internal_explicit_1_1", 0.57811 },
    { "internal_explicit_1_2", 0.743003 },
    { "internal_explicit_1_3", -0.674595 },
    { "internal_explicit_1_4", -1.17083 },
    { "internal_explicit_2_1", -0.122724 },
    { "internal_explicit_2_2", 0.701923 },
    { "internal_explicit_2_3", 1.16645 },
    { "internal_explicit_2_4", -1.32288 },
    { "internal_explicit_3_1", -1.2268 },
    { "internal_explicit_3_2", 0.619762 },
    { "internal_explicit_3_3", 0.826501 },
    { "internal_explicit_3_4", 1.5535 },
    { "internal_explicit_4_1", -0.194945 },
    { "internal_explicit_4_2", -0.525433 },
    { "internal_explicit_4_3", 1.90016 },
    { "internal_explicit_4_4", 1.8146 },
    { "internal_length_at_least_0", -0.719925 },
    { "internal_length_at_least_1", -0.719925 },
    { "internal_length_at_least_10", -0.732691 },
    { "internal_length_at_least_11", -0.0680804 },
    { "internal_length_at_least_12", -0.113161 },
    { "internal_length_at_least_13", -1.47005 },
    { "internal_length_at_least_14", 0.762989 },
    { "internal_length_at_least_15", -1.34945 },
    { "internal_length_at_least_16", -0.241956 },
    { "internal_length_at_least_17", -0.677998 },
    { "internal_length_at_least_18", 0.210575 },
    { "internal_length_at_least_19", 0.100247 },
    { "internal_length_at_least_2", -0.719925 },
    { "internal_length_at_least_20", 0.123173 },
    { "internal_length_at_least_21", -0.568537 },
    { "internal_length_at_least_22", -0.0143261 },
    { "internal_length_at_least_23", -0.0571622 },
    { "internal_length_at_least_24", 0.233695 },
    { "internal_length_at_least_25", -0.124218 },
    { "internal_length_at_least_26", -0.198471 },
    { "internal_length_at_least_27", -0.455427 },
    { "internal_length_at_least_28", 0.473095 },
    { "internal_length_at_least_29", -0.472714 },
    { "internal_length_at_least_3", -1.18435 },
    { "internal_length_at_least_30", -0.624875 },
    { "internal_length_at_least_4", -1.00357 },
    { "internal_length_at_least_5", -0.664513 },
    { "internal_length_at_least_6", -0.180667 },
    { "internal_length_at_least_7", -0.891308 },
    { "internal_length_at_least_8", -0.474099 },
    { "internal_length_at_least_9", 2.27424 },
    { "internal_nucleotides_AAAA_", 1.31512 },
    { "internal_nucleotides_AAAA_A", 0.1712 },
    { "internal_nucleotides_AAAA_AA", 0.203269 },
    { "internal_nucleotides_AAAA_AAC", -0.339054 },
    { "internal_nucleotides_AAAA_AAG", 0.179192 },
    { "internal_nucleotides_AAAA_AC", -0.323502 },
    { "internal_nucleotides_AAAA_AGC", 0.195163 },
    { "internal_nucleotides_AAAA_AUA", -0.135765 },
    { "internal_nucleotides_AAAA_C", -0.428001 },
    { "internal_nucleotides_AAAA_CA", 0.0540823 },
    { "internal_nucleotides_AAAA_CAG", -0.0500879 },
    { "internal_nucleotides_AAAA_CGA", -0.278013 },
    { "internal_nucleotides_AAAA_GGC", -0.0268708 },
    { "internal_nucleotides_AAAA_UC", 0.314647 },
    { "internal_nucleotides_AAAA_UU", 0.164127 },
    { "internal_nucleotides_AAAC_A", 0.165637 },
    { "internal_nucleotides_AAAC_AAC", 2.8958 },
    { "internal_nucleotides_AAAC_G", 0.0632418 },
    { "internal_nucleotides_AAAC_GCU", -0.131928 },
    { "internal_nucleotides_AAAC_UGU", -0.617646 },
    { "internal_nucleotides_AAAG_AAC", 0.329016 },
    { "internal_nucleotides_AAAG_AGG", -0.108184 },
    { "internal_nucleotides_AAAG_G", -0.0961237 },
    { "internal_nucleotides_AAAUU_AU", 0.246415 },
    { "internal_nucleotides_AAAU_AA", 0.454848 },
    { "internal_nucleotides_AAAU_AG", 0.340777 },
    { "internal_nucleotides_AAAU_AU", -0.0322297 },
    { "internal_nucleotides_AAAU_CG", 0.294714 },
    { "internal_nucleotides_AAAU_CU", 0.283981 },
    { "internal_nucleotides_AAAU_GC", -0.266581 },
    { "internal_nucleotides_AAAU_GCG", 0.40474 },
    { "internal_nucleotides_AAAU_GCU", -0.131548 },
    { "internal_nucleotides_AAAU_GGC", -0.0238205 },
    { "internal_nucleotides_AAAU_UCG", 0.252981 },
    { "internal_nucleotides_AAA_", -0.0762291 },
    { "internal_nucleotides_AAA_A", -2.48415 },
    { "internal_nucleotides_AAA_AA", -0.813189 },
    { "internal_nucleotides_AAA_AAA", -0.475424 },
    { "internal_nucleotides_AAA_AAAC", 0.16665 },
    { "internal_nucleotides_AAA_AAAU", 0.327422 },
    { "internal_nucleotides_AAA_AAC", -0.0681189 },
    { "internal_nucleotides_AAA_AAG", 0.0841964 },
    { "internal_nucleotides_AAA_AAU", -0.265334 },
    { "internal_nucleotides_AAA_AC", 0.388959 },
    { "internal_nucleotides_AAA_ACAG", 0.165385 },
    { "internal_nucleotides_AAA_ACC", 0.151565 },
    { "internal_nucleotides_AAA_ACGA", -0.311835 },
    { "internal_nucleotides_AAA_ACU", -0.244827 },
    { "internal_nucleotides_AAA_AG", 0.0671776 },
    { "internal_nucleotides_AAA_AGA", -0.023519 },
    { "internal_nucleotides_AAA_AGAU", 0.115938 },
    { "internal_nucleotides_AAA_AGC", 0.146019 },
    { "internal_nucleotides_AAA_AGG", 5.29191 },
    { "internal_nucleotides_AAA_AU", 0.162641 },
    { "internal_nucleotides_AAA_AUA", -0.427241 },
    { "internal_nucleotides_AAA_AUC", 4.27913 },
    { "internal_nucleotides_AAA_AUG", 10.5319 },
    { "internal_nucleotides_AAA_C", -0.116847 },
    { "internal_nucleotides_AAA_CA", -0.145878 },
    { "internal_nucleotides_AAA_CAG", 14.0162 },
    { "internal_nucleotides_AAA_CCG", -0.317478 },
    { "internal_nucleotides_AAA_CG", 2.65843 },
    { "internal_nucleotides_AAA_CGA", 0.143251 },
    { "internal_nucleotides_AAA_CGC", 0.0684095 },
    { "internal_nucleotides_AAA_CGG", 0.667262 },
    { "internal_nucleotides_AAA_CUA", -0.195727 },
    { "internal_nucleotides_AAA_G", -0.0670847 },
    { "internal_nucleotides_AAA_GAAC", 0.479451 },
    { "internal_nucleotides_AAA_GAAG", -0.0353298 },
    { "internal_nucleotides_AAA_GAAU", 5.13691 },
    { "internal_nucleotides_AAA_GCA", -0.283198 },
    { "internal_nucleotides_AAA_GG", -0.319687 },
    { "internal_nucleotides_AAA_GGG", -1.34577 },
    { "internal_nucleotides_AAA_GU", -0.0794178 },
    { "internal_nucleotides_AAA_GUG", -0.285366 },
    { "internal_nucleotides_AAA_U", 1.38809 },
    { "internal_nucleotides_AAA_UAA", -0.184943 },
    { "internal_nucleotides_AAA_UAG", 0.177078 },
    { "internal_nucleotides_AAA_UAU", -0.195722 },
    { "internal_nucleotides_AAA_UGC", -0.033641 },
    { "internal_nucleotides_AACAG_GA", -0.0554544 },
    { "internal_nucleotides_AACA_", 1.48949 },
    { "internal_nucleotides_AACA_A", -0.189664 },
    { "internal_nucleotides_AACA_ACU", 0.350168 },
    { "internal_nucleotides_AACA_C", 0.106566 },
    { "internal_nucleotides_AACCAUA_", 0.393995 },
    { "internal_nucleotides_AACCCGC_", -0.236221 },
    { "internal_nucleotides_AACCG_", -0.298739 },
    { "internal_nucleotides_AACC_AAU", -0.0111803 },
    { "internal_nucleotides_AACG_UCU", -0.127997 },
    { "internal_nucleotides_AACUC_U", 0.22629 },
    { "internal_nucleotides_AACUGC_A", -0.758003 },
    { "internal_nucleotides_AACUG_", -0.375659 },
    { "internal_nucleotides_AACUG_AA", -0.109248 },
    { "internal_nucleotides_AACU_CU", 0.0603738 },
    { "internal_nucleotides_AAC_", -0.181472 },
    { "internal_nucleotides_AAC_A", -0.140123 },
    { "internal_nucleotides_AAC_AA", 0.120462 },
    { "internal_nucleotides_AAC_AAC", 0.0570481 },
    { "internal_nucleotides_AAC_AG", 0.0747544 },
    { "internal_nucleotides_AAC_AUC", 12.7977 },
    { "internal_nucleotides_AAC_AUGG", 0.209974 },
    { "internal_nucleotides_AAC_AUU", 1.62011 },
    { "internal_nucleotides_AAC_CA", -0.0380476 },
    { "internal_nucleotides_AAC_CAG", 0.0994426 },
    { "internal_nucleotides_AAC_CC", -0.472845 },
    { "internal_nucleotides_AAC_CCU", 0.301715 },
    { "internal_nucleotides_AAC_CGA", 0.0751318 },
    { "internal_nucleotides_AAC_GA", -0.204001 },
    { "internal_nucleotides_AAC_GAA", -0.170321 },
    { "internal_nucleotides_AAC_GACU", -0.625084 },
    { "internal_nucleotides_AAC_GC", -0.0641815 },
    { "internal_nucleotides_AAC_GGC", -0.236665 },
    { "internal_nucleotides_AAC_GU", -0.423958 },
    { "internal_nucleotides_AAC_GUU", -1.94174 },
    { "internal_nucleotides_AAC_U", 4.34425 },
    { "internal_nucleotides_AAGAA_AG", 0.209974 },
    { "internal_nucleotides_AAGAU_", -0.0309864 },
    { "internal_nucleotides_AAGA_A", -0.445001 },
    { "internal_nucleotides_AAGA_AAG", -3.64847 },
    { "internal_nucleotides_AAGA_C", 0.218687 },
    { "internal_nucleotides_AAGA_UG", -0.232426 },
    { "internal_nucleotides_AAGA_UGA", -0.328702 },
    { "internal_nucleotides_AAGCA_AA", 0.0380131 },
    { "internal_nucleotides_AAGCC_", -0.229369 },
    { "internal_nucleotides_AAGC_", -0.134954 },
    { "internal_nucleotides_AAGC_CGA", 0.24634 },
    { "internal_nucleotides_AAGUU_", -0.349002 },
    { "internal_nucleotides_AAGU_", -0.138394 },
    { "internal_nucleotides_AAGU_ACU", 15.3367 },
    { "internal_nucleotides_AAGU_GCU", 8.49129 },
    { "internal_nucleotides_AAGU_UAU", -0.519728 },
    { "internal_nucleotides_AAG_", -1.23741 },
    { "internal_nucleotides_AAG_A", -0.0704544 },
    { "internal_nucleotides_AAG_AA", 2.83733 },
    { "internal_nucleotides_AAG_AAAC", -0.683004 },
    { "internal_nucleotides_AAG_AAG", -0.233412 },
    { "internal_nucleotides_AAG_AG", -0.219438 },
    { "internal_nucleotides_AAG_AGG", 0.0241495 },
    { "internal_nucleotides_AAG_AGUA", 0.223888 },
    { "internal_nucleotides_AAG_AUG", -0.238129 },
    { "internal_nucleotides_AAG_CA", 0.177791 },
    { "internal_nucleotides_AAG_CCAU", 0.103754 },
    { "internal_nucleotides_AAG_CGA", 0.0758877 },
    { "internal_nucleotides_AAG_G", -0.104063 },
    { "internal_nucleotides_AAG_GAA", -0.0643443 },
    { "internal_nucleotides_AAG_GCG", -0.272666 },
    { "internal_nucleotides_AAG_GGA", -0.0273716 },
    { "internal_nucleotides_AAG_GGGA", -2.91232 },
    { "internal_nucleotides_AAG_GGGG", -0.38997 },
    { "internal_nucleotides_AAG_GU", 0.0177908 },
    { "internal_nucleotides_AAG_GUGG", -0.253665 },
    { "internal_nucleotides_AAG_U", 1.37033 },
    { "internal_nucleotides_AAUAACA_", 0.208076 },
    { "internal_nucleotides_AAUAA_", 1.93368 },
    { "internal_nucleotides_AAUAC_UA", 0.0742374 },
    { "internal_nucleotides_AAUAU_", -0.173923 },
    { "internal_nucleotides_AAUA_", -0.101904 },
    { "internal_nucleotides_AAUA_AA", -0.178402 },
    { "internal_nucleotides_AAUA_CUG", -0.349502 },
    { "internal_nucleotides_AAUA_G", -0.388823 },
    { "internal_nucleotides_AAUA_GUU", -0.405301 },
    { "internal_nucleotides_AAUC_CCA", 2.33836 },
    { "internal_nucleotides_AAUC_UA", 0.368951 },
    { "internal_nucleotides_AAUGAGA_", -0.0876538 },
    { "internal_nucleotides_AAUGA_", -0.065012 },
    { "internal_nucleotides_AAUGA_GA", 0.380132 },
    { "internal_nucleotides_AAUGA_GG", -0.158112 },
    { "internal_nucleotides_AAUG_AA", 0.484105 },
    { "internal_nucleotides_AAUG_CA", 0.147043 },
    { "internal_nucleotides_AAUUG_", -0.353541 },
    { "internal_nucleotides_AAUU_", -0.0321347 },
    { "internal_nucleotides_AAUU_AAU", -0.0247495 },
    { "internal_nucleotides_AAUU_AC", -0.335502 },
    { "internal_nucleotides_AAUU_CCC", 0.100242 },
    { "internal_nucleotides_AAUU_GCC", -0.284258 },
    { "internal_nucleotides_AAUU_U", -0.424121 },
    { "internal_nucleotides_AAU_", -1.11928 },
    { "internal_nucleotides_AAU_A", 0.535382 },
    { "internal_nucleotides_AAU_AAAU", -0.152723 },
    { "internal_nucleotides_AAU_AAC", -0.0796056 },
    { "internal_nucleotides_AAU_AAGU", 0.0681998 },
    { "internal_nucleotides_AAU_ACU", -0.0800444 },
    { "internal_nucleotides_AAU_ACUU", -0.0102015 },
    { "internal_nucleotides_AAU_AGAU", -0.0995047 },
    { "internal_nucleotides_AAU_AGG", 0.336104 },
    { "internal_nucleotides_AAU_AGU", 1.66391 },
    { "internal_nucleotides_AAU_AUAU", 0.149822 },
    { "internal_nucleotides_AAU_AUCU", 0.00663836 },
    { "internal_nucleotides_AAU_C", 0.066292 },
    { "internal_nucleotides_AAU_CAAU", -0.53372 },
    { "internal_nucleotides_AAU_CCU", 0.120605 },
    { "internal_nucleotides_AAU_CGG", -0.186488 },
    { "internal_nucleotides_AAU_CGU", 0.141165 },
    { "internal_nucleotides_AAU_CU", -0.106634 },
    { "internal_nucleotides_AAU_G", 4.53862 },
    { "internal_nucleotides_AAU_GC", -0.168864 },
    { "internal_nucleotides_AAU_GGAU", 14.4549 },
    { "internal_nucleotides_AAU_U", -1.3524 },
    { "internal_nucleotides_AAU_UAAC", -0.158009 },
    { "internal_nucleotides_AAU_UAAU", 0.357787 },
    { "internal_nucleotides_AAU_UAG", -0.0799038 },
    { "internal_nucleotides_AAU_UUA", 0.258673 },
    { "internal_nucleotides_AA_", 1.83922 },
    { "internal_nucleotides_AA_A", -0.103156 },
    { "internal_nucleotides_AA_AA", 0.761603 },
    { "internal_nucleotides_AA_AAAG", -0.297999 },
    { "internal_nucleotides_AA_AAG", -0.402275 },
    { "internal_nucleotides_AA_AAGU", 3.11139 },
    { "internal_nucleotides_AA_AAU", 0.333626 },
    { "internal_nucleotides_AA_AAUAG", -0.272265 },
    { "internal_nucleotides_AA_AAUG", 0.411436 },
    { "internal_nucleotides_AA_AC", -1.88869 },
    { "internal_nucleotides_AA_ACA", 0.0839956 },
    { "internal_nucleotides_AA_ACC", 0.0456408 },
    { "internal_nucleotides_AA_ACCAU", 0.193196 },
    { "internal_nucleotides_AA_ACG", -0.115186 },
    { "internal_nucleotides_AA_ACU", -0.252667 },
    { "internal_nucleotides_AA_AG", 2.72714 },
    { "internal_nucleotides_AA_AGACC", -0.469523 },
    { "internal_nucleotides_AA_AGG", -0.118438 },
    { "internal_nucleotides_AA_AGGG", -0.0590972 },
    { "internal_nucleotides_AA_AU", -0.428597 },
    { "internal_nucleotides_AA_AUCG", -0.388204 },
    { "internal_nucleotides_AA_AUG", -0.187362 },
    { "internal_nucleotides_AA_C", 2.74279 },
    { "internal_nucleotides_AA_CA", 2.07771 },
    { "internal_nucleotides_AA_CAAG", 0.0465546 },
    { "internal_nucleotides_AA_CAC", 8.00913 },
    { "internal_nucleotides_AA_CACG", 0.0123305 },
    { "internal_nucleotides_AA_CAGG", 0.10161 },
    { "internal_nucleotides_AA_CAU", -0.579986 },
    { "internal_nucleotides_AA_CAUG", 0.235709 },
    { "internal_nucleotides_AA_CAUU", 0.258673 },
    { "internal_nucleotides_AA_CC", -0.2136 },
    { "internal_nucleotides_AA_CCAAG", 0.0537564 },
    { "internal_nucleotides_AA_CCG", -0.0928845 },
    { "internal_nucleotides_AA_CCU", 0.0790116 },
    { "internal_nucleotides_AA_CG", -1.14953 },
    { "internal_nucleotides_AA_CGA", -0.240648 },
    { "internal_nucleotides_AA_CGAG", -0.686004 },
    { "internal_nucleotides_AA_CGG", -0.108997 },
    { "internal_nucleotides_AA_CGUC", 0.0380131 },
    { "internal_nucleotides_AA_CU", -0.0173746 },
    { "internal_nucleotides_AA_CUA", 0.179966 },
    { "internal_nucleotides_AA_CUAGC", 0.121429 },
    { "internal_nucleotides_AA_CUAUC", 0.313382 },
    { "internal_nucleotides_AA_CUC", 0.144674 },
    { "internal_nucleotides_AA_G", -1.55863 },
    { "internal_nucleotides_AA_GA", -1.12834 },
    { "internal_nucleotides_AA_GAAGG", 0.178933 },
    { "internal_nucleotides_AA_GAG", 0.0363615 },
    { "internal_nucleotides_AA_GC", -0.635775 },
    { "internal_nucleotides_AA_GCA", -0.0939258 },
    { "internal_nucleotides_AA_GCU", -0.40272 },
    { "internal_nucleotides_AA_GCUAC", -0.280403 },
    { "internal_nucleotides_AA_GG", -0.394983 },
    { "internal_nucleotides_AA_GGA", -0.160716 },
    { "internal_nucleotides_AA_GGG", 6.48516 },
    { "internal_nucleotides_AA_GGGU", 0.238799 },
    { "internal_nucleotides_AA_GGUA", -0.373546 },
    { "internal_nucleotides_AA_GU", -0.694524 },
    { "internal_nucleotides_AA_GUA", 0.202788 },
    { "internal_nucleotides_AA_GUAG", -0.0931692 },
    { "internal_nucleotides_AA_GUC", 1.00476 },
    { "internal_nucleotides_AA_GUG", -0.429452 },
    { "internal_nucleotides_AA_U", 0.35827 },
    { "internal_nucleotides_AA_UAAC", 0.323783 },
    { "internal_nucleotides_AA_UAG", 1.21128 },
    { "internal_nucleotides_AA_UCG", -0.189535 },
    { "internal_nucleotides_AA_UG", -1.76793 },
    { "internal_nucleotides_AA_UGA", 0.0972829 },
    { "internal_nucleotides_AA_UGC", -0.0659528 },
    { "internal_nucleotides_AA_UGG", 0.210374 },
    { "internal_nucleotides_AA_UU", 0.0867805 },
    { "internal_nucleotides_ACAAA_", -0.452501 },
    { "internal_nucleotides_ACAA_", -0.145027 },
    { "internal_nucleotides_ACAA_AAC", -0.0235046 },
    { "internal_nucleotides_ACAA_ACA", -0.226897 },
    { "internal_nucleotides_ACAA_ACC", -0.244503 },
    { "internal_nucleotides_ACAA_CA", -0.110014 },
    { "internal_nucleotides_ACAA_CC", 0.175755 },
    { "internal_nucleotides_ACAA_CCA", 4.28849 },
    { "internal_nucleotides_ACAA_UA", 0.0223606 },
    { "internal_nucleotides_ACAU_", -0.377502 },
    { "internal_nucleotides_ACAU_U", 0.0760263 },
    { "internal_nucleotides_ACA_", 1.38218 },
    { "internal_nucleotides_ACA_A", -1.41693 },
    { "internal_nucleotides_ACA_AAAC", -0.137983 },
    { "internal_nucleotides_ACA_AC", -0.149369 },
    { "internal_nucleotides_ACA_ACC", -0.0947087 },
    { "internal_nucleotides_ACA_AGAG", -0.112005 },
    { "internal_nucleotides_ACA_AU", 0.0967656 },
    { "internal_nucleotides_ACA_AUG", -0.126438 },
    { "internal_nucleotides_ACA_CAAU", -0.0764735 },
    { "internal_nucleotides_ACA_CUA", -0.384977 },
    { "internal_nucleotides_ACA_G", -0.203852 },
    { "internal_nucleotides_ACA_GAGC", 9.37818 },
    { "internal_nucleotides_ACA_GCA", -0.0457191 },
    { "internal_nucleotides_ACA_GCGC", 6.40338 },
    { "internal_nucleotides_ACA_GGAC", 0.114934 },
    { "internal_nucleotides_ACA_GGGC", 0.183935 },
    { "internal_nucleotides_ACA_UCG", -0.239198 },
    { "internal_nucleotides_ACA_UUA", 0.33966 },
    { "internal_nucleotides_ACCAU_", 0.039507 },
    { "internal_nucleotides_ACCAU_AU", -0.347002 },
    { "internal_nucleotides_ACCA_AGU", -0.480935 },
    { "internal_nucleotides_ACCC_C", 0.103754 },
    { "internal_nucleotides_ACCGU_CU", 0.0737902 },
    { "internal_nucleotides_ACCUAGA_", -0.344002 },
    { "internal_nucleotides_ACCUA_G", 0.103754 },
    { "internal_nucleotides_ACCUU_C", -0.831432 },
    { "internal_nucleotides_ACC_", 0.09841 },
    { "internal_nucleotides_ACC_A", -0.0582029 },
    { "internal_nucleotides_ACC_AAUA", 6.42605 },
    { "internal_nucleotides_ACC_AUC", -0.54589 },
    { "internal_nucleotides_ACC_C", -0.176539 },
    { "internal_nucleotides_ACC_CAU", -1.65967 },
    { "internal_nucleotides_ACC_CCA", 0.128702 },
    { "internal_nucleotides_ACC_CUCU", -0.432456 },
    { "internal_nucleotides_ACC_G", 0.432008 },
    { "internal_nucleotides_ACC_GAC", -0.0450323 },
    { "internal_nucleotides_ACC_U", -0.207854 },
    { "internal_nucleotides_ACC_UU", -1.74077 },
    { "internal_nucleotides_ACC_UUC", 3.65136 },
    { "internal_nucleotides_ACGAU_GU", -0.161891 },
    { "internal_nucleotides_ACGA_A", -0.239843 },
    { "internal_nucleotides_ACGCACA_", -0.139978 },
    { "internal_nucleotides_ACGCC_C", -0.342566 },
    { "internal_nucleotides_ACGC_C", 0.188724 },
    { "internal_nucleotides_ACGGA_G", -0.312602 },
    { "internal_nucleotides_ACGGCC_", -0.155306 },
    { "internal_nucleotides_ACGGC_C", 0.21923 },
    { "internal_nucleotides_ACGG_GA", 2.49464 },
    { "internal_nucleotides_ACGU_AU", -0.149543 },
    { "internal_nucleotides_ACG_", -0.120472 },
    { "internal_nucleotides_ACG_AAG", -0.127009 },
    { "internal_nucleotides_ACG_ACU", -0.480358 },
    { "internal_nucleotides_ACG_AUU", -1.75116 },
    { "internal_nucleotides_ACG_CCG", 0.0993919 },
    { "internal_nucleotides_ACG_GGUA", -0.410989 },
    { "internal_nucleotides_ACG_GUC", -0.5169 },
    { "internal_nucleotides_ACUAA_G", 10.0171 },
    { "internal_nucleotides_ACUA_CUC", -0.402492 },
    { "internal_nucleotides_ACUGU_CU", -0.248902 },
    { "internal_nucleotides_ACUUUAU_", 0.379684 },
    { "internal_nucleotides_ACUU_UC", 0.374765 },
    { "internal_nucleotides_ACU_", -0.0210699 },
    { "internal_nucleotides_ACU_AAAU", -0.310614 },
    { "internal_nucleotides_ACU_AAUU", -0.26446 },
    { "internal_nucleotides_ACU_AG", -0.179215 },
    { "internal_nucleotides_ACU_AGU", -0.693691 },
    { "internal_nucleotides_ACU_AU", -0.0363303 },
    { "internal_nucleotides_ACU_GC", 0.417697 },
    { "internal_nucleotides_ACU_U", -0.309449 },
    { "internal_nucleotides_ACU_UCU", 8.54886 },
    { "internal_nucleotides_ACU_UUC", 11.0667 },
    { "internal_nucleotides_ACU_UUU", 12.1046 },
    { "internal_nucleotides_AC_", 3.23344 },
    { "internal_nucleotides_AC_A", -0.131513 },
    { "internal_nucleotides_AC_AAC", 2.87775 },
    { "internal_nucleotides_AC_AAGAC", 0.103754 },
    { "internal_nucleotides_AC_AAGGA", 0.220476 },
    { "internal_nucleotides_AC_AAU", 2.12978 },
    { "internal_nucleotides_AC_ACAC", -0.4955 },
    { "internal_nucleotides_AC_AU", -1.63402 },
    { "internal_nucleotides_AC_C", -1.43742 },
    { "internal_nucleotides_AC_CA", 0.204404 },
    { "internal_nucleotides_AC_CAU", 0.157743 },
    { "internal_nucleotides_AC_CC", -0.220859 },
    { "internal_nucleotides_AC_CCAC", 0.164127 },
    { "internal_nucleotides_AC_CCC", 0.0279311 },
    { "internal_nucleotides_AC_CG", 0.0483805 },
    { "internal_nucleotides_AC_CGA", 0.211207 },
    { "internal_nucleotides_AC_CU", -0.807044 },
    { "internal_nucleotides_AC_G", 3.33742 },
    { "internal_nucleotides_AC_GA", 4.36785 },
    { "internal_nucleotides_AC_GAC", 0.204721 },
    { "internal_nucleotides_AC_GC", 2.10576 },
    { "internal_nucleotides_AC_GCAU", 0.178382 },
    { "internal_nucleotides_AC_GU", 0.0123016 },
    { "internal_nucleotides_AC_U", -1.43563 },
    { "internal_nucleotides_AC_UA", 0.192804 },
    { "internal_nucleotides_AC_UAAG", 0.399809 },
    { "internal_nucleotides_AC_UCGU", 0.438717 },
    { "internal_nucleotides_AC_UU", 0.804455 },
    { "internal_nucleotides_AGAAA_", -0.368243 },
    { "internal_nucleotides_AGAAG_G", -0.347899 },
    { "internal_nucleotides_AGAAU_", -0.258673 },
    { "internal_nucleotides_AGAA_", -0.165776 },
    { "internal_nucleotides_AGAA_A", 8.87503 },
    { "internal_nucleotides_AGAA_AAU", -0.167599 },
    { "internal_nucleotides_AGAA_AG", -0.157811 },
    { "internal_nucleotides_AGAA_AGA", -0.0145441 },
    { "internal_nucleotides_AGAA_CAC", 0.0451685 },
    { "internal_nucleotides_AGAA_G", 0.883717 },
    { "internal_nucleotides_AGAC_ACC", -0.227683 },
    { "internal_nucleotides_AGAGA_AG", 0.0742374 },
    { "internal_nucleotides_AGAGA_G", -0.140719 },
    { "internal_nucleotides_AGAG_AGG", -0.378343 },
    { "internal_nucleotides_AGAUC_AC", -0.0395046 },
    { "internal_nucleotides_AGAUC_GU", -0.172276 },
    { "internal_nucleotides_AGAU_AUU", -0.827967 },
    { "internal_nucleotides_AGAU_GGU", -0.535991 },
    { "internal_nucleotides_AGAU_U", 0.300975 },
    { "internal_nucleotides_AGA_", -2.00609 },
    { "internal_nucleotides_AGA_A", -1.80168 },
    { "internal_nucleotides_AGA_AAAG", -0.262514 },
    { "internal_nucleotides_AGA_AAC", -0.417807 },
    { "internal_nucleotides_AGA_AAG", -1.06753 },
    { "internal_nucleotides_AGA_AAU", -0.0668752 },
    { "internal_nucleotides_AGA_AC", -0.11566 },
    { "internal_nucleotides_AGA_AG", -1.02368 },
    { "internal_nucleotides_AGA_AGC", 0.143822 },
    { "internal_nucleotides_AGA_AUA", 0.00667882 },
    { "internal_nucleotides_AGA_AUG", -0.390693 },
    { "internal_nucleotides_AGA_AUGA", -0.0940459 },
    { "internal_nucleotides_AGA_CG", -0.196771 },
    { "internal_nucleotides_AGA_CGA", 0.433797 },
    { "internal_nucleotides_AGA_G", -0.816591 },
    { "internal_nucleotides_AGA_GA", -0.422261 },
    { "internal_nucleotides_AGA_GAAG", -4.31447 },
    { "internal_nucleotides_AGA_GAG", -0.115568 },
    { "internal_nucleotides_AGA_GG", 4.90076 },
    { "internal_nucleotides_AGA_GGAG", -3.95019 },
    { "internal_nucleotides_AGA_GUC", -0.665882 },
    { "internal_nucleotides_AGA_UC", 0.368443 },
    { "internal_nucleotides_AGA_UG", -1.24516 },
    { "internal_nucleotides_AGA_UGG", -0.187385 },
    { "internal_nucleotides_AGCAA_A", -0.266734 },
    { "internal_nucleotides_AGCAC_", 0.220476 },
    { "internal_nucleotides_AGCAUAA_", -0.223004 },
    { "internal_nucleotides_AGCA_AGG", -0.361717 },
    { "internal_nucleotides_AGCA_GGG", -0.228003 },
    { "internal_nucleotides_AGCCA_", -0.0350093 },
    { "internal_nucleotides_AGCC_A", -0.0914427 },
    { "internal_nucleotides_AGCG_GUG", 1.64249 },
    { "internal_nucleotides_AGCU_AUU", -0.408004 },
    { "internal_nucleotides_AGC_", 0.25218 },
    { "internal_nucleotides_AGC_A", -0.291492 },
    { "internal_nucleotides_AGC_C", 0.209202 },
    { "internal_nucleotides_AGC_CC", 0.367615 },
    { "internal_nucleotides_AGC_GC", 0.357771 },
    { "internal_nucleotides_AGGAA_", -0.0772042 },
    { "internal_nucleotides_AGGAU_GG", -0.168864 },
    { "internal_nucleotides_AGGA_AAG", -0.305333 },
    { "internal_nucleotides_AGGA_AAU", -0.238503 },
    { "internal_nucleotides_AGGA_CG", -0.659732 },
    { "internal_nucleotides_AGGA_GG", 0.264426 },
    { "internal_nucleotides_AGGA_GGU", -0.260503 },
    { "internal_nucleotides_AGGA_U", -0.363895 },
    { "internal_nucleotides_AGGGG_A", 0.0760263 },
    { "internal_nucleotides_AGGG_", -0.187381 },
    { "internal_nucleotides_AGGU_AAU", -0.142917 },
    { "internal_nucleotides_AGG_", -1.76088 },
    { "internal_nucleotides_AGG_AG", -0.00849947 },
    { "internal_nucleotides_AGG_AGU", -0.115186 },
    { "internal_nucleotides_AGG_CAG", -0.423958 },
    { "internal_nucleotides_AGG_G", 12.5579 },
    { "internal_nucleotides_AGG_GA", 0.132744 },
    { "internal_nucleotides_AGG_GAG", -0.247168 },
    { "internal_nucleotides_AGG_GG", 0.217039 },
    { "internal_nucleotides_AGUAA_", -0.229339 },
    { "internal_nucleotides_AGUAA_G", 0.0822873 },
    { "internal_nucleotides_AGUAG_A", -0.816002 },
    { "internal_nucleotides_AGUAUAA_", 0.125856 },
    { "internal_nucleotides_AGUA_GU", 0.258673 },
    { "internal_nucleotides_AGUG_AGG", -0.644005 },
    { "internal_nucleotides_AGUG_AU", 0.0505351 },
    { "internal_nucleotides_AGUG_GAU", -0.109833 },
    { "internal_nucleotides_AGUUC_A", 0.0804984 },
    { "internal_nucleotides_AGUU_", 0.269397 },
    { "internal_nucleotides_AGU_", 0.0210775 },
    { "internal_nucleotides_AGU_A", 0.186814 },
    { "internal_nucleotides_AGU_AAU", -0.361889 },
    { "internal_nucleotides_AGU_AU", 0.0114585 },
    { "internal_nucleotides_AGU_C", 2.2072 },
    { "internal_nucleotides_AGU_CU", 0.151471 },
    { "internal_nucleotides_AGU_G", 0.213909 },
    { "internal_nucleotides_AGU_U", 2.08448 },
    { "internal_nucleotides_AG_", 2.74986 },
    { "internal_nucleotides_AG_A", 1.28256 },
    { "internal_nucleotides_AG_AAGAG", 0.0289208 },
    { "internal_nucleotides_AG_AAGAU", 0.325322 },
    { "internal_nucleotides_AG_AAGG", 0.301422 },
    { "internal_nucleotides_AG_AAU", -0.220029 },
    { "internal_nucleotides_AG_AG", -2.91287 },
    { "internal_nucleotides_AG_AU", -0.234604 },
    { "internal_nucleotides_AG_AUG", -0.186911 },
    { "internal_nucleotides_AG_C", 2.74965 },
    { "internal_nucleotides_AG_CAU", 0.161045 },
    { "internal_nucleotides_AG_CG", -0.719732 },
    { "internal_nucleotides_AG_CGU", 0.872684 },
    { "internal_nucleotides_AG_CU", 0.208402 },
    { "internal_nucleotides_AG_G", 1.57493 },
    { "internal_nucleotides_AG_GA", 0.657023 },
    { "internal_nucleotides_AG_GAAU", -0.400001 },
    { "internal_nucleotides_AG_GCG", 0.241048 },
    { "internal_nucleotides_AG_GG", 0.271603 },
    { "internal_nucleotides_AG_GGG", 0.388471 },
    { "internal_nucleotides_AG_GUG", -0.162804 },
    { "internal_nucleotides_AG_U", 1.97103 },
    { "internal_nucleotides_AUAAA_CU", 0.368951 },
    { "internal_nucleotides_AUAAG_G", -0.358921 },
    { "internal_nucleotides_AUAAU_C", -0.391312 },
    { "internal_nucleotides_AUAA_", 1.6525 },
    { "internal_nucleotides_AUAA_A", 0.267588 },
    { "internal_nucleotides_AUAA_AAG", 11.4074 },
    { "internal_nucleotides_AUAA_AAU", -0.128815 },
    { "internal_nucleotides_AUAA_C", 7.04285 },
    { "internal_nucleotides_AUAA_GG", -0.357798 },
    { "internal_nucleotides_AUAA_GU", 0.0626192 },
    { "internal_nucleotides_AUACC_C", 0.00134158 },
    { "internal_nucleotides_AUAC_AAG", 0.209743 },
    { "internal_nucleotides_AUAC_C", 0.360454 },
    { "internal_nucleotides_AUAG_A", 0.366715 },
    { "internal_nucleotides_AUA_", 3.07654 },
    { "internal_nucleotides_AUA_A", 0.139439 },
    { "internal_nucleotides_AUA_AAG", -0.815171 },
    { "internal_nucleotides_AUA_AC", 0.211283 },
    { "internal_nucleotides_AUA_ACG", 0.343907 },
    { "internal_nucleotides_AUA_AGUG", -0.4905 },
    { "internal_nucleotides_AUA_AUCC", -0.0240093 },
    { "internal_nucleotides_AUA_AUUA", -0.474473 },
    { "internal_nucleotides_AUA_C", 0.229924 },
    { "internal_nucleotides_AUA_CAG", -0.313851 },
    { "internal_nucleotides_AUA_CCG", -0.319758 },
    { "internal_nucleotides_AUA_CG", -0.0136191 },
    { "internal_nucleotides_AUA_CGG", -0.203504 },
    { "internal_nucleotides_AUA_G", -0.154316 },
    { "internal_nucleotides_AUA_GAC", 0.186196 },
    { "internal_nucleotides_AUA_GAG", -0.53032 },
    { "internal_nucleotides_AUA_GCG", -0.108188 },
    { "internal_nucleotides_AUA_GG", -0.158194 },
    { "internal_nucleotides_AUA_U", 0.471071 },
    { "internal_nucleotides_AUA_UUG", -0.0287274 },
    { "internal_nucleotides_AUCAA_", 5.01956 },
    { "internal_nucleotides_AUCAA_CU", 0.166811 },
    { "internal_nucleotides_AUCAC_AU", 0.169494 },
    { "internal_nucleotides_AUCA_", 9.19369 },
    { "internal_nucleotides_AUCA_C", 5.1722 },
    { "internal_nucleotides_AUCA_UUA", 0.319758 },
    { "internal_nucleotides_AUCG_GAG", -0.261503 },
    { "internal_nucleotides_AUCUA_", 0.305997 },
    { "internal_nucleotides_AUCU_CC", -0.0111803 },
    { "internal_nucleotides_AUCU_GUC", -0.151158 },
    { "internal_nucleotides_AUCU_U", 0.213136 },
    { "internal_nucleotides_AUCU_UAU", 7.14693 },
    { "internal_nucleotides_AUC_", -0.0723479 },
    { "internal_nucleotides_AUC_A", -0.380935 },
    { "internal_nucleotides_AUC_AC", 0.0948715 },
    { "internal_nucleotides_AUC_C", 0.112978 },
    { "internal_nucleotides_AUC_G", 0.34697 },
    { "internal_nucleotides_AUC_GUC", -0.467078 },
    { "internal_nucleotides_AUC_UA", 0.22316 },
    { "internal_nucleotides_AUC_UCAU", 1.47793 },
    { "internal_nucleotides_AUGAAAC_", -0.291502 },
    { "internal_nucleotides_AUGAUGU_", -0.0982287 },
    { "internal_nucleotides_AUGA_AAG", 0.164538 },
    { "internal_nucleotides_AUGA_AG", -0.109814 },
    { "internal_nucleotides_AUGA_AGG", 0.17595 },
    { "internal_nucleotides_AUGA_AGU", -0.306531 },
    { "internal_nucleotides_AUGA_C", 0.00626093 },
    { "internal_nucleotides_AUGA_UAG", 0.17171 },
    { "internal_nucleotides_AUGC_GC", 0.0125219 },
    { "internal_nucleotides_AUGGC_CU", -0.357798 },
    { "internal_nucleotides_AUGU_C", 0.17978 },
    { "internal_nucleotides_AUG_", 0.0691264 },
    { "internal_nucleotides_AUG_A", -0.476766 },
    { "internal_nucleotides_AUG_ACG", -0.0867594 },
    { "internal_nucleotides_AUG_CCC", 0.102139 },
    { "internal_nucleotides_AUG_CCU", -0.245303 },
    { "internal_nucleotides_AUG_CUG", 0.00113605 },
    { "internal_nucleotides_AUG_G", -0.16918 },
    { "internal_nucleotides_AUG_GAG", -0.14445 },
    { "internal_nucleotides_AUG_GGAG", -0.232093 },
    { "internal_nucleotides_AUG_GUA", -0.319614 },
    { "internal_nucleotides_AUG_U", -0.374563 },
    { "internal_nucleotides_AUUAA_G", 17.5462 },
    { "internal_nucleotides_AUUA_AAG", 0.121873 },
    { "internal_nucleotides_AUUA_C", 3.56189 },
    { "internal_nucleotides_AUUA_GAG", 0.121195 },
    { "internal_nucleotides_AUUA_U", 0.0956765 },
    { "internal_nucleotides_AUUCU_CU", 0.0123305 },
    { "internal_nucleotides_AUUC_C", -0.0948658 },
    { "internal_nucleotides_AUUGA_AG", 0.00718448 },
    { "internal_nucleotides_AUUGGA_", -0.552006 },
    { "internal_nucleotides_AUUG_", -0.00199696 },
    { "internal_nucleotides_AUUG_C", 0.428878 },
    { "internal_nucleotides_AUUG_UUC", 0.035777 },
    { "internal_nucleotides_AUUUA_A", -0.0424268 },
    { "internal_nucleotides_AUUUA_G", 7.00011 },
    { "internal_nucleotides_AUUU_", 0.378291 },
    { "internal_nucleotides_AUU_", 0.0191257 },
    { "internal_nucleotides_AUU_A", 1.24898 },
    { "internal_nucleotides_AUU_AAGG", -0.27196 },
    { "internal_nucleotides_AUU_AAU", -0.0865562 },
    { "internal_nucleotides_AUU_AC", -0.0375046 },
    { "internal_nucleotides_AUU_AGU", -0.456378 },
    { "internal_nucleotides_AUU_AUGU", -0.320064 },
    { "internal_nucleotides_AUU_AUU", -0.294248 },
    { "internal_nucleotides_AUU_CC", 0.141239 },
    { "internal_nucleotides_AUU_CCU", -0.047023 },
    { "internal_nucleotides_AUU_CGUC", -0.437501 },
    { "internal_nucleotides_AUU_CU", -0.127005 },
    { "internal_nucleotides_AUU_CUC", 0.394776 },
    { "internal_nucleotides_AUU_GCGG", -0.413702 },
    { "internal_nucleotides_AUU_GUU", -0.34501 },
    { "internal_nucleotides_AUU_U", -0.267294 },
    { "internal_nucleotides_AUU_UU", 0.126121 },
    { "internal_nucleotides_AU_", 0.0308053 },
    { "internal_nucleotides_AU_A", 1.0598 },
    { "internal_nucleotides_AU_AAAUU", -0.144957 },
    { "internal_nucleotides_AU_AAU", 6.17432 },
    { "internal_nucleotides_AU_AAUU", 0.20718 },
    { "internal_nucleotides_AU_AC", 0.0398308 },
    { "internal_nucleotides_AU_ACC", -0.108052 },
    { "internal_nucleotides_AU_AG", -0.0328047 },
    { "internal_nucleotides_AU_AU", 0.281117 },
    { "internal_nucleotides_AU_AUCU", 0.275484 },
    { "internal_nucleotides_AU_AUG", 0.295608 },
    { "internal_nucleotides_AU_C", -0.974659 },
    { "internal_nucleotides_AU_CAC", 0.0506096 },
    { "internal_nucleotides_AU_CAU", 7.65595 },
    { "internal_nucleotides_AU_CAUUU", -0.24901 },
    { "internal_nucleotides_AU_CC", 0.0768806 },
    { "internal_nucleotides_AU_CGC", 0.0746062 },
    { "internal_nucleotides_AU_CGCUC", -0.572053 },
    { "internal_nucleotides_AU_CGU", 4.23168 },
    { "internal_nucleotides_AU_CU", 0.458357 },
    { "internal_nucleotides_AU_G", 0.651268 },
    { "internal_nucleotides_AU_GAAGC", 0.103754 },
    { "internal_nucleotides_AU_GC", 2.00459 },
    { "internal_nucleotides_AU_GU", -1.75823 },
    { "internal_nucleotides_AU_GUAU", -0.382815 },
    { "internal_nucleotides_AU_GUGAU", 0.175308 },
    { "internal_nucleotides_AU_GUUU", 0.220476 },
    { "internal_nucleotides_AU_U", 0.0961993 },
    { "internal_nucleotides_AU_UA", 3.39631 },
    { "internal_nucleotides_AU_UAAU", 0.342698 },
    { "internal_nucleotides_AU_UU", 1.59663 },
    { "internal_nucleotides_A_", 1.14431 },
    { "internal_nucleotides_A_A", 0.252406 },
    { "internal_nucleotides_A_AAAG", -0.653795 },
    { "internal_nucleotides_A_AAC", 9.76179 },
    { "internal_nucleotides_A_AAG", -0.873792 },
    { "internal_nucleotides_A_AAGACG", -0.20706 },
    { "internal_nucleotides_A_AAU", 0.34254 },
    { "internal_nucleotides_A_AAUC", 0.0720272 },
    { "internal_nucleotides_A_AC", 0.0394483 },
    { "internal_nucleotides_A_ACAU", -0.0740833 },
    { "internal_nucleotides_A_ACC", 0.132877 },
    { "internal_nucleotides_A_ACG", -0.921386 },
    { "internal_nucleotides_A_ACUUG", 0.329389 },
    { "internal_nucleotides_A_AG", -1.17572 },
    { "internal_nucleotides_A_AGAG", -0.494493 },
    { "internal_nucleotides_A_AGCC", -0.309919 },
    { "internal_nucleotides_A_AGG", -3.34855 },
    { "internal_nucleotides_A_AGGAC", -0.298203 },
    { "internal_nucleotides_A_AGUC", -0.139899 },
    { "internal_nucleotides_A_AGUU", -0.133445 },
    { "internal_nucleotides_A_AU", 1.50821 },
    { "internal_nucleotides_A_AUC", 1.89423 },
    { "internal_nucleotides_A_AUG", -0.0514329 },
    { "internal_nucleotides_A_AUU", 0.367646 },
    { "internal_nucleotides_A_AUUC", 0.121873 },
    { "internal_nucleotides_A_AUUU", 0.212588 },
    { "internal_nucleotides_A_C", 0.622101 },
    { "internal_nucleotides_A_CAAAC", 0.0123305 },
    { "internal_nucleotides_A_CAACU", 0.211532 },
    { "internal_nucleotides_A_CAAG", 0.113449 },
    { "internal_nucleotides_A_CAC", 3.29832 },
    { "internal_nucleotides_A_CACG", -0.265003 },
    { "internal_nucleotides_A_CAG", 0.269112 },
    { "internal_nucleotides_A_CC", -0.821042 },
    { "internal_nucleotides_A_CCAC", 1.36258 },
    { "internal_nucleotides_A_CCG", -0.113318 },
    { "internal_nucleotides_A_CCU", -0.124165 },
    { "internal_nucleotides_A_CG", -1.76282 },
    { "internal_nucleotides_A_CGC", -0.944812 },
    { "internal_nucleotides_A_CGG", -1.17235 },
    { "internal_nucleotides_A_CGU", -0.182182 },
    { "internal_nucleotides_A_CU", 1.20498 },
    { "internal_nucleotides_A_CUAAG", -0.120748 },
    { "internal_nucleotides_A_CUC", 2.87498 },
    { "internal_nucleotides_A_CUG", 0.204302 },
    { "internal_nucleotides_A_CUGU", -0.218687 },
    { "internal_nucleotides_A_CUU", 0.321097 },
    { "internal_nucleotides_A_G", -0.471319 },
    { "internal_nucleotides_A_GAG", -0.455555 },
    { "internal_nucleotides_A_GAGAU", -0.429007 },
    { "internal_nucleotides_A_GC", -3.95085 },
    { "internal_nucleotides_A_GG", -0.0364517 },
    { "internal_nucleotides_A_GGAUC", 1.20336 },
    { "internal_nucleotides_A_GGAUG", 1.89443 },
    { "internal_nucleotides_A_GGCG", -0.364395 },
    { "internal_nucleotides_A_GGG", -0.0846171 },
    { "internal_nucleotides_A_GGU", -0.92796 },
    { "internal_nucleotides_A_GGUC", -0.1045 },
    { "internal_nucleotides_A_GGUG", -0.124511 },
    { "internal_nucleotides_A_GU", -0.365892 },
    { "internal_nucleotides_A_GUU", -0.0225365 },
    { "internal_nucleotides_A_GUUG", -0.187009 },
    { "internal_nucleotides_A_GUUUG", 0.1906 },
    { "internal_nucleotides_A_U", 1.51279 },
    { "internal_nucleotides_A_UAAAUG", 0.460387 },
    { "internal_nucleotides_A_UC", 0.656246 },
    { "internal_nucleotides_A_UCC", -0.230225 },
    { "internal_nucleotides_A_UCCUU", -0.35497 },
    { "internal_nucleotides_A_UCG", -0.051994 },
    { "internal_nucleotides_A_UCUCU", -0.379012 },
    { "internal_nucleotides_A_UG", -1.67475 },
    { "internal_nucleotides_A_UGG", -0.358589 },
    { "internal_nucleotides_A_UGGG", -0.368951 },
    { "internal_nucleotides_A_UGUUG", -0.299814 },
    { "internal_nucleotides_A_UU", 0.511521 },
    { "internal_nucleotides_A_UUC", -0.16333 },
    { "internal_nucleotides_A_UUCC", 0.136014 },
    { "internal_nucleotides_A_UUG", 0.143191 },
    { "internal_nucleotides_A_UUU", -0.152483 },
    { "internal_nucleotides_CAAAA_", 0.257491 },
    { "internal_nucleotides_CAAACU_", -0.413225 },
    { "internal_nucleotides_CAAAG_", 5.36674 },
    { "internal_nucleotides_CAAAUA_C", -0.116685 },
    { "internal_nucleotides_CAAAU_", -0.632098 },
    { "internal_nucleotides_CAAA_AAC", -0.452067 },
    { "internal_nucleotides_CAAA_C", -8.3891 },
    { "internal_nucleotides_CAAGU_U", -0.260503 },
    { "internal_nucleotides_CAAG_CGG", -0.258136 },
    { "internal_nucleotides_CAAG_UG", -0.021019 },
    { "internal_nucleotides_CAAUAG_", -0.377895 },
    { "internal_nucleotides_CAAUA_", -0.079096 },
    { "internal_nucleotides_CAAUU_", 0.247605 },
    { "internal_nucleotides_CAAUU_AC", 0.254752 },
    { "internal_nucleotides_CAAU_", -0.221471 },
    { "internal_nucleotides_CAAU_AG", 0.210638 },
    { "internal_nucleotides_CAAU_AU", 0.073343 },
    { "internal_nucleotides_CAAU_UAU", -0.175133 },
    { "internal_nucleotides_CAAU_UUU", 0.0612682 },
    { "internal_nucleotides_CAA_", 1.58672 },
    { "internal_nucleotides_CAA_AAAU", 0.221467 },
    { "internal_nucleotides_CAA_AAG", 3.37255 },
    { "internal_nucleotides_CAA_AAGC", 0.353299 },
    { "internal_nucleotides_CAA_AAU", -0.290826 },
    { "internal_nucleotides_CAA_ACAC", 0.150711 },
    { "internal_nucleotides_CAA_ACAG", 17.3373 },
    { "internal_nucleotides_CAA_ACG", 1.68966 },
    { "internal_nucleotides_CAA_ACU", -0.175755 },
    { "internal_nucleotides_CAA_AG", -1.01478 },
    { "internal_nucleotides_CAA_AGC", 1.59975 },
    { "internal_nucleotides_CAA_AGG", -0.75237 },
    { "internal_nucleotides_CAA_AUG", 15.8111 },
    { "internal_nucleotides_CAA_C", -0.101451 },
    { "internal_nucleotides_CAA_CAG", 7.25019 },
    { "internal_nucleotides_CAA_CC", -1.91058 },
    { "internal_nucleotides_CAA_CGG", -0.487993 },
    { "internal_nucleotides_CAA_CUC", -0.0603301 },
    { "internal_nucleotides_CAA_G", 2.94951 },
    { "internal_nucleotides_CAA_U", 1.1878 },
    { "internal_nucleotides_CAA_UACG", -0.087179 },
    { "internal_nucleotides_CAA_UAU", -0.219501 },
    { "internal_nucleotides_CAA_UCCC", -0.366268 },
    { "internal_nucleotides_CAA_UCG", 0.202465 },
    { "internal_nucleotides_CAA_UG", -3.0226 },
    { "internal_nucleotides_CAA_UGG", -0.029997 },
    { "internal_nucleotides_CAA_UGUG", 0.160102 },
    { "internal_nucleotides_CAA_UUC", -0.045282 },
    { "internal_nucleotides_CAA_UUG", -0.165522 },
    { "internal_nucleotides_CACA_", 0.154148 },
    { "internal_nucleotides_CACA_AAG", -0.106774 },
    { "internal_nucleotides_CACA_AUU", -0.0204077 },
    { "internal_nucleotides_CACA_C", -0.838002 },
    { "internal_nucleotides_CACA_GUU", 0.462308 },
    { "internal_nucleotides_CACA_U", -0.00877534 },
    { "internal_nucleotides_CACA_UCG", -0.291583 },
    { "internal_nucleotides_CACCAUG_", 0.150711 },
    { "internal_nucleotides_CACU_GUU", 2.47484 },
    { "internal_nucleotides_CACU_U", -0.193352 },
    { "internal_nucleotides_CAC_", -1.93457 },
    { "internal_nucleotides_CAC_AAGC", 0.353949 },
    { "internal_nucleotides_CAC_ACC", 0.13943 },
    { "internal_nucleotides_CAC_CG", 0.130586 },
    { "internal_nucleotides_CAC_CGCU", 2.43303 },
    { "internal_nucleotides_CAC_CGGC", 0.262784 },
    { "internal_nucleotides_CAC_CUC", -0.0432696 },
    { "internal_nucleotides_CAC_U", 0.200745 },
    { "internal_nucleotides_CAC_UCG", 0.208402 },
    { "internal_nucleotides_CAGAA_", -0.259241 },
    { "internal_nucleotides_CAGGA_", 10.706 },
    { "internal_nucleotides_CAGG_", 0.17506 },
    { "internal_nucleotides_CAGUA_", -0.31014 },
    { "internal_nucleotides_CAG_", 3.42727 },
    { "internal_nucleotides_CAG_ACG", 0.16541 },
    { "internal_nucleotides_CAG_AUAU", -0.00808191 },
    { "internal_nucleotides_CAG_AUG", 0.27136 },
    { "internal_nucleotides_CAG_CAUG", 0.382259 },
    { "internal_nucleotides_CAG_U", 0.00422223 },
    { "internal_nucleotides_CAUAUC_", -0.298003 },
    { "internal_nucleotides_CAUA_", -0.295356 },
    { "internal_nucleotides_CAUUA_", -0.409001 },
    { "internal_nucleotides_CAUU_U", -0.368146 },
    { "internal_nucleotides_CAUU_UUU", -0.0250046 },
    { "internal_nucleotides_CAU_", 2.20405 },
    { "internal_nucleotides_CAU_AAAU", 10.0331 },
    { "internal_nucleotides_CAU_AAGG", -0.146646 },
    { "internal_nucleotides_CAU_ACAU", 0.0490477 },
    { "internal_nucleotides_CAU_AU", -0.288083 },
    { "internal_nucleotides_CAU_C", 0.179604 },
    { "internal_nucleotides_CAU_CGCU", -0.239706 },
    { "internal_nucleotides_CAU_CU", -0.347309 },
    { "internal_nucleotides_CAU_GC", -0.261999 },
    { "internal_nucleotides_CAU_U", 0.00883902 },
    { "internal_nucleotides_CA_", 2.16179 },
    { "internal_nucleotides_CA_AAAAU", 0.072457 },
    { "internal_nucleotides_CA_AAG", -0.051064 },
    { "internal_nucleotides_CA_AAUGG", -0.297838 },
    { "internal_nucleotides_CA_AC", -0.344151 },
    { "internal_nucleotides_CA_ACC", -0.173909 },
    { "internal_nucleotides_CA_ACCG", -0.209004 },
    { "internal_nucleotides_CA_ACU", -0.226987 },
    { "internal_nucleotides_CA_AG", -1.30958 },
    { "internal_nucleotides_CA_AGG", -0.203226 },
    { "internal_nucleotides_CA_AUG", -0.240389 },
    { "internal_nucleotides_CA_C", -1.16003 },
    { "internal_nucleotides_CA_CAAG", -0.0607134 },
    { "internal_nucleotides_CA_CAG", -0.489692 },
    { "internal_nucleotides_CA_CAGG", 0.221371 },
    { "internal_nucleotides_CA_CC", -0.111721 },
    { "internal_nucleotides_CA_CCAAG", 0.294091 },
    { "internal_nucleotides_CA_CCU", -0.251379 },
    { "internal_nucleotides_CA_CCUG", -0.131928 },
    { "internal_nucleotides_CA_CG", -1.30209 },
    { "internal_nucleotides_CA_CGG", -0.859179 },
    { "internal_nucleotides_CA_CU", 0.0845898 },
    { "internal_nucleotides_CA_G", 1.60751 },
    { "internal_nucleotides_CA_GG", -0.346812 },
    { "internal_nucleotides_CA_GU", 0.237802 },
    { "internal_nucleotides_CA_U", -0.100281 },
    { "internal_nucleotides_CA_UAAG", 1.15773 },
    { "internal_nucleotides_CA_UACG", 0.22629 },
    { "internal_nucleotides_CA_UC", -0.254484 },
    { "internal_nucleotides_CA_UG", 1.7152 },
    { "internal_nucleotides_CA_UU", 0.18291 },
    { "internal_nucleotides_CCAA_", -0.187009 },
    { "internal_nucleotides_CCAA_C", -0.0941156 },
    { "internal_nucleotides_CCAA_CGG", -0.322314 },
    { "internal_nucleotides_CCAA_U", 0.289347 },
    { "internal_nucleotides_CCACAGG_", -0.0806104 },
    { "internal_nucleotides_CCACAG_U", -3.98472 },
    { "internal_nucleotides_CCACA_", -9.07619 },
    { "internal_nucleotides_CCAG_CG", 0.18088 },
    { "internal_nucleotides_CCAU_AUU", -0.328946 },
    { "internal_nucleotides_CCAU_CAG", -0.021019 },
    { "internal_nucleotides_CCA_", -0.262873 },
    { "internal_nucleotides_CCA_ACAG", 0.05456 },
    { "internal_nucleotides_CCA_ACCC", -0.533473 },
    { "internal_nucleotides_CCA_ACG", 0.157424 },
    { "internal_nucleotides_CCA_AU", -0.0481701 },
    { "internal_nucleotides_CCA_AUG", -0.145707 },
    { "internal_nucleotides_CCA_C", 0.249417 },
    { "internal_nucleotides_CCA_CAUG", -0.160102 },
    { "internal_nucleotides_CCA_CCG", -0.722004 },
    { "internal_nucleotides_CCA_CG", -0.243952 },
    { "internal_nucleotides_CCA_CGG", -1.30744 },
    { "internal_nucleotides_CCA_UAU", 0.164501 },
    { "internal_nucleotides_CCA_UC", 0.121745 },
    { "internal_nucleotides_CCA_UU", -0.00412032 },
    { "internal_nucleotides_CCA_UUG", -0.327319 },
    { "internal_nucleotides_CCA_UUGC", -0.223004 },
    { "internal_nucleotides_CCCAAA_", 9.00175 },
    { "internal_nucleotides_CCCACA_G", -0.00429182 },
    { "internal_nucleotides_CCCA_CAG", 0.301422 },
    { "internal_nucleotides_CCCCAA_", 0.651872 },
    { "internal_nucleotides_CCCGAA_", 0.0402752 },
    { "internal_nucleotides_CCCG_CU", -0.570005 },
    { "internal_nucleotides_CCCUAA_", 1.52415 },
    { "internal_nucleotides_CCC_", -0.184718 },
    { "internal_nucleotides_CCC_C", -3.54075 },
    { "internal_nucleotides_CCC_CC", 18.2191 },
    { "internal_nucleotides_CCC_CU", 0.667162 },
    { "internal_nucleotides_CCC_UAGC", -0.333657 },
    { "internal_nucleotides_CCC_UAU", 0.393995 },
    { "internal_nucleotides_CCC_UC", 0.359726 },
    { "internal_nucleotides_CCC_UCU", -0.245003 },
    { "internal_nucleotides_CCC_UUU", 0.0882358 },
    { "internal_nucleotides_CCGAG_G", 0.0639515 },
    { "internal_nucleotides_CCGC_CUC", 0.20523 },
    { "internal_nucleotides_CCG_", -0.41897 },
    { "internal_nucleotides_CCG_AAG", -0.265765 },
    { "internal_nucleotides_CCG_AAUG", 0.279061 },
    { "internal_nucleotides_CCG_U", -0.24625 },
    { "internal_nucleotides_CCG_UG", -0.126552 },
    { "internal_nucleotides_CCUA_AG", -0.267224 },
    { "internal_nucleotides_CCUA_CAG", -0.367525 },
    { "internal_nucleotides_CCUC_", -0.0106819 },
    { "internal_nucleotides_CCUG_", 0.383262 },
    { "internal_nucleotides_CCUU_C", -0.17173 },
    { "internal_nucleotides_CCU_", -0.124133 },
    { "internal_nucleotides_CCU_AAAU", 0.0123305 },
    { "internal_nucleotides_CCU_AAU", -0.208242 },
    { "internal_nucleotides_CCU_AGC", 0.363976 },
    { "internal_nucleotides_CCU_UUU", 1.26805 },
    { "internal_nucleotides_CC_", -4.36565 },
    { "internal_nucleotides_CC_AAU", 18.0282 },
    { "internal_nucleotides_CC_ACU", -0.219211 },
    { "internal_nucleotides_CC_AU", -1.3249 },
    { "internal_nucleotides_CC_AUG", 0.103306 },
    { "internal_nucleotides_CC_AUU", 0.181331 },
    { "internal_nucleotides_CC_C", -0.989086 },
    { "internal_nucleotides_CC_CAACU", -0.0406095 },
    { "internal_nucleotides_CC_CAAUU", -2.01888 },
    { "internal_nucleotides_CC_CCCG", -0.243311 },
    { "internal_nucleotides_CC_CCG", -0.164846 },
    { "internal_nucleotides_CC_CGC", 0.261933 },
    { "internal_nucleotides_CC_CU", -0.656755 },
    { "internal_nucleotides_CC_G", 2.53155 },
    { "internal_nucleotides_CC_GAUU", 0.0566025 },
    { "internal_nucleotides_CC_GC", 1.30345 },
    { "internal_nucleotides_CC_GG", 2.20141 },
    { "internal_nucleotides_CC_U", -2.83928 },
    { "internal_nucleotides_CC_UAU", 0.0156636 },
    { "internal_nucleotides_CC_UC", -0.648622 },
    { "internal_nucleotides_CC_UU", 2.04673 },
    { "internal_nucleotides_CGAAA_U", -0.155599 },
    { "internal_nucleotides_CGAAG_", 2.96847 },
    { "internal_nucleotides_CGAA_AAG", 2.60824 },
    { "internal_nucleotides_CGAA_AAU", 0.0443853 },
    { "internal_nucleotides_CGAC_AUU", -0.207304 },
    { "internal_nucleotides_CGAGU_", -0.118795 },
    { "internal_nucleotides_CGAG_AG", -0.26327 },
    { "internal_nucleotides_CGAU_U", 0.0569187 },
    { "internal_nucleotides_CGA_", -0.397581 },
    { "internal_nucleotides_CGA_AAG", -0.0229197 },
    { "internal_nucleotides_CGA_ACGG", -0.142001 },
    { "internal_nucleotides_CGA_AG", -0.0338886 },
    { "internal_nucleotides_CGA_AGG", -0.156702 },
    { "internal_nucleotides_CGA_AU", -0.315017 },
    { "internal_nucleotides_CGA_CAG", 5.99893 },
    { "internal_nucleotides_CGA_CGC", 0.175821 },
    { "internal_nucleotides_CGA_CGG", -0.198696 },
    { "internal_nucleotides_CGA_GC", 0.169494 },
    { "internal_nucleotides_CGA_GGC", 0.310813 },
    { "internal_nucleotides_CGA_U", -0.104349 },
    { "internal_nucleotides_CGA_UAG", 0.306581 },
    { "internal_nucleotides_CGA_UG", -0.343647 },
    { "internal_nucleotides_CGCG_", -0.262928 },
    { "internal_nucleotides_CGCG_U", -0.328702 },
    { "internal_nucleotides_CGCUCG_", -0.447001 },
    { "internal_nucleotides_CGCUG_", -0.13333 },
    { "internal_nucleotides_CGCUU_CU", -0.46543 },
    { "internal_nucleotides_CGCU_AAG", -0.139978 },
    { "internal_nucleotides_CGC_", -0.303211 },
    { "internal_nucleotides_CGC_CAU", 0.305476 },
    { "internal_nucleotides_CGC_CGU", 0.371634 },
    { "internal_nucleotides_CGC_U", 0.882513 },
    { "internal_nucleotides_CGC_UGU", 0.236537 },
    { "internal_nucleotides_CGGA_CAG", 0.0464784 },
    { "internal_nucleotides_CGGA_UAG", -0.0940459 },
    { "internal_nucleotides_CGGUGAA_", -0.469 },
    { "internal_nucleotides_CGG_", -0.180211 },
    { "internal_nucleotides_CGG_AAG", 0.134528 },
    { "internal_nucleotides_CGG_AU", -0.335256 },
    { "internal_nucleotides_CGG_G", 0.226043 },
    { "internal_nucleotides_CGG_GG", -0.0970047 },
    { "internal_nucleotides_CGG_U", -0.369463 },
    { "internal_nucleotides_CGG_UAG", 0.207181 },
    { "internal_nucleotides_CGUA_AAG", 0.0706816 },
    { "internal_nucleotides_CGUGG_AG", -0.142027 },
    { "internal_nucleotides_CGU_", -0.210865 },
    { "internal_nucleotides_CGU_AG", 0.204416 },
    { "internal_nucleotides_CGU_AUU", -0.273745 },
    { "internal_nucleotides_CG_", -1.02908 },
    { "internal_nucleotides_CG_AG", -0.896401 },
    { "internal_nucleotides_CG_C", 0.187682 },
    { "internal_nucleotides_CG_CCUC", 0.350168 },
    { "internal_nucleotides_CG_CG", 1.14845 },
    { "internal_nucleotides_CG_CGCG", 0.114472 },
    { "internal_nucleotides_CG_CU", -0.766272 },
    { "internal_nucleotides_CG_CUG", 0.01584 },
    { "internal_nucleotides_CG_G", 0.376837 },
    { "internal_nucleotides_CG_GU", 0.102352 },
    { "internal_nucleotides_CG_U", -0.637866 },
    { "internal_nucleotides_CG_UG", 0.00274061 },
    { "internal_nucleotides_CG_UGUG", 0.0491934 },
    { "internal_nucleotides_CUAAA_", 4.25768 },
    { "internal_nucleotides_CUAA_CU", 0.368057 },
    { "internal_nucleotides_CUAA_G", 4.93724 },
    { "internal_nucleotides_CUACCA_G", 0.0308577 },
    { "internal_nucleotides_CUAG_ACG", -0.380474 },
    { "internal_nucleotides_CUA_", 2.10455 },
    { "internal_nucleotides_CUA_AAG", 6.45328 },
    { "internal_nucleotides_CUA_ACAG", 0.262784 },
    { "internal_nucleotides_CUA_ACG", -0.131426 },
    { "internal_nucleotides_CUA_C", -0.301346 },
    { "internal_nucleotides_CUA_CAAG", 0.371634 },
    { "internal_nucleotides_CUA_CCG", -0.24183 },
    { "internal_nucleotides_CUA_CUAG", -0.686004 },
    { "internal_nucleotides_CUA_CUGG", -0.329002 },
    { "internal_nucleotides_CUA_UC", -0.146069 },
    { "internal_nucleotides_CUCAA_", -0.446001 },
    { "internal_nucleotides_CUCCG_", -0.549006 },
    { "internal_nucleotides_CUCC_U", -0.670004 },
    { "internal_nucleotides_CUCU_C", -0.0557464 },
    { "internal_nucleotides_CUCU_U", -0.350642 },
    { "internal_nucleotides_CUCU_UAU", 0.166771 },
    { "internal_nucleotides_CUC_", -0.195078 },
    { "internal_nucleotides_CUC_AU", -0.175379 },
    { "internal_nucleotides_CUC_AUAU", -0.421722 },
    { "internal_nucleotides_CUC_C", 4.16327 },
    { "internal_nucleotides_CUC_GUU", 0.218196 },
    { "internal_nucleotides_CUC_U", 3.95688 },
    { "internal_nucleotides_CUC_UC", 0.432456 },
    { "internal_nucleotides_CUC_UG", 0.290689 },
    { "internal_nucleotides_CUGAG_G", 0.316801 },
    { "internal_nucleotides_CUGA_", -0.0429284 },
    { "internal_nucleotides_CUGA_AUU", -0.557721 },
    { "internal_nucleotides_CUGA_UAG", 0.221371 },
    { "internal_nucleotides_CUGC_C", 0.154633 },
    { "internal_nucleotides_CUGGC_C", 0.160009 },
    { "internal_nucleotides_CUGG_AG", -1.40441 },
    { "internal_nucleotides_CUGUU_U", -0.250768 },
    { "internal_nucleotides_CUG_", 6.4397 },
    { "internal_nucleotides_CUG_AU", 0.218619 },
    { "internal_nucleotides_CUG_CUG", -0.0202063 },
    { "internal_nucleotides_CUG_UUG", -0.2269 },
    { "internal_nucleotides_CUG_UUU", 0.329389 },
    { "internal_nucleotides_CUUAA_CG", -0.653368 },
    { "internal_nucleotides_CUUA_", 0.0305977 },
    { "internal_nucleotides_CUUA_CUG", -0.0483805 },
    { "internal_nucleotides_CUUA_G", -0.446264 },
    { "internal_nucleotides_CUUCAC_U", 0.207507 },
    { "internal_nucleotides_CUUC_", -0.276332 },
    { "internal_nucleotides_CUUC_U", -0.191872 },
    { "internal_nucleotides_CUUG_", 0.33694 },
    { "internal_nucleotides_CUUUU_UU", -0.346591 },
    { "internal_nucleotides_CUUU_GU", -0.22905 },
    { "internal_nucleotides_CUUU_UU", -0.295608 },
    { "internal_nucleotides_CUU_", -0.483783 },
    { "internal_nucleotides_CUU_ACU", -0.0910047 },
    { "internal_nucleotides_CUU_C", -0.0691885 },
    { "internal_nucleotides_CUU_CCU", 15.1297 },
    { "internal_nucleotides_CUU_GUU", 6.64043 },
    { "internal_nucleotides_CUU_UCU", 11.2889 },
    { "internal_nucleotides_CUU_UGCU", -0.124017 },
    { "internal_nucleotides_CUU_UUC", 0.103845 },
    { "internal_nucleotides_CU_", -0.871727 },
    { "internal_nucleotides_CU_AAU", 0.0225162 },
    { "internal_nucleotides_CU_AAUU", -0.330244 },
    { "internal_nucleotides_CU_ACU", -0.700609 },
    { "internal_nucleotides_CU_AU", -0.329225 },
    { "internal_nucleotides_CU_AUAU", -0.499222 },
    { "internal_nucleotides_CU_C", -1.41066 },
    { "internal_nucleotides_CU_CAU", 0.103733 },
    { "internal_nucleotides_CU_CCU", -0.520354 },
    { "internal_nucleotides_CU_CCUU", -0.207871 },
    { "internal_nucleotides_CU_CU", 2.18974 },
    { "internal_nucleotides_CU_CUUUG", -0.22101 },
    { "internal_nucleotides_CU_U", -0.469521 },
    { "internal_nucleotides_CU_UC", 0.443825 },
    { "internal_nucleotides_CU_UU", 2.01644 },
    { "internal_nucleotides_CU_UUG", 0.0856271 },
    { "internal_nucleotides_CU_UUU", -0.409353 },
    { "internal_nucleotides_C_", -0.742539 },
    { "internal_nucleotides_C_AAAU", -0.395633 },
    { "internal_nucleotides_C_AAU", 0.159877 },
    { "internal_nucleotides_C_ACU", -0.115065 },
    { "internal_nucleotides_C_AG", 2.7406 },
    { "internal_nucleotides_C_AGCUU", -0.0354152 },
    { "internal_nucleotides_C_AGU", 0.168855 },
    { "internal_nucleotides_C_AU", -0.178364 },
    { "internal_nucleotides_C_AUU", -0.519329 },
    { "internal_nucleotides_C_C", -0.52971 },
    { "internal_nucleotides_C_CAAU", 0.27322 },
    { "internal_nucleotides_C_CACU", 0.396409 },
    { "internal_nucleotides_C_CAG", 3.7373 },
    { "internal_nucleotides_C_CAU", -0.169777 },
    { "internal_nucleotides_C_CCU", 2.89631 },
    { "internal_nucleotides_C_CG", 1.48725 },
    { "internal_nucleotides_C_CGU", 7.90461 },
    { "internal_nucleotides_C_CU", -1.4424 },
    { "internal_nucleotides_C_CUCU", 0.0963745 },
    { "internal_nucleotides_C_CUU", -0.129146 },
    { "internal_nucleotides_C_G", 2.82275 },
    { "internal_nucleotides_C_GCU", 0.18291 },
    { "internal_nucleotides_C_GCUU", 0.0111803 },
    { "internal_nucleotides_C_GG", 1.86392 },
    { "internal_nucleotides_C_GGU", 0.0419952 },
    { "internal_nucleotides_C_GU", -0.137374 },
    { "internal_nucleotides_C_N", 1.27379 },
    { "internal_nucleotides_C_U", 0.189651 },
    { "internal_nucleotides_C_UAAGU", -0.0553376 },
    { "internal_nucleotides_C_UCU", 0.19669 },
    { "internal_nucleotides_C_UG", 3.66473 },
    { "internal_nucleotides_C_UGG", 0.245967 },
    { "internal_nucleotides_C_UGU", 6.44925 },
    { "internal_nucleotides_C_UGUG", 0.257725 },
    { "internal_nucleotides_C_UU", -2.89897 },
    { "internal_nucleotides_C_UUU", -1.06988 },
    { "internal_nucleotides_GAAAC_GU", -0.371505 },
    { "internal_nucleotides_GAAAU_", 0.208646 },
    { "internal_nucleotides_GAAA_", -0.23745 },
    { "internal_nucleotides_GAAA_AG", -0.0383717 },
    { "internal_nucleotides_GAAA_AGG", 0.25765 },
    { "internal_nucleotides_GAAA_AU", -0.0939285 },
    { "internal_nucleotides_GAAA_GG", -0.200853 },
    { "internal_nucleotides_GAAA_U", -0.430219 },
    { "internal_nucleotides_GAACC_AU", 6.46215 },
    { "internal_nucleotides_GAACG_G", -1.79327 },
    { "internal_nucleotides_GAACU_", -0.166009 },
    { "internal_nucleotides_GAACU_AU", 0.0128112 },
    { "internal_nucleotides_GAAC_GU", 0.465149 },
    { "internal_nucleotides_GAAGA_", -0.398915 },
    { "internal_nucleotides_GAAGC_AU", -0.330244 },
    { "internal_nucleotides_GAAGG_AU", -0.0929525 },
    { "internal_nucleotides_GAAG_AAG", -0.2235 },
    { "internal_nucleotides_GAAG_AGG", -0.207392 },
    { "internal_nucleotides_GAAG_AGU", 0.135195 },
    { "internal_nucleotides_GAAG_CG", 4.7626 },
    { "internal_nucleotides_GAAUA_UG", -0.293372 },
    { "internal_nucleotides_GAAU_", 0.126743 },
    { "internal_nucleotides_GAAU_AAU", -0.209235 },
    { "internal_nucleotides_GAAU_AU", -0.620581 },
    { "internal_nucleotides_GAAU_GU", 0.483272 },
    { "internal_nucleotides_GAA_", -1.36802 },
    { "internal_nucleotides_GAA_AAG", 6.49117 },
    { "internal_nucleotides_GAA_AAGG", 0.0744981 },
    { "internal_nucleotides_GAA_AAU", 5.37875 },
    { "internal_nucleotides_GAA_ACG", 0.0577346 },
    { "internal_nucleotides_GAA_ACU", -0.107942 },
    { "internal_nucleotides_GAA_AGAG", -0.087179 },
    { "internal_nucleotides_GAA_AGG", 11.025 },
    { "internal_nucleotides_GAA_AGU", 0.196855 },
    { "internal_nucleotides_GAA_AU", 0.285241 },
    { "internal_nucleotides_GAA_AUG", 9.34803 },
    { "internal_nucleotides_GAA_AUGG", 6.97527 },
    { "internal_nucleotides_GAA_AUGU", 0.0397772 },
    { "internal_nucleotides_GAA_AUU", 0.142702 },
    { "internal_nucleotides_GAA_AUUG", 0.00695459 },
    { "internal_nucleotides_GAA_CAG", 0.216827 },
    { "internal_nucleotides_GAA_CCCG", -0.400001 },
    { "internal_nucleotides_GAA_G", -0.391151 },
    { "internal_nucleotides_GAA_GAAU", 0.137565 },
    { "internal_nucleotides_GAA_GAG", 0.029997 },
    { "internal_nucleotides_GAA_GAGG", 12.5745 },
    { "internal_nucleotides_GAA_GAU", -0.271963 },
    { "internal_nucleotides_GAA_GCAU", -0.0494982 },
    { "internal_nucleotides_GAA_GG", 0.0969116 },
    { "internal_nucleotides_GAA_GGAG", -0.0613459 },
    { "internal_nucleotides_GAA_GGG", -0.0455932 },
    { "internal_nucleotides_GAA_GU", -0.220465 },
    { "internal_nucleotides_GAA_GUG", -0.0877255 },
    { "internal_nucleotides_GAA_UAG", 0.145335 },
    { "internal_nucleotides_GAA_UGG", -0.696379 },
    { "internal_nucleotides_GAA_UGU", -0.394908 },
    { "internal_nucleotides_GAA_UUG", -0.0653945 },
    { "internal_nucleotides_GACAGC_", 0.220476 },
    { "internal_nucleotides_GACA_", -0.0314651 },
    { "internal_nucleotides_GACA_AUU", 0.397126 },
    { "internal_nucleotides_GACC_", 0.196144 },
    { "internal_nucleotides_GACG_", 1.15933 },
    { "internal_nucleotides_GACU_", -0.209677 },
    { "internal_nucleotides_GACU_AAU", -0.0426884 },
    { "internal_nucleotides_GACU_AGU", 0.36173 },
    { "internal_nucleotides_GACU_GUU", 0.636948 },
    { "internal_nucleotides_GAC_", -0.74177 },
    { "internal_nucleotides_GAC_AAU", -0.111083 },
    { "internal_nucleotides_GAC_ACU", -0.0377523 },
    { "internal_nucleotides_GAC_AG", 0.022025 },
    { "internal_nucleotides_GAC_AGG", 6.21087 },
    { "internal_nucleotides_GAC_AGGU", 3.21396 },
    { "internal_nucleotides_GAC_AGU", 0.103154 },
    { "internal_nucleotides_GAC_AU", 2.95806 },
    { "internal_nucleotides_GAC_CCAU", 0.103754 },
    { "internal_nucleotides_GAC_G", 0.257915 },
    { "internal_nucleotides_GAC_GUU", -0.0755643 },
    { "internal_nucleotides_GAGA_", 3.92347 },
    { "internal_nucleotides_GAGA_AGG", 0.0991696 },
    { "internal_nucleotides_GAGGA_AG", 0.0594794 },
    { "internal_nucleotides_GAGGG_", 4.1017 },
    { "internal_nucleotides_GAGGG_AG", -0.414501 },
    { "internal_nucleotides_GAGGUAC_", -0.0442741 },
    { "internal_nucleotides_GAGU_", 0.395469 },
    { "internal_nucleotides_GAGU_AGU", 0.123958 },
    { "internal_nucleotides_GAGU_AU", -0.452067 },
    { "internal_nucleotides_GAG_", 3.05061 },
    { "internal_nucleotides_GAG_AAU", 0.382171 },
    { "internal_nucleotides_GAG_ACU", -0.11696 },
    { "internal_nucleotides_GAG_AG", -0.153096 },
    { "internal_nucleotides_GAG_AGG", 0.0203845 },
    { "internal_nucleotides_GAG_AU", -0.210658 },
    { "internal_nucleotides_GAG_AUG", 7.78311 },
    { "internal_nucleotides_GAG_AUU", 0.245684 },
    { "internal_nucleotides_GAG_AUUG", 2.70057 },
    { "internal_nucleotides_GAG_G", 0.112428 },
    { "internal_nucleotides_GAG_GGG", -0.692004 },
    { "internal_nucleotides_GAG_GGGG", -0.272863 },
    { "internal_nucleotides_GAUAACA_", -0.414501 },
    { "internal_nucleotides_GAUCA_", 0.296084 },
    { "internal_nucleotides_GAUC_AAU", 0.136847 },
    { "internal_nucleotides_GAUC_AGU", -0.0245046 },
    { "internal_nucleotides_GAUGA_", 0.165352 },
    { "internal_nucleotides_GAUGA_AG", 0.219021 },
    { "internal_nucleotides_GAUGA_AU", -0.131928 },
    { "internal_nucleotides_GAUUU_AU", -2.14879 },
    { "internal_nucleotides_GAUU_", 0.0332196 },
    { "internal_nucleotides_GAUU_ACG", -0.269003 },
    { "internal_nucleotides_GAUU_U", 0.109528 },
    { "internal_nucleotides_GAU_", 6.06831 },
    { "internal_nucleotides_GAU_AAGG", 0.168089 },
    { "internal_nucleotides_GAU_AAU", 4.51098 },
    { "internal_nucleotides_GAU_AAUU", -0.0337745 },
    { "internal_nucleotides_GAU_ACU", -0.0663399 },
    { "internal_nucleotides_GAU_AG", -0.190131 },
    { "internal_nucleotides_GAU_AGAU", -0.372907 },
    { "internal_nucleotides_GAU_AGU", 1.89308 },
    { "internal_nucleotides_GAU_AU", 2.17882 },
    { "internal_nucleotides_GAU_AUGG", 0.0648459 },
    { "internal_nucleotides_GAU_AUU", -0.0984614 },
    { "internal_nucleotides_GAU_CCUU", 0.266263 },
    { "internal_nucleotides_GAU_G", -0.257676 },
    { "internal_nucleotides_GAU_GAGU", -0.235003 },
    { "internal_nucleotides_GAU_GAUU", -0.249545 },
    { "internal_nucleotides_GAU_GGG", -0.337146 },
    { "internal_nucleotides_GAU_GGU", -0.0868586 },
    { "internal_nucleotides_GAU_U", 0.141999 },
    { "internal_nucleotides_GAU_UACG", -0.20669 },
    { "internal_nucleotides_GA_", -0.740407 },
    { "internal_nucleotides_GA_AAAGG", -0.547329 },
    { "internal_nucleotides_GA_AAGU", -0.250665 },
    { "internal_nucleotides_GA_AAU", -0.409463 },
    { "internal_nucleotides_GA_AAUGG", -0.326892 },
    { "internal_nucleotides_GA_AAUUU", 0.310366 },
    { "internal_nucleotides_GA_ACG", -1.72526 },
    { "internal_nucleotides_GA_ACU", -0.494214 },
    { "internal_nucleotides_GA_AG", 3.38576 },
    { "internal_nucleotides_GA_AGAU", 0.00357765 },
    { "internal_nucleotides_GA_AGG", -2.44576 },
    { "internal_nucleotides_GA_AGGUG", 0.30263 },
    { "internal_nucleotides_GA_AGU", -0.496407 },
    { "internal_nucleotides_GA_AGUUG", 0.380863 },
    { "internal_nucleotides_GA_AGUUU", 0.0255906 },
    { "internal_nucleotides_GA_AU", 0.0151177 },
    { "internal_nucleotides_GA_AUG", -1.38487 },
    { "internal_nucleotides_GA_AUU", -0.047329 },
    { "internal_nucleotides_GA_AUUU", 0.312602 },
    { "internal_nucleotides_GA_CU", 4.71841 },
    { "internal_nucleotides_GA_G", -4.31407 },
    { "internal_nucleotides_GA_GAAAU", -0.4975 },
    { "internal_nucleotides_GA_GAGU", -0.0791953 },
    { "internal_nucleotides_GA_GAU", 0.128844 },
    { "internal_nucleotides_GA_GG", -3.28871 },
    { "internal_nucleotides_GA_GGG", -0.294035 },
    { "internal_nucleotides_GA_GGUAU", 0.412778 },
    { "internal_nucleotides_GA_GGUG", -0.259233 },
    { "internal_nucleotides_GA_U", -0.0493569 },
    { "internal_nucleotides_GA_UCG", -0.136456 },
    { "internal_nucleotides_GA_UG", -1.32093 },
    { "internal_nucleotides_GA_UGG", -0.274161 },
    { "internal_nucleotides_GA_UGU", 0.0836289 },
    { "internal_nucleotides_GCAA_AU", -1.20309 },
    { "internal_nucleotides_GCAGA_UU", -0.484977 },
    { "internal_nucleotides_GCAGCA_", 0.0554544 },
    { "internal_nucleotides_GCAG_", -0.126996 },
    { "internal_nucleotides_GCAG_AU", -0.427241 },
    { "internal_nucleotides_GCAG_AUU", -0.0746634 },
    { "internal_nucleotides_GCAU_", 0.0230935 },
    { "internal_nucleotides_GCA_", -0.0142338 },
    { "internal_nucleotides_GCA_AAU", -0.183934 },
    { "internal_nucleotides_GCA_ACU", -0.235854 },
    { "internal_nucleotides_GCA_AU", -0.100922 },
    { "internal_nucleotides_GCA_CG", 0.47561 },
    { "internal_nucleotides_GCA_GUG", -0.088824 },
    { "internal_nucleotides_GCA_U", 0.0553302 },
    { "internal_nucleotides_GCCA_", -0.280388 },
    { "internal_nucleotides_GCCC_G", 0.646166 },
    { "internal_nucleotides_GCC_", -0.147123 },
    { "internal_nucleotides_GCC_AGU", -0.387287 },
    { "internal_nucleotides_GCC_AU", -0.207653 },
    { "internal_nucleotides_GCC_AUU", -0.300305 },
    { "internal_nucleotides_GCC_NU", -0.136924 },
    { "internal_nucleotides_GCGAUAA_", -0.0169941 },
    { "internal_nucleotides_GCGA_", -0.163457 },
    { "internal_nucleotides_GCGCC_", -0.185009 },
    { "internal_nucleotides_GCGGA_", -0.450001 },
    { "internal_nucleotides_GCGGCC_", -0.330491 },
    { "internal_nucleotides_GCGGUAA_", 0.299784 },
    { "internal_nucleotides_GCGG_AU", -0.0169941 },
    { "internal_nucleotides_GCGU_AAU", -0.659732 },
    { "internal_nucleotides_GCG_", -1.95503 },
    { "internal_nucleotides_GCG_AAU", -0.0259383 },
    { "internal_nucleotides_GCG_ACU", 0.199628 },
    { "internal_nucleotides_GCG_GUUU", -0.957 },
    { "internal_nucleotides_GCUAA_", -0.308224 },
    { "internal_nucleotides_GCUAA_G", 1.60793 },
    { "internal_nucleotides_GCUG_AUU", -0.374002 },
    { "internal_nucleotides_GCUU_AUU", -0.165968 },
    { "internal_nucleotides_GCU_", 0.401315 },
    { "internal_nucleotides_GCU_AAAU", -0.406456 },
    { "internal_nucleotides_GCU_AAU", -0.149298 },
    { "internal_nucleotides_GCU_ACU", -0.0249796 },
    { "internal_nucleotides_GCU_AGU", -0.276468 },
    { "internal_nucleotides_GCU_AUU", -1.5035 },
    { "internal_nucleotides_GCU_CU", 2.63583 },
    { "internal_nucleotides_GCU_G", 5.43408 },
    { "internal_nucleotides_GCU_GCU", -0.125429 },
    { "internal_nucleotides_GCU_GUUG", -0.0195046 },
    { "internal_nucleotides_GCU_U", 0.342926 },
    { "internal_nucleotides_GC_", -2.41574 },
    { "internal_nucleotides_GC_AAUU", -0.0451685 },
    { "internal_nucleotides_GC_AGCU", 0.22452 },
    { "internal_nucleotides_GC_AGU", -0.087109 },
    { "internal_nucleotides_GC_AU", -2.15635 },
    { "internal_nucleotides_GC_AUU", -0.249938 },
    { "internal_nucleotides_GC_CUU", -0.341293 },
    { "internal_nucleotides_GC_G", -0.138395 },
    { "internal_nucleotides_GC_GAAAU", -0.364564 },
    { "internal_nucleotides_GC_GU", -0.479863 },
    { "internal_nucleotides_GC_UAU", -0.405176 },
    { "internal_nucleotides_GC_UU", -0.143874 },
    { "internal_nucleotides_GC_UUUU", -0.0298613 },
    { "internal_nucleotides_GGAAAGU_", 0.114901 },
    { "internal_nucleotides_GGAAC_AU", 0.206044 },
    { "internal_nucleotides_GGAA_", 0.121883 },
    { "internal_nucleotides_GGAA_AUG", -0.493006 },
    { "internal_nucleotides_GGAA_G", 0.150812 },
    { "internal_nucleotides_GGAC_", 0.247096 },
    { "internal_nucleotides_GGAC_U", 0.298426 },
    { "internal_nucleotides_GGAGC_U", -0.192256 },
    { "internal_nucleotides_GGAGUA_", -0.402492 },
    { "internal_nucleotides_GGAGUGU_", -0.253145 },
    { "internal_nucleotides_GGAG_", -0.00635434 },
    { "internal_nucleotides_GGAUCUU_", -0.0623392 },
    { "internal_nucleotides_GGAU_AUU", -0.383262 },
    { "internal_nucleotides_GGAU_GAU", -0.0465102 },
    { "internal_nucleotides_GGAU_U", 14.467 },
    { "internal_nucleotides_GGA_", 0.518057 },
    { "internal_nucleotides_GGA_AAU", 0.211341 },
    { "internal_nucleotides_GGA_ACGG", -2.36992 },
    { "internal_nucleotides_GGA_AGGG", 0.330044 },
    { "internal_nucleotides_GGA_AGU", -0.204468 },
    { "internal_nucleotides_GGA_AGUU", -0.0187747 },
    { "internal_nucleotides_GGA_AUU", -0.287087 },
    { "internal_nucleotides_GGA_G", -0.249715 },
    { "internal_nucleotides_GGA_UAU", -0.0205718 },
    { "internal_nucleotides_GGA_UG", -0.27883 },
    { "internal_nucleotides_GGCAAGA_", 5.61384 },
    { "internal_nucleotides_GGCAAGC_", 0.180227 },
    { "internal_nucleotides_GGCAAGG_", 0.0950545 },
    { "internal_nucleotides_GGCAAGU_", 24.5706 },
    { "internal_nucleotides_GGCA_", -0.157579 },
    { "internal_nucleotides_GGCGA_AU", -0.415501 },
    { "internal_nucleotides_GGCUAA_", 15.9156 },
    { "internal_nucleotides_GGCU_", -0.0487462 },
    { "internal_nucleotides_GGCU_GGU", -0.455531 },
    { "internal_nucleotides_GGCU_U", 4.51465 },
    { "internal_nucleotides_GGC_", -0.0614785 },
    { "internal_nucleotides_GGC_ACU", -0.13223 },
    { "internal_nucleotides_GGGA_", 0.175179 },
    { "internal_nucleotides_GGGGAGU_", -0.299107 },
    { "internal_nucleotides_GGGGG_GG", -0.335676 },
    { "internal_nucleotides_GGGGUGA_", -0.116275 },
    { "internal_nucleotides_GGGU_", -0.264201 },
    { "internal_nucleotides_GGG_", -0.0293932 },
    { "internal_nucleotides_GGG_U", -0.312896 },
    { "internal_nucleotides_GGUAAA_", 1.28623 },
    { "internal_nucleotides_GGUAA_", -0.317502 },
    { "internal_nucleotides_GGUA_", -0.222031 },
    { "internal_nucleotides_GGUA_AUG", -0.118795 },
    { "internal_nucleotides_GGUCAGG_", -0.00600927 },
    { "internal_nucleotides_GGUU_U", 0.0225977 },
    { "internal_nucleotides_GGU_", 0.142823 },
    { "internal_nucleotides_GGU_AAU", -2.96945 },
    { "internal_nucleotides_GGU_AU", -0.943452 },
    { "internal_nucleotides_GG_", -1.46028 },
    { "internal_nucleotides_GG_AAGAU", 15.0713 },
    { "internal_nucleotides_GG_AAGGU", 0.398915 },
    { "internal_nucleotides_GG_AAU", -0.0397847 },
    { "internal_nucleotides_GG_AGU", -0.103372 },
    { "internal_nucleotides_GG_AU", -2.02996 },
    { "internal_nucleotides_GG_AUG", 0.0377943 },
    { "internal_nucleotides_GG_CU", 0.254465 },
    { "internal_nucleotides_GG_G", -0.099458 },
    { "internal_nucleotides_GG_GG", 0.0353328 },
    { "internal_nucleotides_GG_U", 0.278449 },
    { "internal_nucleotides_GUAAAAA_", -0.0590619 },
    { "internal_nucleotides_GUAAA_", 12.3255 },
    { "internal_nucleotides_GUAA_", -0.378794 },
    { "internal_nucleotides_GUAA_AUG", -0.090218 },
    { "internal_nucleotides_GUAA_G", 0.721554 },
    { "internal_nucleotides_GUACCUU_", -1.09137 },
    { "internal_nucleotides_GUAGG_", -0.147505 },
    { "internal_nucleotides_GUAUA_", 0.0138706 },
    { "internal_nucleotides_GUAU_U", 0.638263 },
    { "internal_nucleotides_GUA_", 3.55757 },
    { "internal_nucleotides_GUA_AAAU", 12.5918 },
    { "internal_nucleotides_GUA_AGGU", -0.111139 },
    { "internal_nucleotides_GUA_AUU", -0.348605 },
    { "internal_nucleotides_GUA_G", 0.0315093 },
    { "internal_nucleotides_GUCAAA_", 0.0594794 },
    { "internal_nucleotides_GUCAAGU_", 0.407859 },
    { "internal_nucleotides_GUCAA_", 0.121552 },
    { "internal_nucleotides_GUCA_", -0.028997 },
    { "internal_nucleotides_GUCA_G", -0.303059 },
    { "internal_nucleotides_GUCCA_", 0.245967 },
    { "internal_nucleotides_GUCCU_AU", -0.561185 },
    { "internal_nucleotides_GUCG_", 0.112249 },
    { "internal_nucleotides_GUC_", 0.275222 },
    { "internal_nucleotides_GUC_AAAU", -2.46962 },
    { "internal_nucleotides_GUC_U", -0.227351 },
    { "internal_nucleotides_GUGAC_U", -0.150153 },
    { "internal_nucleotides_GUGGC_", -0.995 },
    { "internal_nucleotides_GUG_", 0.0312792 },
    { "internal_nucleotides_GUG_AAU", -0.0933434 },
    { "internal_nucleotides_GUG_AGU", -0.360454 },
    { "internal_nucleotides_GUG_AUU", -0.243311 },
    { "internal_nucleotides_GUUAA_", 0.136848 },
    { "internal_nucleotides_GUUAA_G", 1.89323 },
    { "internal_nucleotides_GUUACAA_", 0.365821 },
    { "internal_nucleotides_GUUGA_", -0.0933051 },
    { "internal_nucleotides_GUUUG_G", 0.354954 },
    { "internal_nucleotides_GUUU_", 0.299151 },
    { "internal_nucleotides_GUU_", 0.998797 },
    { "internal_nucleotides_GUU_AAU", -0.055245 },
    { "internal_nucleotides_GUU_AGU", -0.228867 },
    { "internal_nucleotides_GUU_AUU", -0.206661 },
    { "internal_nucleotides_GUU_G", 1.28985 },
    { "internal_nucleotides_GUU_GGAU", -0.0325276 },
    { "internal_nucleotides_GUU_GUU", -0.0465977 },
    { "internal_nucleotides_GUU_U", -0.09963 },
    { "internal_nucleotides_GUU_UU", 1.37159 },
    { "internal_nucleotides_GU_", -0.975914 },
    { "internal_nucleotides_GU_AAACU", 0.398467 },
    { "internal_nucleotides_GU_AAU", -0.166686 },
    { "internal_nucleotides_GU_AAUU", 0.0193303 },
    { "internal_nucleotides_GU_AGU", 0.292868 },
    { "internal_nucleotides_GU_AGUU", -0.500601 },
    { "internal_nucleotides_GU_AU", -3.48248 },
    { "internal_nucleotides_GU_AUUU", 0.203035 },
    { "internal_nucleotides_GU_CU", 0.380162 },
    { "internal_nucleotides_GU_G", 0.378749 },
    { "internal_nucleotides_GU_GU", -1.46501 },
    { "internal_nucleotides_GU_U", -0.183949 },
    { "internal_nucleotides_GU_UAU", 0.407859 },
    { "internal_nucleotides_GU_UU", -0.853481 },
    { "internal_nucleotides_G_", -0.724263 },
    { "internal_nucleotides_G_AAAGU", 0.36089 },
    { "internal_nucleotides_G_AAU", 0.156241 },
    { "internal_nucleotides_G_AAUU", 0.291997 },
    { "internal_nucleotides_G_AGAU", 3.79675 },
    { "internal_nucleotides_G_AGAUCU", 0.432008 },
    { "internal_nucleotides_G_AGCU", -0.0755047 },
    { "internal_nucleotides_G_AGU", -0.0970812 },
    { "internal_nucleotides_G_AU", -2.50159 },
    { "internal_nucleotides_G_AUAUU", 0.308954 },
    { "internal_nucleotides_G_CCUU", -0.0235046 },
    { "internal_nucleotides_G_CU", -0.369057 },
    { "internal_nucleotides_G_G", 0.14916 },
    { "internal_nucleotides_G_GAU", 0.286301 },
    { "internal_nucleotides_G_GCU", -0.133397 },
    { "internal_nucleotides_G_GGAU", 1.12987 },
    { "internal_nucleotides_G_GGU", -0.0152032 },
    { "internal_nucleotides_G_GU", -1.19176 },
    { "internal_nucleotides_G_GUU", -0.305476 },
    { "internal_nucleotides_G_N", 1.22655 },
    { "internal_nucleotides_G_U", 0.944505 },
    { "internal_nucleotides_G_UAAU", -0.047837 },
    { "internal_nucleotides_G_UCU", -0.0527655 },
    { "internal_nucleotides_G_UU", 0.743091 },
    { "internal_nucleotides_NA_AN", -0.305 },
    { "internal_nucleotides_N_U", 2.4468 },
    { "internal_nucleotides_UAAAA_", 11.6099 },
    { "internal_nucleotides_UAAAC_", -0.202171 },
    { "internal_nucleotides_UAAAG_", 8.309 },
    { "internal_nucleotides_UAAA_AU", 0.455653 },
    { "internal_nucleotides_UAAA_UAU", 7.0078 },
    { "internal_nucleotides_UAACA_U", -0.459007 },
    { "internal_nucleotides_UAAC_CUU", -0.0225046 },
    { "internal_nucleotides_UAAC_UU", 0.404728 },
    { "internal_nucleotides_UAAGA_", 0.0890478 },
    { "internal_nucleotides_UAAG_", -0.0489377 },
    { "internal_nucleotides_UAAG_UAU", 12.6612 },
    { "internal_nucleotides_UAAU_", -0.0334247 },
    { "internal_nucleotides_UAAU_AAU", -0.685894 },
    { "internal_nucleotides_UAAU_ACU", -0.398726 },
    { "internal_nucleotides_UAAU_UAU", 0.0557139 },
    { "internal_nucleotides_UAAU_UU", 0.507252 },
    { "internal_nucleotides_UAA_", -3.416 },
    { "internal_nucleotides_UAA_AAU", 0.139399 },
    { "internal_nucleotides_UAA_ACU", -0.13833 },
    { "internal_nucleotides_UAA_AU", 0.141035 },
    { "internal_nucleotides_UAA_CAU", -0.22716 },
    { "internal_nucleotides_UAA_CU", -0.261555 },
    { "internal_nucleotides_UACAAAA_", 0.241495 },
    { "internal_nucleotides_UACAUUU_", -0.441238 },
    { "internal_nucleotides_UACA_", 0.163228 },
    { "internal_nucleotides_UACA_GUU", 0.0664282 },
    { "internal_nucleotides_UACCAA_", -0.145897 },
    { "internal_nucleotides_UACC_UU", -0.156762 },
    { "internal_nucleotides_UACG_CCU", -0.866002 },
    { "internal_nucleotides_UACU_", -0.240998 },
    { "internal_nucleotides_UACU_AUU", 0.116053 },
    { "internal_nucleotides_UAC_", -0.248969 },
    { "internal_nucleotides_UAC_CAGU", 0.193196 },
    { "internal_nucleotides_UAC_CU", 0.0999257 },
    { "internal_nucleotides_UAC_GCU", -0.151189 },
    { "internal_nucleotides_UAC_U", -1.68789 },
    { "internal_nucleotides_UAGAAA_", 0.104201 },
    { "internal_nucleotides_UAGAA_", 4.94711 },
    { "internal_nucleotides_UAGACUA_", 0.345249 },
    { "internal_nucleotides_UAGAC_", 0.0877538 },
    { "internal_nucleotides_UAGAC_GU", 13.823 },
    { "internal_nucleotides_UAGAU_GU", 6.19562 },
    { "internal_nucleotides_UAGCUU_", -0.46246 },
    { "internal_nucleotides_UAGGA_", 7.02134 },
    { "internal_nucleotides_UAGGUG_", -0.210638 },
    { "internal_nucleotides_UAGGU_", 0.069884 },
    { "internal_nucleotides_UAGGU_U", 9.12271 },
    { "internal_nucleotides_UAGG_", 13.1252 },
    { "internal_nucleotides_UAGUAC_", -0.100242 },
    { "internal_nucleotides_UAGUA_", -4.67662 },
    { "internal_nucleotides_UAGUA_U", -0.196154 },
    { "internal_nucleotides_UAGUU_", -0.103306 },
    { "internal_nucleotides_UAGU_UGU", -0.152081 },
    { "internal_nucleotides_UAGU_UU", -0.0339882 },
    { "internal_nucleotides_UAG_", 5.1048 },
    { "internal_nucleotides_UAG_GGGU", 4.2742 },
    { "internal_nucleotides_UAG_U", -0.239631 },
    { "internal_nucleotides_UAG_UUAU", -0.216366 },
    { "internal_nucleotides_UAUAC_", -0.218687 },
    { "internal_nucleotides_UAUAGU_U", 0.221371 },
    { "internal_nucleotides_UAUA_", 0.0736787 },
    { "internal_nucleotides_UAUGUAA_", 0.0822873 },
    { "internal_nucleotides_UAUUA_", 0.229812 },
    { "internal_nucleotides_UAUUC_", -0.329002 },
    { "internal_nucleotides_UAUU_", -0.0449969 },
    { "internal_nucleotides_UAUU_CUU", 15.4386 },
    { "internal_nucleotides_UAUU_U", -0.181238 },
    { "internal_nucleotides_UAU_", 0.190514 },
    { "internal_nucleotides_UAU_CU", -0.0589968 },
    { "internal_nucleotides_UAU_U", -0.884508 },
    { "internal_nucleotides_UAU_UGU", -0.0404443 },
    { "internal_nucleotides_UAU_UU", -0.334692 },
    { "internal_nucleotides_UAU_UUU", 0.0769551 },
    { "internal_nucleotides_UA_", 0.716193 },
    { "internal_nucleotides_UA_GACU", 3.44835 },
    { "internal_nucleotides_UA_GAUU", 0.355551 },
    { "internal_nucleotides_UA_U", 0.36247 },
    { "internal_nucleotides_UA_UCU", 1.21888 },
    { "internal_nucleotides_UA_UUU", -0.322901 },
    { "internal_nucleotides_UCAAA_", 0.994956 },
    { "internal_nucleotides_UCAAA_CU", -0.12835 },
    { "internal_nucleotides_UCAA_", 6.37264 },
    { "internal_nucleotides_UCACA_", -0.285294 },
    { "internal_nucleotides_UCAGC_U", 0.0963299 },
    { "internal_nucleotides_UCAG_CU", 0.042038 },
    { "internal_nucleotides_UCAUA_", -0.348106 },
    { "internal_nucleotides_UCA_", -2.17803 },
    { "internal_nucleotides_UCA_AAUU", -0.0770754 },
    { "internal_nucleotides_UCA_U", -0.23541 },
    { "internal_nucleotides_UCA_UUCU", -0.0883337 },
    { "internal_nucleotides_UCA_UUU", 0.101463 },
    { "internal_nucleotides_UCCA_", -0.265641 },
    { "internal_nucleotides_UCCG_", 0.0317248 },
    { "internal_nucleotides_UCCUAGC_", -0.577002 },
    { "internal_nucleotides_UCCUC_GU", -0.00150463 },
    { "internal_nucleotides_UCCU_U", -0.28797 },
    { "internal_nucleotides_UCC_", -0.562051 },
    { "internal_nucleotides_UCC_GUCU", -0.371634 },
    { "internal_nucleotides_UCC_U", -0.132295 },
    { "internal_nucleotides_UCC_UUU", -0.10304 },
    { "internal_nucleotides_UCGAUA_", -0.0290688 },
    { "internal_nucleotides_UCGA_", -0.211314 },
    { "internal_nucleotides_UCGA_U", -0.0714181 },
    { "internal_nucleotides_UCGCAA_", -0.462 },
    { "internal_nucleotides_UCGG_", 0.160997 },
    { "internal_nucleotides_UCG_", -0.784084 },
    { "internal_nucleotides_UCG_U", -0.13833 },
    { "internal_nucleotides_UCUAU_U", -0.468109 },
    { "internal_nucleotides_UCUA_", -0.0465102 },
    { "internal_nucleotides_UCUCUC_", -0.251379 },
    { "internal_nucleotides_UCUUGGU_", -0.186504 },
    { "internal_nucleotides_UCUU_AGU", 0.279508 },
    { "internal_nucleotides_UCUU_CUU", 0.198273 },
    { "internal_nucleotides_UCU_", -0.446179 },
    { "internal_nucleotides_UCU_AUU", 2.35192 },
    { "internal_nucleotides_UCU_CU", -0.208402 },
    { "internal_nucleotides_UCU_U", -0.0550077 },
    { "internal_nucleotides_UCU_UU", -0.00533752 },
    { "internal_nucleotides_UCU_UUU", 13.5165 },
    { "internal_nucleotides_UC_", -1.59884 },
    { "internal_nucleotides_UC_CU", 0.0885896 },
    { "internal_nucleotides_UC_GAUU", 8.45673 },
    { "internal_nucleotides_UC_GU", -0.320259 },
    { "internal_nucleotides_UC_U", 1.53108 },
    { "internal_nucleotides_UC_UU", 2.32991 },
    { "internal_nucleotides_UC_UUGU", -0.0289208 },
    { "internal_nucleotides_UGAAUA_", -0.189504 },
    { "internal_nucleotides_UGAA_", 0.0707723 },
    { "internal_nucleotides_UGAC_", -0.0884398 },
    { "internal_nucleotides_UGAGAA_", 0.399546 },
    { "internal_nucleotides_UGAG_", 0.0773979 },
    { "internal_nucleotides_UGAUA_", 0.111942 },
    { "internal_nucleotides_UGAU_", -0.243906 },
    { "internal_nucleotides_UGAU_UU", -0.330333 },
    { "internal_nucleotides_UGA_", -1.26818 },
    { "internal_nucleotides_UGA_U", -0.949146 },
    { "internal_nucleotides_UGCAGCA_", -0.194566 },
    { "internal_nucleotides_UGCCAGC_", -0.130108 },
    { "internal_nucleotides_UGCUA_", -0.838002 },
    { "internal_nucleotides_UGC_", 2.69046 },
    { "internal_nucleotides_UGC_U", 0.312202 },
    { "internal_nucleotides_UGC_UU", -0.40546 },
    { "internal_nucleotides_UGGA_UGU", -0.154757 },
    { "internal_nucleotides_UGGCGU_", -0.340502 },
    { "internal_nucleotides_UGGGU_", -0.0542699 },
    { "internal_nucleotides_UGGG_", -0.373807 },
    { "internal_nucleotides_UGG_", -0.350488 },
    { "internal_nucleotides_UGG_U", -0.195931 },
    { "internal_nucleotides_UGG_UGU", -0.439586 },
    { "internal_nucleotides_UGUAU_", -0.506006 },
    { "internal_nucleotides_UGUA_", -0.50993 },
    { "internal_nucleotides_UGUGG_", -0.338093 },
    { "internal_nucleotides_UGUUGCC_", 0.410095 },
    { "internal_nucleotides_UGUUU_UU", -0.128328 },
    { "internal_nucleotides_UGUU_CUU", 0.349608 },
    { "internal_nucleotides_UGU_", -0.107241 },
    { "internal_nucleotides_UGU_GUU", 0.120088 },
    { "internal_nucleotides_UGU_U", -1.85458 },
    { "internal_nucleotides_UGU_UUU", -0.45952 },
    { "internal_nucleotides_UG_", -2.13013 },
    { "internal_nucleotides_UG_U", -2.07685 },
    { "internal_nucleotides_UG_UU", 0.315522 },
    { "internal_nucleotides_UUAAAAA_", 0.280871 },
    { "internal_nucleotides_UUAAA_", 13.4063 },
    { "internal_nucleotides_UUAA_U", -0.355752 },
    { "internal_nucleotides_UUAGA_", -0.280332 },
    { "internal_nucleotides_UUAGU_", -0.240176 },
    { "internal_nucleotides_UUAUA_", 0.572693 },
    { "internal_nucleotides_UUAU_U", -0.108283 },
    { "internal_nucleotides_UUA_", -3.18506 },
    { "internal_nucleotides_UUA_U", -0.379773 },
    { "internal_nucleotides_UUA_UU", 0.267699 },
    { "internal_nucleotides_UUCAAGU_", -0.179004 },
    { "internal_nucleotides_UUCA_", 0.152308 },
    { "internal_nucleotides_UUCCA_", -0.65911 },
    { "internal_nucleotides_UUCGA_", 0.294343 },
    { "internal_nucleotides_UUCG_", 9.16357 },
    { "internal_nucleotides_UUCU_GUU", 0.087668 },
    { "internal_nucleotides_UUCU_UU", -0.461 },
    { "internal_nucleotides_UUC_", -0.117456 },
    { "internal_nucleotides_UUC_U", -0.0175881 },
    { "internal_nucleotides_UUC_UUU", -0.0464918 },
    { "internal_nucleotides_UUGAA_U", -0.419735 },
    { "internal_nucleotides_UUGACU_", -0.838002 },
    { "internal_nucleotides_UUGA_", -0.201216 },
    { "internal_nucleotides_UUGA_U", -0.232332 },
    { "internal_nucleotides_UUGCA_", -0.430775 },
    { "internal_nucleotides_UUGG_", 1.87763 },
    { "internal_nucleotides_UUGUAA_", -0.224117 },
    { "internal_nucleotides_UUGU_", 0.294605 },
    { "internal_nucleotides_UUG_", -0.740118 },
    { "internal_nucleotides_UUG_U", -1.81791 },
    { "internal_nucleotides_UUUAU_", -0.374318 },
    { "internal_nucleotides_UUUA_U", 0.0954072 },
    { "internal_nucleotides_UUUCCA_", -0.820793 },
    { "internal_nucleotides_UUUG_", 10.0162 },
    { "internal_nucleotides_UUUUC_U", -0.11755 },
    { "internal_nucleotides_UUUUUC_U", -0.10107 },
    { "internal_nucleotides_UUUU_UUU", -0.0438776 },
    { "internal_nucleotides_UUU_", -0.227844 },
    { "internal_nucleotides_UUU_U", -1.25501 },
    { "internal_nucleotides_UUU_UU", 0.209194 },
    { "internal_nucleotides_UUU_UUU", 1.88171 },
    { "internal_nucleotides_UU_", -2.7386 },
    { "internal_nucleotides_UU_U", -1.66577 },
    { "internal_nucleotides_UU_UU", 5.25394 },
    { "internal_nucleotides_U_", -0.560177 },
    { "internal_nucleotides_U_U", -0.396478 },
    { "internal_symmetric_length_at_least_0", 0.516694 },
    { "internal_symmetric_length_at_least_1", 0.516694 },
    { "internal_symmetric_length_at_least_10", -0.200983 },
    { "internal_symmetric_length_at_least_11", -0.650976 },
    { "internal_symmetric_length_at_least_12", -0.0339467 },
    { "internal_symmetric_length_at_least_13", -0.0458405 },
    { "internal_symmetric_length_at_least_14", -0.0545592 },
    { "internal_symmetric_length_at_least_2", 0.210473 },
    { "internal_symmetric_length_at_least_3", 0.0222533 },
    { "internal_symmetric_length_at_least_4", 0.112711 },
    { "internal_symmetric_length_at_least_5", -1.3352 },
    { "internal_symmetric_length_at_least_6", -2.46503 },
    { "internal_symmetric_length_at_least_7", -0.737486 },
    { "internal_symmetric_length_at_least_8", 1.28076 },
    { "internal_symmetric_length_at_least_9", -0.300429 },
    { "isolated_base_pair", -0.281895 },
    { "multi_base", -5.41245 },
    { "multi_paired", 1.88368 },
    { "multi_unpaired", -0.185838 },
    { "terminal_mismatch_AUAA", -2.60496 },
    { "terminal_mismatch_AUAC", -2.21803 },
    { "terminal_mismatch_AUAG", -3.385 },
    { "terminal_mismatch_AUAN", -0.136924 },
    { "terminal_mismatch_AUAU", 0.831406 },
    { "terminal_mismatch_AUCA", -1.2098 },
    { "terminal_mismatch_AUCC", -1.154 },
    { "terminal_mismatch_AUCG", 3.56207 },
    { "terminal_mismatch_AUCU", -1.84343 },
    { "terminal_mismatch_AUGA", 0.480098 },
    { "terminal_mismatch_AUGC", 4.4028 },
    { "terminal_mismatch_AUGG", -2.22314 },
    { "terminal_mismatch_AUGU", -1.01647 },
    { "terminal_mismatch_AUNA", -0.205631 },
    { "terminal_mismatch_AUNG", 0.130916 },
    { "terminal_mismatch_AUUA", 4.04315 },
    { "terminal_mismatch_AUUC", -0.388484 },
    { "terminal_mismatch_AUUG", 1.81275 },
    { "terminal_mismatch_AUUU", 0.00910098 },
    { "terminal_mismatch_CGAA", -0.819996 },
    { "terminal_mismatch_CGAC", -1.54759 },
    { "terminal_mismatch_CGAG", -2.87857 },
    { "terminal_mismatch_CGAN", -0.328957 },
    { "terminal_mismatch_CGAU", 2.96426 },
    { "terminal_mismatch_CGCA", -0.252364 },
    { "terminal_mismatch_CGCC", -1.67851 },
    { "terminal_mismatch_CGCG", 6.78744 },
    { "terminal_mismatch_CGCN", 3.02663 },
    { "terminal_mismatch_CGCU", -1.60414 },
    { "terminal_mismatch_CGGA", 2.92403 },
    { "terminal_mismatch_CGGC", 3.95901 },
    { "terminal_mismatch_CGGG", -2.71958 },
    { "terminal_mismatch_CGGU", -1.56653 },
    { "terminal_mismatch_CGNA", 0.0944903 },
    { "terminal_mismatch_CGNC", 0.235719 },
    { "terminal_mismatch_CGUA", 4.39387 },
    { "terminal_mismatch_CGUC", -1.02905 },
    { "terminal_mismatch_CGUG", 2.8799 },
    { "terminal_mismatch_CGUN", 1.18697 },
    { "terminal_mismatch_CGUU", -0.472559 },
    { "terminal_mismatch_GCAA", -2.43088 },
    { "terminal_mismatch_GCAC", -2.26937 },
    { "terminal_mismatch_GCAG", -1.97966 },
    { "terminal_mismatch_GCAN", -2.48564 },
    { "terminal_mismatch_GCAU", 1.16739 },
    { "terminal_mismatch_GCCA", -1.92536 },
    { "terminal_mismatch_GCCC", -3.0276 },
    { "terminal_mismatch_GCCG", 4.54933 },
    { "terminal_mismatch_GCCU", -3.93264 },
    { "terminal_mismatch_GCGA", 0.547015 },
    { "terminal_mismatch_GCGC", 2.60448 },
    { "terminal_mismatch_GCGG", -1.54191 },
    { "terminal_mismatch_GCGN", -0.0829714 },
    { "terminal_mismatch_GCGU", -0.0950173 },
    { "terminal_mismatch_GCNC", 0.136924 },
    { "terminal_mismatch_GCNG", 0.595804 },
    { "terminal_mismatch_GCNU", 0.181659 },
    { "terminal_mismatch_GCUA", 3.13635 },
    { "terminal_mismatch_GCUC", 0.537013 },
    { "terminal_mismatch_GCUG", 3.68325 },
    { "terminal_mismatch_GCUU", 1.64385 },
    { "terminal_mismatch_GUAA", -0.0291523 },
    { "terminal_mismatch_GUAC", -0.994677 },
    { "terminal_mismatch_GUAG", -0.447187 },
    { "terminal_mismatch_GUAN", 0.136924 },
    { "terminal_mismatch_GUAU", -0.0698749 },
    { "terminal_mismatch_GUCA", 0.880149 },
    { "terminal_mismatch_GUCC", 1.36987 },
    { "terminal_mismatch_GUCG", 4.60926 },
    { "terminal_mismatch_GUCU", -1.49469 },
    { "terminal_mismatch_GUGA", -1.06922 },
    { "terminal_mismatch_GUGC", 3.38809 },
    { "terminal_mismatch_GUGG", 0.281647 },
    { "terminal_mismatch_GUGU", 2.39184 },
    { "terminal_mismatch_GUNA", -0.257775 },
    { "terminal_mismatch_GUUA", 3.08223 },
    { "terminal_mismatch_GUUC", 0.192651 },
    { "terminal_mismatch_GUUG", -0.654536 },
    { "terminal_mismatch_GUUU", 0.00892213 },
    { "terminal_mismatch_UAAA", -1.04206 },
    { "terminal_mismatch_UAAC", -1.51385 },
    { "terminal_mismatch_UAAG", -1.01867 },
    { "terminal_mismatch_UAAU", 3.9745 },
    { "terminal_mismatch_UACA", -1.60786 },
    { "terminal_mismatch_UACC", -1.0359 },
    { "terminal_mismatch_UACG", 3.75832 },
    { "terminal_mismatch_UACU", -0.73836 },
    { "terminal_mismatch_UAGA", -0.0624839 },
    { "terminal_mismatch_UAGC", 4.83294 },
    { "terminal_mismatch_UAGG", -1.66554 },
    { "terminal_mismatch_UAGU", -0.707941 },
    { "terminal_mismatch_UANA", -0.137873 },
    { "terminal_mismatch_UAUA", 2.59153 },
    { "terminal_mismatch_UAUC", -0.338839 },
    { "terminal_mismatch_UAUG", 0.480409 },
    { "terminal_mismatch_UAUN", 0.139047 },
    { "terminal_mismatch_UAUU", 0.438953 },
    { "terminal_mismatch_UGAA", 0.454415 },
    { "terminal_mismatch_UGAC", 0.492308 },
    { "terminal_mismatch_UGAG", -0.459903 },
    { "terminal_mismatch_UGAU", 1.11407 },
    { "terminal_mismatch_UGCA", 1.09322 },
    { "terminal_mismatch_UGCC", -0.904243 },
    { "terminal_mismatch_UGCG", 5.56278 },
    { "terminal_mismatch_UGCN", 0.136924 },
    { "terminal_mismatch_UGCU", -0.866077 },
    { "terminal_mismatch_UGGA", 2.55702 },
    { "terminal_mismatch_UGGC", 2.01343 },
    { "terminal_mismatch_UGGG", 0.113648 },
    { "terminal_mismatch_UGGU", 2.1798 },
    { "terminal_mismatch_UGUA", 1.40677 },
    { "terminal_mismatch_UGUC", 0.578966 },
    { "terminal_mismatch_UGUG", 2.14467 },
    { "terminal_mismatch_UGUN", -0.132017 },
    { "terminal_mismatch_UGUU", 0.802761 }
  });

std::unordered_map<std::string, param_value_type> default_params_noncomplementary(
  {
    // imported from "contrafold.params.noncomplementary" in CONTRafold v2.02
    { "base_pair_AA", -1.455381052 },
    { "base_pair_AC", -1.681172954 },
    { "base_pair_AG", -1.47494575 },
    { "base_pair_AU", -0.08766530555 },
    { "base_pair_CC", -1.452235075 },
    { "base_pair_CG", 0.840264982 },
    { "base_pair_CU", -1.745991973 },
    { "base_pair_GG", -1.303406306 },
    { "base_pair_GU", -0.3219267076 },
    { "base_pair_UU", -1.119676882 },
    { "terminal_mismatch_AAAA", 0.03548650731 },
    { "terminal_mismatch_AAAC", -0.1530635317 },
    { "terminal_mismatch_AAAG", -0.1376895893 },
    { "terminal_mismatch_AAAU", -0.09760810471 },
    { "terminal_mismatch_AACA", -0.09015626933 },
    { "terminal_mismatch_AACC", -0.01734775691 },
    { "terminal_mismatch_AACG", -0.05119129104 },
    { "terminal_mismatch_AACU", -0.02762762058 },
    { "terminal_mismatch_AAGA", 0.1157343804 },
    { "terminal_mismatch_AAGC", 0.04805456983 },
    { "terminal_mismatch_AAGG", -0.1768981931 },
    { "terminal_mismatch_AAGU", -0.04130010973 },
    { "terminal_mismatch_AAUA", -0.05642123443 },
    { "terminal_mismatch_AAUC", 0.04026275765 },
    { "terminal_mismatch_AAUG", -0.113140336 },
    { "terminal_mismatch_AAUU", 0.2857400342 },
    { "terminal_mismatch_ACAA", -0.03174949786 },
    { "terminal_mismatch_ACAC", -0.05584099215 },
    { "terminal_mismatch_ACAG", -0.1095104674 },
    { "terminal_mismatch_ACAU", 0.0788614779 },
    { "terminal_mismatch_ACCA", 0.2040702031 },
    { "terminal_mismatch_ACCC", 0.02426094662 },
    { "terminal_mismatch_ACCG", -0.06732210613 },
    { "terminal_mismatch_ACCU", -0.03376257973 },
    { "terminal_mismatch_ACGA", 0.01447581865 },
    { "terminal_mismatch_ACGC", -0.01816554143 },
    { "terminal_mismatch_ACGG", -0.01232449334 },
    { "terminal_mismatch_ACGU", 0.02205380402 },
    { "terminal_mismatch_ACUA", -0.09543463449 },
    { "terminal_mismatch_ACUC", 0.02494558334 },
    { "terminal_mismatch_ACUG", -0.05188159098 },
    { "terminal_mismatch_ACUU", -0.09276149434 },
    { "terminal_mismatch_AGAA", -0.08482318485 },
    { "terminal_mismatch_AGAC", -0.0794464582 },
    { "terminal_mismatch_AGAG", -0.1037895444 },
    { "terminal_mismatch_AGAU", -0.09496046339 },
    { "terminal_mismatch_AGCA", -0.04202348127 },
    { "terminal_mismatch_AGCC", 0.04341317385 },
    { "terminal_mismatch_AGCG", 0.2132451101 },
    { "terminal_mismatch_AGCU", 0.1819992194 },
    { "terminal_mismatch_AGGA", -0.1623879358 },
    { "terminal_mismatch_AGGC", -0.08883186313 },
    { "terminal_mismatch_AGGG", -0.08290758092 },
    { "terminal_mismatch_AGGU", 0.05949558674 },
    { "terminal_mismatch_AGUA", -0.06117321899 },
    { "terminal_mismatch_AGUC", -0.06128521785 },
    { "terminal_mismatch_AGUG", -0.1054431644 },
    { "terminal_mismatch_AGUU", 0.06949356391 },
    { "terminal_mismatch_AUAA", -0.00458510664 },
    { "terminal_mismatch_AUAC", -0.07878887429 },
    { "terminal_mismatch_AUAG", -0.02619268423 },
    { "terminal_mismatch_AUAU", -0.3376671294 },
    { "terminal_mismatch_AUCA", 0.1407209183 },
    { "terminal_mismatch_AUCC", 0.1963991331 },
    { "terminal_mismatch_AUCG", 0.09828889449 },
    { "terminal_mismatch_AUCU", -0.3588639465 },
    { "terminal_mismatch_AUGA", 0.4005052091 },
    { "terminal_mismatch_AUGC", 0.01781958322 },
    { "terminal_mismatch_AUGG", 0.04946655024 },
    { "terminal_mismatch_AUGU", -0.28478324 },
    { "terminal_mismatch_AUUA", 0.008263168506 },
    { "terminal_mismatch_AUUC", 0.1196292682 },
    { "terminal_mismatch_AUUG", -0.1635291659 },
    { "terminal_mismatch_AUUU", 0.2247224398 },
    { "terminal_mismatch_CAAA", -0.1898713443 },
    { "terminal_mismatch_CAAC", -0.03335667292 },
    { "terminal_mismatch_CAAG", 0.08723167906 },
    { "terminal_mismatch_CAAU", -0.07172816945 },
    { "terminal_mismatch_CACA", -0.02198504015 },
    { "terminal_mismatch_CACC", -0.05537866644 },
    { "terminal_mismatch_CACG", -0.09701470969 },
    { "terminal_mismatch_CACU", -0.0890545223 },
    { "terminal_mismatch_CAGA", 0.1678518209 },
    { "terminal_mismatch_CAGC", -0.06352318718 },
    { "terminal_mismatch_CAGG", 0.0618238264 },
    { "terminal_mismatch_CAGU", -0.04902670029 },
    { "terminal_mismatch_CAUA", -0.06131882561 },
    { "terminal_mismatch_CAUC", -0.0792933062 },
    { "terminal_mismatch_CAUG", -0.1723035626 },
    { "terminal_mismatch_CAUU", 0.1880000212 },
    { "terminal_mismatch_CCAA", -0.0017250768 },
    { "terminal_mismatch_CCAC", -0.1354308286 },
    { "terminal_mismatch_CCAG", 0.1624126758 },
    { "terminal_mismatch_CCAU", -0.06927944251 },
    { "terminal_mismatch_CCCA", -0.153728639 },
    { "terminal_mismatch_CCCC", -0.0734554444 },
    { "terminal_mismatch_CCCG", 0.006861414241 },
    { "terminal_mismatch_CCCU", -0.07739617052 },
    { "terminal_mismatch_CCGA", 0.1364828673 },
    { "terminal_mismatch_CCGC", -0.0516673223 },
    { "terminal_mismatch_CCGG", 0.2693659476 },
    { "terminal_mismatch_CCGU", 0.1065688311 },
    { "terminal_mismatch_CCUA", -0.102127533 },
    { "terminal_mismatch_CCUC", -0.04706919179 },
    { "terminal_mismatch_CCUG", 0.04531457991 },
    { "terminal_mismatch_CCUU", -0.1436397983 },
    { "terminal_mismatch_CGAA", 0.3029696819 },
    { "terminal_mismatch_CGAC", -0.09414037153 },
    { "terminal_mismatch_CGAG", -0.1515946813 },
    { "terminal_mismatch_CGAU", -0.2189502915 },
    { "terminal_mismatch_CGCA", 0.2069876839 },
    { "terminal_mismatch_CGCC", 0.02945773892 },
    { "terminal_mismatch_CGCG", 0.1520809123 },
    { "terminal_mismatch_CGCU", 0.2517091925 },
    { "terminal_mismatch_CGGA", 0.4215461402 },
    { "terminal_mismatch_CGGC", -0.3878585773 },
    { "terminal_mismatch_CGGG", 0.1308663325 },
    { "terminal_mismatch_CGGU", -0.4961206727 },
    { "terminal_mismatch_CGUA", -0.2549457084 },
    { "terminal_mismatch_CGUC", -0.1386448896 },
    { "terminal_mismatch_CGUG", -0.1523039446 },
    { "terminal_mismatch_CGUU", 0.08793909966 },
    { "terminal_mismatch_CUAA", 0.06387837984 },
    { "terminal_mismatch_CUAC", -0.07812174584 },
    { "terminal_mismatch_CUAG", 0.1052978704 },
    { "terminal_mismatch_CUAU", -0.0824793182 },
    { "terminal_mismatch_CUCA", -0.07458530212 },
    { "terminal_mismatch_CUCC", -0.1149551661 },
    { "terminal_mismatch_CUCG", -0.07463817896 },
    { "terminal_mismatch_CUCU", 0.003704199146 },
    { "terminal_mismatch_CUGA", -0.05614849468 },
    { "terminal_mismatch_CUGC", -0.07976137157 },
    { "terminal_mismatch_CUGG", 0.05290883652 },
    { "terminal_mismatch_CUGU", -0.09613211571 },
    { "terminal_mismatch_CUUA", 0.1260507476 },
    { "terminal_mismatch_CUUC", 0.05963271555 },
    { "terminal_mismatch_CUUG", 0.03250637507 },
    { "terminal_mismatch_CUUU", -0.05500743975 },
    { "terminal_mismatch_GAAA", 0.3319532212 },
    { "terminal_mismatch_GAAC", -0.02325408406 },
    { "terminal_mismatch_GAAG", -0.07888481876 },
    { "terminal_mismatch_GAAU", -0.0491212286 },
    { "terminal_mismatch_GACA", -0.1480164013 },
    { "terminal_mismatch_GACC", 0.09719881598 },
    { "terminal_mismatch_GACG", -0.08194170058 },
    { "terminal_mismatch_GACU", -0.03071808267 },
    { "terminal_mismatch_GAGA", 0.1596878404 },
    { "terminal_mismatch_GAGC", -0.03130712334 },
    { "terminal_mismatch_GAGG", -0.1694026596 },
    { "terminal_mismatch_GAGU", -0.02930651499 },
    { "terminal_mismatch_GAUA", -0.0635010819 },
    { "terminal_mismatch_GAUC", -0.02132569977 },
    { "terminal_mismatch_GAUG", 0.003164806792 },
    { "terminal_mismatch_GAUU", 0.04144462938 },
    { "terminal_mismatch_GCAA", -0.01074565221 },
    { "terminal_mismatch_GCAC", -0.2344372673 },
    { "terminal_mismatch_GCAG", 0.123536825 },
    { "terminal_mismatch_GCAU", -0.3240115044 },
    { "terminal_mismatch_GCCA", -0.2463240629 },
    { "terminal_mismatch_GCCC", 0.08129935832 },
    { "terminal_mismatch_GCCG", -0.3418477741 },
    { "terminal_mismatch_GCCU", 0.1141264232 },
    { "terminal_mismatch_GCGA", 0.4502405743 },
    { "terminal_mismatch_GCGC", -0.1295241897 },
    { "terminal_mismatch_GCGG", 0.197683769 },
    { "terminal_mismatch_GCGU", -0.5725821693 },
    { "terminal_mismatch_GCUA", -0.2527075422 },
    { "terminal_mismatch_GCUC", 0.1861584031 },
    { "terminal_mismatch_GCUG", 0.1973216517 },
    { "terminal_mismatch_GCUU", 0.5585036196 },
    { "terminal_mismatch_GGAA", -0.04470277309 },
    { "terminal_mismatch_GGAC", -0.01724329831 },
    { "terminal_mismatch_GGAG", -0.1217482982 },
    { "terminal_mismatch_GGAU", -0.1684999018 },
    { "terminal_mismatch_GGCA", 0.02801781956 },
    { "terminal_mismatch_GGCC", -0.01674223925 },
    { "terminal_mismatch_GGCG", -0.03504232734 },
    { "terminal_mismatch_GGCU", -0.03276120569 },
    { "terminal_mismatch_GGGA", -0.0133016361 },
    { "terminal_mismatch_GGGC", 0.01047297248 },
    { "terminal_mismatch_GGGG", 0.3582150361 },
    { "terminal_mismatch_GGGU", -0.03010618888 },
    { "terminal_mismatch_GGUA", -0.1529902536 },
    { "terminal_mismatch_GGUC", -0.07708990024 },
    { "terminal_mismatch_GGUG", -0.02019770319 },
    { "terminal_mismatch_GGUU", 0.05855880277 },
    { "terminal_mismatch_GUAA", -0.08257997955 },
    { "terminal_mismatch_GUAC", 0.1861922864 },
    { "terminal_mismatch_GUAG", 0.03008963566 },
    { "terminal_mismatch_GUAU", -0.3405347249 },
    { "terminal_mismatch_GUCA", 0.3747115441 },
    { "terminal_mismatch_GUCC", 0.192335074 },
    { "terminal_mismatch_GUCG", -0.1968330458 },
    { "terminal_mismatch_GUCU", 0.07064619539 },
    { "terminal_mismatch_GUGA", -0.1505860398 },
    { "terminal_mismatch_GUGC", -0.131095968 },
    { "terminal_mismatch_GUGG", 0.06882613182 },
    { "terminal_mismatch_GUGU", -0.03101679698 },
    { "terminal_mismatch_GUUA", -0.08824004968 },
    { "terminal_mismatch_GUUC", 0.1283837462 },
    { "terminal_mismatch_GUUG", -0.138559096 },
    { "terminal_mismatch_GUUU", -0.0300234821 },
    { "terminal_mismatch_UAAA", 0.02283082369 },
    { "terminal_mismatch_UAAC", -0.1983025729 },
    { "terminal_mismatch_UAAG", 0.09746999761 },
    { "terminal_mismatch_UAAU", -0.1433175754 },
    { "terminal_mismatch_UACA", 0.1996635373 },
    { "terminal_mismatch_UACC", 0.1225010573 },
    { "terminal_mismatch_UACG", 0.2514404349 },
    { "terminal_mismatch_UACU", -0.04351517952 },
    { "terminal_mismatch_UAGA", 0.2185566232 },
    { "terminal_mismatch_UAGC", -0.006725144059 },
    { "terminal_mismatch_UAGG", -0.04907016091 },
    { "terminal_mismatch_UAGU", -0.2602507314 },
    { "terminal_mismatch_UAUA", 0.02185572153 },
    { "terminal_mismatch_UAUC", 0.1683684793 },
    { "terminal_mismatch_UAUG", -0.197115384 },
    { "terminal_mismatch_UAUU", 0.09991604638 },
    { "terminal_mismatch_UCAA", 0.04754397008 },
    { "terminal_mismatch_UCAC", -0.1076421324 },
    { "terminal_mismatch_UCAG", 0.000546295272 },
    { "terminal_mismatch_UCAU", -0.09075003872 },
    { "terminal_mismatch_UCCA", -0.009929594847 },
    { "terminal_mismatch_UCCC", 0.08625049436 },
    { "terminal_mismatch_UCCG", 0.01016387199 },
    { "terminal_mismatch_UCCU", -0.03884690353 },
    { "terminal_mismatch_UCGA", 0.07937791677 },
    { "terminal_mismatch_UCGC", 0.0733326335 },
    { "terminal_mismatch_UCGG", -0.05794509908 },
    { "terminal_mismatch_UCGU", -0.06967546609 },
    { "terminal_mismatch_UCUA", -0.01744925571 },
    { "terminal_mismatch_UCUC", -0.154353948 },
    { "terminal_mismatch_UCUG", -0.09646566966 },
    { "terminal_mismatch_UCUU", 0.1799949698 },
    { "terminal_mismatch_UGAA", 0.2216946906 },
    { "terminal_mismatch_UGAC", 0.2816462956 },
    { "terminal_mismatch_UGAG", 0.3821923258 },
    { "terminal_mismatch_UGAU", -0.1799939484 },
    { "terminal_mismatch_UGCA", -0.02591640495 },
    { "terminal_mismatch_UGCC", 0.09656780653 },
    { "terminal_mismatch_UGCG", 0.1574431837 },
    { "terminal_mismatch_UGCU", -0.1959233487 },
    { "terminal_mismatch_UGGA", 0.4898105659 },
    { "terminal_mismatch_UGGC", -0.3450962473 },
    { "terminal_mismatch_UGGG", -0.01842665281 },
    { "terminal_mismatch_UGGU", -0.3829115707 },
    { "terminal_mismatch_UGUA", -0.3351997341 },
    { "terminal_mismatch_UGUC", 0.1524349141 },
    { "terminal_mismatch_UGUG", -0.1513850177 },
    { "terminal_mismatch_UGUU", 0.04317792483 },
    { "terminal_mismatch_UUAA", 0.02769865739 },
    { "terminal_mismatch_UUAC", -0.09165961571 },
    { "terminal_mismatch_UUAG", 0.06675012635 },
    { "terminal_mismatch_UUAU", -0.1342800896 },
    { "terminal_mismatch_UUCA", -0.02187885406 },
    { "terminal_mismatch_UUCC", -0.09522061904 },
    { "terminal_mismatch_UUCG", -0.02018630332 },
    { "terminal_mismatch_UUCU", -0.06427815389 },
    { "terminal_mismatch_UUGA", 0.1835869429 },
    { "terminal_mismatch_UUGC", -0.04369228327 },
    { "terminal_mismatch_UUGG", 0.08954340923 },
    { "terminal_mismatch_UUGU", -0.03453485593 },
    { "terminal_mismatch_UUUA", 0.00588187155 },
    { "terminal_mismatch_UUUC", -0.05924264311 },
    { "terminal_mismatch_UUUG", -0.09576486096 },
    { "terminal_mismatch_UUUU", 0.09512802721 },
    { "hairpin_length_at_least_0", -7.001893834 },
    { "hairpin_length_at_least_1", -0.810882712 },
    { "hairpin_length_at_least_2", 0.9459053555 },
    { "hairpin_length_at_least_3", 1.943166338 },
    { "hairpin_length_at_least_4", 0.9552748326 },
    { "hairpin_length_at_least_5", -0.3580276865 },
    { "hairpin_length_at_least_6", -0.09582316887 },
    { "hairpin_length_at_least_7", -0.09645793924 },
    { "hairpin_length_at_least_8", -0.2889275791 },
    { "hairpin_length_at_least_9", -0.2894783109 },
    { "hairpin_length_at_least_10", 0.1273574641 },
    { "hairpin_length_at_least_11", -0.2948182011 },
    { "hairpin_length_at_least_12", -0.7491577273 },
    { "hairpin_length_at_least_13", 0.04397809432 },
    { "hairpin_length_at_least_14", -0.1619802369 },
    { "hairpin_length_at_least_15", -0.1588823981 },
    { "hairpin_length_at_least_16", -0.04186935212 },
    { "hairpin_length_at_least_17", 0.1708840763 },
    { "hairpin_length_at_least_18", 0.156566303 },
    { "hairpin_length_at_least_19", -0.5294077573 },
    { "hairpin_length_at_least_20", 0.03758501541 },
    { "hairpin_length_at_least_21", -0.1840024096 },
    { "hairpin_length_at_least_22", -0.4869328207 },
    { "hairpin_length_at_least_23", -0.2177204558 },
    { "hairpin_length_at_least_24", -0.0871135986 },
    { "hairpin_length_at_least_25", -0.2041734367 },
    { "hairpin_length_at_least_26", -0.2576012642 },
    { "hairpin_length_at_least_27", -0.1732091363 },
    { "hairpin_length_at_least_28", 0.003030468289 },
    { "hairpin_length_at_least_29", 0.1243949244 },
    { "hairpin_length_at_least_30", 0.332670531 },
    { "internal_explicit_1_1", 0.0303202931 },
    { "internal_explicit_1_2", -0.1078180662 },
    { "internal_explicit_1_3", 0.02032624142 },
    { "internal_explicit_1_4", -0.0583460487 },
    { "internal_explicit_2_2", -0.05045983481 },
    { "internal_explicit_2_3", 0.06753030947 },
    { "internal_explicit_2_4", 0.09555257267 },
    { "internal_explicit_3_3", 0.08245934476 },
    { "internal_explicit_3_4", 0.1746772079 },
    { "internal_explicit_4_4", -0.06004526272 },
    { "bulge_length_at_least_1", -1.089067125 },
    { "bulge_length_at_least_2", -1.456312872 },
    { "bulge_length_at_least_3", -0.8642668045 },
    { "bulge_length_at_least_4", -0.7684476691 },
    { "bulge_length_at_least_5", -0.7987608753 },
    { "bulge_length_at_least_6", -0.4559018916 },
    { "bulge_length_at_least_7", 0.1718975607 },
    { "bulge_length_at_least_8", 0.1122889416 },
    { "bulge_length_at_least_9", -0.009052840127 },
    { "bulge_length_at_least_10", -0.3528021103 },
    { "bulge_length_at_least_11", -0.6210992298 },
    { "bulge_length_at_least_12", -0.4667844678 },
    { "bulge_length_at_least_13", -0.3545731643 },
    { "bulge_length_at_least_14", -0.1869129881 },
    { "bulge_length_at_least_15", -0.1029032471 },
    { "bulge_length_at_least_16", 0.01243360939 },
    { "bulge_length_at_least_17", -0.05806294221 },
    { "bulge_length_at_least_18", 0.03048664164 },
    { "bulge_length_at_least_19", 0.06974626007 },
    { "bulge_length_at_least_20", -0.1053239465 },
    { "bulge_length_at_least_21", -0.00802761809 },
    { "bulge_length_at_least_22", -0.1693063411 },
    { "bulge_length_at_least_23", -0.1869480197 },
    { "bulge_length_at_least_24", -0.1338882236 },
    { "bulge_length_at_least_25", -0.08912941184 },
    { "bulge_length_at_least_26", -0.04449397991 },
    { "bulge_length_at_least_27", -0.004535602471 },
    { "bulge_length_at_least_28", -0.06387849235 },
    { "bulge_length_at_least_29", -0.04061029734 },
    { "bulge_length_at_least_30", -0.01966669104 },
    { "internal_length_at_least_2", -0.8384982243 },
    { "internal_length_at_least_3", -0.8145392134 },
    { "internal_length_at_least_4", -0.4274419136 },
    { "internal_length_at_least_5", -0.3196080489 },
    { "internal_length_at_least_6", -0.3482691295 },
    { "internal_length_at_least_7", -0.01467310233 },
    { "internal_length_at_least_8", -0.1704908718 },
    { "internal_length_at_least_9", -0.274749809 },
    { "internal_length_at_least_10", -0.2816993027 },
    { "internal_length_at_least_11", -0.05013094202 },
    { "internal_length_at_least_12", -0.1157513247 },
    { "internal_length_at_least_13", -0.3261911703 },
    { "internal_length_at_least_14", -0.0979074061 },
    { "internal_length_at_least_15", -0.2117025949 },
    { "internal_length_at_least_16", -0.2165291009 },
    { "internal_length_at_least_17", -0.07060279378 },
    { "internal_length_at_least_18", -0.02628945077 },
    { "internal_length_at_least_19", 0.08180085115 },
    { "internal_length_at_least_20", 0.102830986 },
    { "internal_length_at_least_21", -0.1224144603 },
    { "internal_length_at_least_22", -0.3109183699 },
    { "internal_length_at_least_23", -0.2718499691 },
    { "internal_length_at_least_24", -0.001046006366 },
    { "internal_length_at_least_25", -0.1323005654 },
    { "internal_length_at_least_26", -0.1094109113 },
    { "internal_length_at_least_27", -0.05415788664 },
    { "internal_length_at_least_28", 0.03762837628 },
    { "internal_length_at_least_29", 0.04247139017 },
    { "internal_length_at_least_30", 0.06643629429 },
    { "internal_symmetric_length_at_least_1", -0.02915617376 },
    { "internal_symmetric_length_at_least_2", -0.05938423254 },
    { "internal_symmetric_length_at_least_3", -0.01009895933 },
    { "internal_symmetric_length_at_least_4", -0.09032555513 },
    { "internal_symmetric_length_at_least_5", -0.03183245324 },
    { "internal_symmetric_length_at_least_6", -0.03131585342 },
    { "internal_symmetric_length_at_least_7", -0.07880361719 },
    { "internal_symmetric_length_at_least_8", -0.0977018705 },
    { "internal_symmetric_length_at_least_9", -0.06983587385 },
    { "internal_symmetric_length_at_least_10", -0.03844463615 },
    { "internal_symmetric_length_at_least_11", -0.009379790458 },
    { "internal_symmetric_length_at_least_12", -0.01728393975 },
    { "internal_symmetric_length_at_least_13", -0.0137997314 },
    { "internal_symmetric_length_at_least_14", -0.01370426331 },
    { "internal_symmetric_length_at_least_15", -0.007916687601 },
    { "internal_asymmetry_at_least_1", -0.6248854515 },
    { "internal_asymmetry_at_least_2", -0.2130110176 },
    { "internal_asymmetry_at_least_3", -0.4388708483 },
    { "internal_asymmetry_at_least_4", -0.4577389008 },
    { "internal_asymmetry_at_least_5", -0.1073350387 },
    { "internal_asymmetry_at_least_6", -0.08152625833 },
    { "internal_asymmetry_at_least_7", -0.2498828148 },
    { "internal_asymmetry_at_least_8", -0.3261732738 },
    { "internal_asymmetry_at_least_9", -0.2648834833 },
    { "internal_asymmetry_at_least_10", -0.1413539627 },
    { "internal_asymmetry_at_least_11", -0.1611720656 },
    { "internal_asymmetry_at_least_12", -0.08403184675 },
    { "internal_asymmetry_at_least_13", -0.2796784443 },
    { "internal_asymmetry_at_least_14", -0.2315456117 },
    { "internal_asymmetry_at_least_15", -0.2250828215 },
    { "internal_asymmetry_at_least_16", -0.1790093214 },
    { "internal_asymmetry_at_least_17", -0.1394856705 },
    { "internal_asymmetry_at_least_18", -0.1088535885 },
    { "internal_asymmetry_at_least_19", -0.07752505474 },
    { "internal_asymmetry_at_least_20", -0.0595936208 },
    { "internal_asymmetry_at_least_21", -0.04142445114 },
    { "internal_asymmetry_at_least_22", -0.03155354561 },
    { "internal_asymmetry_at_least_23", -0.0228581872 },
    { "internal_asymmetry_at_least_24", -0.01676596118 },
    { "internal_asymmetry_at_least_25", -0.01097177419 },
    { "internal_asymmetry_at_least_26", -0.007109067914 },
    { "internal_asymmetry_at_least_27", -0.003497465027 },
    { "internal_asymmetry_at_least_28", -0.001670726436 },
    { "internal_nucleotides__A", -0.06085271607 },
    { "internal_nucleotides__C", 0.001052730792 },
    { "internal_nucleotides__G", 0.07919701898 },
    { "internal_nucleotides__U", -0.007885407258 },
    { "internal_nucleotides_A_A", -0.03984657055 },
    { "internal_nucleotides_A_C", 0.1799238798 },
    { "internal_nucleotides_A_G", -0.1776183674 },
    { "internal_nucleotides_A_U", 0.09643563353 },
    { "internal_nucleotides_C_C", 0.0111219169 },
    { "internal_nucleotides_C_G", 0.1783947299 },
    { "internal_nucleotides_C_U", -0.125960312 },
    { "internal_nucleotides_G_G", 0.01287639876 },
    { "internal_nucleotides_G_U", 0.00409050545 },
    { "internal_nucleotides_U_U", -0.1064232283 },
    { "helix_stacking_AAAA", 0.3546221768 },
    { "helix_stacking_AAAC", -0.04315446985 },
    { "helix_stacking_AAAG", 0.5016203773 },
    { "helix_stacking_AAAU", -0.530796649 },
    { "helix_stacking_AACA", 0.2872436178 },
    { "helix_stacking_AACC", 0.3691829843 },
    { "helix_stacking_AACG", -0.9953433048 },
    { "helix_stacking_AACU", 0.08087157122 },
    { "helix_stacking_AAGA", 0.1677825197 },
    { "helix_stacking_AAGC", -0.678265872 },
    { "helix_stacking_AAGG", -0.09383669676 },
    { "helix_stacking_AAGU", -0.5104866535 },
    { "helix_stacking_AAUA", -0.8089949963 },
    { "helix_stacking_AAUC", 0.03755925657 },
    { "helix_stacking_AAUG", -0.5472344567 },
    { "helix_stacking_AAUU", 0.5539306686 },
    { "helix_stacking_ACAC", 0.2589964621 },
    { "helix_stacking_ACAG", -0.3522259076 },
    { "helix_stacking_ACAU", -0.3266392301 },
    { "helix_stacking_ACCA", 0.1047725635 },
    { "helix_stacking_ACCC", 0.03115102797 },
    { "helix_stacking_ACCG", -0.5174541432 },
    { "helix_stacking_ACCU", -0.001488212881 },
    { "helix_stacking_ACGA", 0.406426376 },
    { "helix_stacking_ACGC", -0.1867679593 },
    { "helix_stacking_ACGG", 0.3704147668 },
    { "helix_stacking_ACGU", -0.04475096326 },
    { "helix_stacking_ACUA", -0.4204688848 },
    { "helix_stacking_ACUC", -0.08147109792 },
    { "helix_stacking_ACUG", -0.2525676388 },
    { "helix_stacking_ACUU", 0.1202721996 },
    { "helix_stacking_AGAC", -0.05436023834 },
    { "helix_stacking_AGAG", 0.1845945852 },
    { "helix_stacking_AGAU", -0.6334949651 },
    { "helix_stacking_AGCC", 0.164129666 },
    { "helix_stacking_AGCG", -0.2877376098 },
    { "helix_stacking_AGCU", 0.4098605924 },
    { "helix_stacking_AGGA", -0.1055221936 },
    { "helix_stacking_AGGC", -0.2921646674 },
    { "helix_stacking_AGGG", 0.01018764286 },
    { "helix_stacking_AGGU", 0.1931504062 },
    { "helix_stacking_AGUA", -0.4943545079 },
    { "helix_stacking_AGUC", 0.06201686305 },
    { "helix_stacking_AGUG", -0.2403228316 },
    { "helix_stacking_AGUU", 0.2978012208 },
    { "helix_stacking_AUAC", -0.1929017687 },
    { "helix_stacking_AUAG", -0.3754001328 },
    { "helix_stacking_AUAU", 0.8097237953 },
    { "helix_stacking_AUCC", -0.4891632689 },
    { "helix_stacking_AUCG", 1.132030335 },
    { "helix_stacking_AUCU", -0.2122122383 },
    { "helix_stacking_AUGC", 1.130963415 },
    { "helix_stacking_AUGG", -0.4156413885 },
    { "helix_stacking_AUGU", 0.1489146395 },
    { "helix_stacking_AUUA", 0.9217793712 },
    { "helix_stacking_AUUC", -0.520976219 },
    { "helix_stacking_AUUG", 0.4958919356 },
    { "helix_stacking_AUUU", -0.6967771576 },
    { "helix_stacking_CAAC", 0.3516155114 },
    { "helix_stacking_CAAG", -0.2006481968 },
    { "helix_stacking_CAAU", -0.2214284327 },
    { "helix_stacking_CACC", -0.08007197634 },
    { "helix_stacking_CACG", -0.2421687057 },
    { "helix_stacking_CACU", -0.08214918555 },
    { "helix_stacking_CAGC", -0.4295873116 },
    { "helix_stacking_CAGG", -0.1981385431 },
    { "helix_stacking_CAGU", -0.1313833772 },
    { "helix_stacking_CAUC", 0.1792984608 },
    { "helix_stacking_CAUG", -0.04612680611 },
    { "helix_stacking_CAUU", 0.194875416 },
    { "helix_stacking_CCAG", 0.01571465697 },
    { "helix_stacking_CCAU", -0.4249477318 },
    { "helix_stacking_CCCC", -0.1256736814 },
    { "helix_stacking_CCCG", -0.8566085239 },
    { "helix_stacking_CCCU", -0.1141455454 },
    { "helix_stacking_CCGC", -0.8614197122 },
    { "helix_stacking_CCGG", 0.5770731595 },
    { "helix_stacking_CCGU", -0.0133855091 },
    { "helix_stacking_CCUC", 0.06065031698 },
    { "helix_stacking_CCUG", 0.01087238715 },
    { "helix_stacking_CCUU", 0.08193995381 },
    { "helix_stacking_CGAG", -0.6764832054 },
    { "helix_stacking_CGAU", 1.024511436 },
    { "helix_stacking_CGCG", 1.57803623 },
    { "helix_stacking_CGCU", -0.3538203962 },
    { "helix_stacking_CGGC", 1.080098392 },
    { "helix_stacking_CGGG", -0.8315727806 },
    { "helix_stacking_CGGU", 0.2329343463 },
    { "helix_stacking_CGUC", -0.3528944225 },
    { "helix_stacking_CGUG", 0.8098234766 },
    { "helix_stacking_CGUU", -0.6244259092 },
    { "helix_stacking_CUAG", 0.3519082557 },
    { "helix_stacking_CUAU", -0.6877454743 },
    { "helix_stacking_CUCG", -0.6612901629 },
    { "helix_stacking_CUCU", 0.1733793766 },
    { "helix_stacking_CUGG", 0.2222988309 },
    { "helix_stacking_CUGU", -0.113850913 },
    { "helix_stacking_CUUC", 0.4351153974 },
    { "helix_stacking_CUUG", -0.1156703626 },
    { "helix_stacking_CUUU", 0.06735956828 },
    { "helix_stacking_GAAG", 1.019661253 },
    { "helix_stacking_GAAU", -0.5917556439 },
    { "helix_stacking_GACG", -0.9041064326 },
    { "helix_stacking_GACU", -0.03361631028 },
    { "helix_stacking_GAGG", 0.1934827478 },
    { "helix_stacking_GAGU", -0.2383785167 },
    { "helix_stacking_GAUG", 0.02359602987 },
    { "helix_stacking_GAUU", 0.1306743273 },
    { "helix_stacking_GCAU", 1.194356152 },
    { "helix_stacking_GCCG", 1.11343121 },
    { "helix_stacking_GCCU", -0.172229872 },
    { "helix_stacking_GCGG", -0.6672644747 },
    { "helix_stacking_GCGU", 0.7230014783 },
    { "helix_stacking_GCUG", 0.8610183195 },
    { "helix_stacking_GCUU", -0.5428076909 },
    { "helix_stacking_GGAU", -0.5509451391 },
    { "helix_stacking_GGCU", 0.210715382 },
    { "helix_stacking_GGGG", 0.06960247404 },
    { "helix_stacking_GGGU", -0.1636600385 },
    { "helix_stacking_GGUG", -0.2597428596 },
    { "helix_stacking_GGUU", -0.02447239452 },
    { "helix_stacking_GUAU", 0.3621158768 },
    { "helix_stacking_GUCU", -0.2341237246 },
    { "helix_stacking_GUGU", 0.3424878938 },
    { "helix_stacking_GUUG", 0.1039838924 },
    { "helix_stacking_GUUU", -0.499537785 },
    { "helix_stacking_UAAU", 1.012974086 },
    { "helix_stacking_UACU", -0.47263992 },
    { "helix_stacking_UAGU", 0.5340581688 },
    { "helix_stacking_UAUU", -0.5309098207 },
    { "helix_stacking_UCCU", 0.1344187062 },
    { "helix_stacking_UCGU", -0.4078546373 },
    { "helix_stacking_UCUU", 0.3822876695 },
    { "helix_stacking_UGGU", 0.334079314 },
    { "helix_stacking_UGUU", -0.6872220771 },
    { "helix_stacking_UUUU", 0.4541580212 },
    { "helix_closing_AA", -1.97703412 },
    { "helix_closing_AC", -1.559634114 },
    { "helix_closing_AG", -1.528906666 },
    { "helix_closing_AU", -1.361601514 },
    { "helix_closing_CA", -1.459461559 },
    { "helix_closing_CC", -1.555753304 },
    { "helix_closing_CG", -1.103608648 },
    { "helix_closing_CU", -1.623084781 },
    { "helix_closing_GA", -2.003860326 },
    { "helix_closing_GC", -1.254327447 },
    { "helix_closing_GG", -1.594937359 },
    { "helix_closing_GU", -1.596953265 },
    { "helix_closing_UA", -1.337125303 },
    { "helix_closing_UC", -1.580368218 },
    { "helix_closing_UG", -1.113836351 },
    { "helix_closing_UU", -1.84763533 },
    { "multi_base", -0.4432287566 },
    { "multi_unpaired", -0.1661807958 },
    { "multi_paired", -1.039351046 },
    { "dangle_left_AAA", 0.03080526899 },
    { "dangle_left_AAC", -0.01557812237 },
    { "dangle_left_AAG", 0.005733379308 },
    { "dangle_left_AAU", -0.03027159081 },
    { "dangle_left_ACA", 0.03212878555 },
    { "dangle_left_ACC", 0.004479095383 },
    { "dangle_left_ACG", -0.01329286796 },
    { "dangle_left_ACU", -0.04757639295 },
    { "dangle_left_AGA", 0.04869146121 },
    { "dangle_left_AGC", 0.06101118253 },
    { "dangle_left_AGG", 0.02340476123 },
    { "dangle_left_AGU", -0.05415946356 },
    { "dangle_left_AUA", -0.1555170799 },
    { "dangle_left_AUC", -0.1584186333 },
    { "dangle_left_AUG", 0.1049449411 },
    { "dangle_left_AUU", 0.05887206858 },
    { "dangle_left_CAA", 0.1688104162 },
    { "dangle_left_CAC", -0.03515655397 },
    { "dangle_left_CAG", 0.004093977101 },
    { "dangle_left_CAU", -0.05951539547 },
    { "dangle_left_CCA", -0.0227679388 },
    { "dangle_left_CCC", -0.01248555321 },
    { "dangle_left_CCG", -0.01867105725 },
    { "dangle_left_CCU", -0.01003146169 },
    { "dangle_left_CGA", 0.135601271 },
    { "dangle_left_CGC", 0.07220319428 },
    { "dangle_left_CGG", -0.05993462651 },
    { "dangle_left_CGU", -0.1386561816 },
    { "dangle_left_CUA", 0.01929374685 },
    { "dangle_left_CUC", -0.0121379923 },
    { "dangle_left_CUG", 0.02490464873 },
    { "dangle_left_CUU", -0.04542963587 },
    { "dangle_left_GAA", 0.03369772989 },
    { "dangle_left_GAC", -0.02764565386 },
    { "dangle_left_GAG", -0.05575621631 },
    { "dangle_left_GAU", -0.02556515177 },
    { "dangle_left_GCA", -0.03311971263 },
    { "dangle_left_GCC", -0.03921251092 },
    { "dangle_left_GCG", 0.155539817 },
    { "dangle_left_GCU", -0.1536314435 },
    { "dangle_left_GGA", -0.02420162504 },
    { "dangle_left_GGC", 0.03626403997 },
    { "dangle_left_GGG", -0.01007514186 },
    { "dangle_left_GGU", -0.02169863834 },
    { "dangle_left_GUA", -0.01352068634 },
    { "dangle_left_GUC", -0.08374768846 },
    { "dangle_left_GUG", -0.004632326489 },
    { "dangle_left_GUU", 0.04715719551 },
    { "dangle_left_UAA", 0.05907682094 },
    { "dangle_left_UAC", -0.001278066597 },
    { "dangle_left_UAG", -0.1736001705 },
    { "dangle_left_UAU", -0.1902719183 },
    { "dangle_left_UCA", 0.00215982961 },
    { "dangle_left_UCC", -0.01234608674 },
    { "dangle_left_UCG", -0.0206367473 },
    { "dangle_left_UCU", 0.007781429081 },
    { "dangle_left_UGA", -0.0664420362 },
    { "dangle_left_UGC", -0.02389170256 },
    { "dangle_left_UGG", 0.15745342 },
    { "dangle_left_UGU", -0.2585948344 },
    { "dangle_left_UUA", 0.07429357557 },
    { "dangle_left_UUC", -0.03175447289 },
    { "dangle_left_UUG", -0.06579589475 },
    { "dangle_left_UUU", 0.01213199242 },
    { "dangle_right_AAA", -0.0143044921 },
    { "dangle_right_AAC", 0.04831926343 },
    { "dangle_right_AAG", -0.05126763791 },
    { "dangle_right_AAU", -0.01037013332 },
    { "dangle_right_ACA", -0.01743102026 },
    { "dangle_right_ACC", -0.03150531944 },
    { "dangle_right_ACG", -0.01372262757 },
    { "dangle_right_ACU", -0.006550228968 },
    { "dangle_right_AGA", -0.002106495322 },
    { "dangle_right_AGC", 0.03122820169 },
    { "dangle_right_AGG", -0.02073876328 },
    { "dangle_right_AGU", 0.07957971108 },
    { "dangle_right_AUA", 0.1347319363 },
    { "dangle_right_AUC", -0.08134494835 },
    { "dangle_right_AUG", 0.02017547447 },
    { "dangle_right_AUU", -0.2190612231 },
    { "dangle_right_CAA", 0.06980706882 },
    { "dangle_right_CAC", -0.00397133095 },
    { "dangle_right_CAG", 0.003180980761 },
    { "dangle_right_CAU", 0.003885266667 },
    { "dangle_right_CCA", -0.03507234721 },
    { "dangle_right_CCC", -0.004352404793 },
    { "dangle_right_CCG", 0.004283786874 },
    { "dangle_right_CCU", -0.03083811358 },
    { "dangle_right_CGA", 0.05145563403 },
    { "dangle_right_CGC", -0.06416589045 },
    { "dangle_right_CGG", -0.07528397081 },
    { "dangle_right_CGU", -0.2239441833 },
    { "dangle_right_CUA", -0.04695534908 },
    { "dangle_right_CUC", -0.03913439462 },
    { "dangle_right_CUG", 0.03078720785 },
    { "dangle_right_CUU", -0.0122169923 },
    { "dangle_right_GAA", 0.02627632554 },
    { "dangle_right_GAC", -0.04581478599 },
    { "dangle_right_GAG", -0.05128913992 },
    { "dangle_right_GAU", -0.0206673532 },
    { "dangle_right_GCA", 0.01152777323 },
    { "dangle_right_GCC", 0.06552675211 },
    { "dangle_right_GCG", -0.1032959984 },
    { "dangle_right_GCU", -0.1965599296 },
    { "dangle_right_GGA", -0.04966311608 },
    { "dangle_right_GGC", -0.01420877212 },
    { "dangle_right_GGG", 0.05901570375 },
    { "dangle_right_GGU", -0.01692533326 },
    { "dangle_right_GUA", 0.1957498321 },
    { "dangle_right_GUC", -0.1568392687 },
    { "dangle_right_GUG", -0.08120000376 },
    { "dangle_right_GUU", -0.1048127001 },
    { "dangle_right_UAA", -0.1921468549 },
    { "dangle_right_UAC", 0.06599085738 },
    { "dangle_right_UAG", 0.0875506286 },
    { "dangle_right_UAU", -0.2545133106 },
    { "dangle_right_UCA", -0.04399379124 },
    { "dangle_right_UCC", 0.05367978815 },
    { "dangle_right_UCG", -0.04923752956 },
    { "dangle_right_UCU", -0.01563493306 },
    { "dangle_right_UGA", 0.04136216618 },
    { "dangle_right_UGC", 0.1933397566 },
    { "dangle_right_UGG", -0.2310365581 },
    { "dangle_right_UGU", -0.2098640295 },
    { "dangle_right_UUA", 0.01167557578 },
    { "dangle_right_UUC", 0.02826979568 },
    { "dangle_right_UUG", -0.01949416153 },
    { "dangle_right_UUU", -0.04598079783 },
    { "external_unpaired", -0.04912022704 },
    { "external_paired", -0.02669537752 }
  });

